commit systemd-rpm-macros for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package systemd-rpm-macros for 
openSUSE:Factory checked in at 2015-11-26 17:00:40

Comparing /work/SRC/openSUSE:Factory/systemd-rpm-macros (Old)
 and  /work/SRC/openSUSE:Factory/.systemd-rpm-macros.new (New)


Package is "systemd-rpm-macros"

Changes:

--- /work/SRC/openSUSE:Factory/systemd-rpm-macros/systemd-rpm-macros.changes
2015-10-14 16:34:30.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.systemd-rpm-macros.new/systemd-rpm-macros.changes   
2015-11-26 17:00:41.0 +0100
@@ -1,0 +2,6 @@
+Fri Nov 20 16:53:23 UTC 2015 - wer...@suse.de
+
+- Support of DISABLE_STOP_ON_REMOVAL and DISABLE_RESTART_ON_UPDATE 
+  from /etc/sysconfig/service (bsc#955996)
+
+---



Other differences:
--
++ macros.systemd ++
--- /var/tmp/diff_new_pack.29tFpy/_old  2015-11-26 17:00:42.0 +0100
+++ /var/tmp/diff_new_pack.29tFpy/_new  2015-11-26 17:00:42.0 +0100
@@ -50,13 +50,25 @@
 %_ntpunitsdir /usr/lib/systemd/ntp-units.d
 %_binfmtdir /usr/lib/binfmt.d
 
+%_restart_check_systemctl  
\
+   test -f /etc/sysconfig/services && . /etc/sysconfig/services
\
+   test "$YAST_IS_RUNNING" = instsys   && exit 0   
\
+   test "$DISABLE_RESTART_ON_UPDATE" = yes && exit 0   
\
+   /usr/bin/systemctl try-restart %{nil}
+
+%_stop_check_systemctl 
\
+   test -f /etc/sysconfig/services && . /etc/sysconfig/services
\
+   test "$YAST_IS_RUNNING" = instsys && exit 0 
\
+   test "$DISABLE_STOP_ON_REMOVAL" = yes && exit 0 
\
+   /usr/bin/systemctl stop %{nil}
+
 %service_add_pre() 
\
 test -n "$FIRST_ARG" || FIRST_ARG="$1" 
\
 # disable migration if initial install under systemd   
\
 [ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :
\
 if [ "$FIRST_ARG" -eq 1 ]; then
\
for service in %{?*} ; do   
\
-   sysv_service="${service%.*}"
\
+   sysv_service="${service%%.*}"   
\
touch "/var/lib/systemd/migrated/$sysv_service" || :
\
done
\
 else   
\
@@ -68,7 +80,7 @@
done
\
fi  
\
for service in %{?*} ; do   
\
-   sysv_service="${service%.*}"
\
+   sysv_service="${service%%.*}"   
\
if [ ! -e "/var/lib/systemd/migrated/$sysv_service" ]; then 
\
services_to_migrate="$services_to_migrate 
$sysv_service"\
fi  
\
@@ -84,7 +96,7 @@
 test -n "$FIRST_ARG" || FIRST_ARG="$1" 
\
 [ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :
\
 for service in %{?*} ; do  
\
-   sysv_service="${service%.*}"
\
+   sysv_service="${service%%.*}"   
\
if [ ! -e "/var/lib/systemd/migrated/$sysv_service" ]; then 
\
services_to_migrate="$services_to_migrate $sysv_service"
\
touch "/var/lib/systemd/migrated/$sysv_service" || :
\
@@ -121,7 +133,7 @@
 if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then   
\
# Package removal, not upgrade  
\
/usr/bin/systemctl --no-reload disable %{?*} || :   
\
-   /usr/bin/systemctl stop %{?*} || :

commit libcompizconfig for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package libcompizconfig for openSUSE:Factory 
checked in at 2015-11-26 17:00:55

Comparing /work/SRC/openSUSE:Factory/libcompizconfig (Old)
 and  /work/SRC/openSUSE:Factory/.libcompizconfig.new (New)


Package is "libcompizconfig"

Changes:

--- /work/SRC/openSUSE:Factory/libcompizconfig/libcompizconfig.changes  
2014-09-12 17:03:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.libcompizconfig.new/libcompizconfig.changes 
2015-11-26 17:00:56.0 +0100
@@ -1,0 +2,8 @@
+Mon Nov  9 11:48:58 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 0.8.9.
+- Update dependencies.
+- Rename to libcompizconfig0.
+- Remove libcompizconfig-rpmlintrc.
+
+---

Old:

  libcompizconfig-0.8.8.tar.bz2
  libcompizconfig-rpmlintrc

New:

  libcompizconfig-0.8.9.tar.gz



Other differences:
--
++ libcompizconfig.spec ++
--- /var/tmp/diff_new_pack.DgWS1l/_old  2015-11-26 17:00:57.0 +0100
+++ /var/tmp/diff_new_pack.DgWS1l/_new  2015-11-26 17:00:57.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libcompizconfig
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,73 +16,57 @@
 #
 
 
+%define sover   0
 Name:   libcompizconfig
-Version:0.8.8
+Version:0.8.9
 Release:0
-Summary:CompizConfig plugin(ccp) required for 
compizconfig-settings-manager(ccsm)
+Summary:CompizConfig plugin required for CCSM
 License:GPL-2.0+
-Group:  System/X11/Utilities
-Url:http://opencompositing.org
-Source: %{name}-%{version}.tar.bz2
-Source1:libcompizconfig-rpmlintrc
-# PATCH-FIX-UPSTREAM libcompizconfig-config-dir.patch bnc#438081 
rodr...@novell.com
-Patch2: libcompizconfig-config-dir.patch
-BuildRequires:  autoconf
-BuildRequires:  automake
-BuildRequires:  compiz-devel
-BuildRequires:  compiz-gnome
-BuildRequires:  gcc-c++
-BuildRequires:  glib2-devel
-BuildRequires:  intltool
-BuildRequires:  libtool
-BuildRequires:  libxslt-devel
-BuildRequires:  perl-XML-Parser
+Group:  System/Libraries
+Url:https://github.com/raveit65/libcompizconfig
+Source: 
https://github.com/raveit65/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
+# PATCH-FIX-OPENSUSE libcompizconfig-config-dir.patch boo#438081 
rodr...@novell.com
+Patch0: %{name}-config-dir.patch
+BuildRequires:  mate-common
 BuildRequires:  pkg-config
-BuildRequires:  startup-notification-devel
-Requires:   compiz
-# FIXME: use proper Requires(pre/post/preun/...)
-PreReq: %fillup_prereq
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  pkgconfig(compiz) < 0.9
+BuildRequires:  pkgconfig(libxml-2.0)
+BuildRequires:  pkgconfig(protobuf)
+BuildRequires:  pkgconfig(x11)
+Requires:   compiz < 0.9
+Recommends: libcompizconfig-backend < 0.9
 
 %description
-CompizConfig plugin(ccp) required for
-compizconfig-settings-manager(ccsm).
+CompizConfig plugin required for compizconfig-settings-manager.
 
 %package devel
 Summary:Development files for libcompizconfig
-License:GPL-2.0+
 Group:  Development/Libraries/C and C++
 Requires:   %{name} = %{version}
-Requires:   autoconf
-Requires:   automake
-Requires:   compiz-devel
-Requires:   compiz-gnome
-Requires:   glib2-devel
-Requires:   intltool
-Requires:   libtool
-Requires:   libxslt-devel
-Requires:   perl-XML-Parser
+Requires:   mate-common
 Requires:   pkg-config
+Requires:   pkgconfig(compiz) < 0.9
+Requires:   pkgconfig(libxml-2.0)
+Requires:   pkgconfig(protobuf)
+Requires:   pkgconfig(x11)
 
 %description devel
-CompizConfig plugin(ccp) required for
-compizconfig-settings-manager(ccsm)
+CompizConfig plugin required for compizconfig-settings-manager.
 
 This package contains development files.
 
 %prep
-%setup -q -n libcompizconfig-%{version}
-%patch2 -p1
+%setup -q
+%patch0 -p1
 
 %build
-#
-libcompizconfig
-#
-%configure --disable-static --with-pic
+NOCONFIGURE=1 mate-autogen
+%configure \
+  --disable-static
 make %{?_smp_mflags}
 
 %install
-make DESTDIR=%{buildroot} install %{?_smp_mflags}
+%make_install
 find %{buildroot} -type f -name "*.la" -delete -print
 
 %post -p /sbin/ldconfig
@@ -90,18 +74,19 @@
 %postun -p /sbin/ldconfig
 
 %files
-%defattr(-, root, root)
-%{_libdir}/compiz*
-%{_libdir}/libcompizconfig*.so.*
-%dir %{_datadir}/compiz

commit compizconfig-settings-manager for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package compizconfig-settings-manager for 
openSUSE:Factory checked in at 2015-11-26 17:00:53

Comparing /work/SRC/openSUSE:Factory/compizconfig-settings-manager (Old)
 and  /work/SRC/openSUSE:Factory/.compizconfig-settings-manager.new (New)


Package is "compizconfig-settings-manager"

Changes:

--- 
/work/SRC/openSUSE:Factory/compizconfig-settings-manager/compizconfig-settings-manager.changes
  2014-09-17 17:24:46.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.compizconfig-settings-manager.new/compizconfig-settings-manager.changes
 2015-11-26 17:00:55.0 +0100
@@ -1,0 +2,12 @@
+Mon Nov  9 11:48:58 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 0.8.9.
+- Update dependencies.
+- Remove compizconfig-settings-manager-profile-extensions.patch:
+  fixed upstream.
+- Add compizconfig-settings-manager-lang package.
+- Provide ccsm.
+- Do not make a bindir symlink.
+- Generate icon cache.
+
+---

Old:

  ccsm-0.8.4.tar.bz2
  compizconfig-settings-manager-profile-extensions.patch

New:

  ccsm-0.8.9.tar.gz



Other differences:
--
++ compizconfig-settings-manager.spec ++
--- /var/tmp/diff_new_pack.FLgMSy/_old  2015-11-26 17:00:56.0 +0100
+++ /var/tmp/diff_new_pack.FLgMSy/_new  2015-11-26 17:00:56.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package compizconfig-settings-manager (Version 0.8.4)
+# spec file for package compizconfig-settings-manager
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,81 +16,75 @@
 #
 
 
-
+%define _name   ccsm
 Name:   compizconfig-settings-manager
-Version:0.8.4
-Release:4.1
-License:GPL-2.0+
+Version:0.8.9
+Release:0
 Summary:Settings Manager for Compiz (CCSM)
-Url:http://opencompositing.org
+License:GPL-2.0+
 Group:  System/X11/Utilities
-Source: ccsm-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM compizconfig-settings-manager-profile-extensions.patch 
bgo#458343 rodr...@novell.com
-Patch1: compizconfig-settings-manager-profile-extensions.patch
+Url:https://github.com/raveit65/ccsm
+Source: 
https://github.com/raveit65/%{_name}/archive/v%{version}.tar.gz#/%{_name}-%{version}.tar.gz
 # PATCH-FIX-OPENSUSE Don't warn about missing sexy-python
-Patch2: unsexy.patch
-BuildRequires:  compiz-devel
-BuildRequires:  compiz-gnome
-BuildRequires:  gconf2-devel
-BuildRequires:  glib2-devel
-BuildRequires:  gtk2-devel
+Patch0: unsexy.patch
+BuildRequires:  gettext
+BuildRequires:  hicolor-icon-theme
 BuildRequires:  intltool
-BuildRequires:  libcompizconfig-devel
-BuildRequires:  libxml2-devel
-BuildRequires:  libxslt-devel
-BuildRequires:  pkg-config
-BuildRequires:  pyrex
-BuildRequires:  python-compizconfig
 BuildRequires:  python-devel
 BuildRequires:  update-desktop-files
-PreReq: %fillup_prereq
-Requires:   python-ccm < 0.9
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+Requires:   python-ccm = %{version}
+Recommends: %{name}-lang
+Provides:   %{_name} = 0.8
 BuildArch:  noarch
 
 %description
 Compiz Config and Settings tool (CCSM).
 
+%lang_package
+
 %package -n python-ccm
-License:GPL-2.0+
 Summary:CompizConfig Manager Backend
-Group:  System/X11/Utilities
+Group:  Development/Languages/Python
 Requires:   compiz < 0.9
 Requires:   python-compizconfig < 0.9
+Requires:   python-gtk
 Requires:   python-xml
-%py_requires
 
 %description -n python-ccm
 The backend to Compiz Config Manager.
 
 %prep
-%setup -q -n ccsm-%{version}
-%patch1 -p0
-%patch2 -p0
+%setup -q -n %{_name}-%{version}
+%patch0
 
 %build
-./setup.py --prefix=%{_prefix}
+python2 setup.py
 
 %install
-./setup.py install --root=%{buildroot} --prefix=/usr
-find %{buildroot} \( -name \*.a -o -name \*.la \) -print0 | xargs -0 rm -f
-%__ln_s %{_bindir}/ccsm %{buildroot}%{_bindir}/compizconfig-settings-manager
-%suse_update_desktop_file ccsm DesktopSettings
-%find_lang ccsm
-
-%clean
-%__rm -rf %{buildroot}
-
-%files -f ccsm.lang
-%defattr(-, root, root)
-%{_bindir}/*
-%{_datadir}/applications/*
-%{_datadir}/icons/*
+python2 setup.py install --root=%{buildroot} --prefix=%{_prefix}
+%find_lang %{_name}
+
+%post
+%desktop_database_post
+%icon_theme_cache_post
+
+%postun
+%desktop_database_postun
+%icon_theme_cache_postun
+
+%files
+%defattr(-,root,root)
+%{_bindir}/%{_name}

commit xf86-video-savage for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package xf86-video-savage for 
openSUSE:Factory checked in at 2015-11-26 17:01:13

Comparing /work/SRC/openSUSE:Factory/xf86-video-savage (Old)
 and  /work/SRC/openSUSE:Factory/.xf86-video-savage.new (New)


Package is "xf86-video-savage"

Changes:

--- /work/SRC/openSUSE:Factory/xf86-video-savage/xf86-video-savage.changes  
2015-05-10 10:47:19.0 +0200
+++ /work/SRC/openSUSE:Factory/.xf86-video-savage.new/xf86-video-savage.changes 
2015-11-26 17:01:14.0 +0100
@@ -1,0 +2,7 @@
+Wed Nov 18 14:38:10 UTC 2015 - e...@suse.com
+
+- remove:
+  u_Include-xf86Modes.h-to-use-functions-from-hw-xfree86.patch
+  * since 2.3.8 xf86Modes.h is included in savage_driver.h.
+
+---

Old:

  u_Include-xf86Modes.h-to-use-functions-from-hw-xfree86.patch



Other differences:
--
++ xf86-video-savage.spec ++
--- /var/tmp/diff_new_pack.W7CnTT/_old  2015-11-26 17:01:14.0 +0100
+++ /var/tmp/diff_new_pack.W7CnTT/_new  2015-11-26 17:01:14.0 +0100
@@ -25,7 +25,6 @@
 Url:http://xorg.freedesktop.org/
 Source0:
http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
 Patch2: u_Disable-tiling-on-SuperSavage-Novell-Bugzilla-805380.patch
-Patch3: u_Include-xf86Modes.h-to-use-functions-from-hw-xfree86.patch
 BuildRequires:  Mesa-devel
 BuildRequires:  pkg-config
 BuildRequires:  pkgconfig(fontsproto)
@@ -56,7 +55,6 @@
 %prep
 %setup -q
 %patch2 -p1
-%patch3 -p1
 
 %build
 %configure




commit OpenImageIO for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package OpenImageIO for openSUSE:Factory 
checked in at 2015-11-26 17:01:20

Comparing /work/SRC/openSUSE:Factory/OpenImageIO (Old)
 and  /work/SRC/openSUSE:Factory/.OpenImageIO.new (New)


Package is "OpenImageIO"

Changes:

--- /work/SRC/openSUSE:Factory/OpenImageIO/OpenImageIO.changes  2015-05-30 
12:34:12.0 +0200
+++ /work/SRC/openSUSE:Factory/.OpenImageIO.new/OpenImageIO.changes 
2015-11-26 17:01:21.0 +0100
@@ -1,0 +2,126 @@
+Thu Nov 19 06:05:23 UTC 2015 - davejpla...@gmail.com
+
+- Recommented Field3D build requirement.
+
+---
+Sat Nov 14 09:21:22 UTC 2015 - h...@urpla.net
+
+- download, verify and recompress _service added
+- Release 1.5.20
+  * Nuke plugin: don't crash with NULL Knob* in TxReaderFormat::setMipLabels.
+#1212
+  * Fix build warnings for new Apple tools release that upgrades the standard
+clang release. #1218
+  * Make TIFF reader robust to strange TIFF files that have unexpected MIP
+level-to-MIP level changes in planarconfig, photometric, palette,
+extrasamples, etc. We previously assumed these things would never vary
+between MIP levels of the same file, and Murphy called our bluff. 
#1220,1221
+
+- Release 1.5.19
+  * Fix compile warnings on some platforms/compilers.
+  * Fix build break with certain new versions of libraw. #1204
+  * Internals: Timer and ScopedTimer have changed slightly. This isn't used
+in any public OIIO APIs, but may affect 3rd party programs that like
+to use OIIO's timer.h for convenience. #1201
+  * Internals: dassert.h has added OIIO_STATIC_ASSERT macros for static
+assertion. Doesn't affect existing OIIO apps since they are new
+additions, but feel free to use them! #1202
+
+- Release 1.5.18
+  * PSD input improvements: better error handling for files lacking "global
+layer mask info" or "additional layer info"; additional PSD signatures
+for global additional layer info; better error handling when dealing
+with an empty layer mask. #1147
+  * TIFF output: recognize special "tiff:write_exif" metadata, which when
+present and set to 0, will skip writing the Exif directory into the TIFF
+file. This can be helpful when you expect the resulting TIFF file to be
+read with very old versions of libtiff. #1185
+  * Top-level Makefile option USE_OPENCV=0 to turn off even searching for
+OpenCV components. #1194
+
+- Release 1.5.17
+  * Fix support for older ffmpeg version on Ubuntu 14.04. #1168
+  * Fix bug in fft -- was not always zeroing out the imaginary channel. #1171
+  * Build-time fixes for Nocona CPUs that have SSE3 without SSSE3. #1175
+  * ustring fixes for new gcc (5.1+) and new std::string ABI. #1176
+  * Fixes for unit test timer_test for new OSX versions with timer
+coalescing. #1181
+  * Fix bugs with rangecompress and rangeexpand when using luma. #1180
+  * Fixes for clean build when using clang 3.6. #1182
+
+- Release 1.5.16
+  * PNG writes now honor PixelAspectRatio attribute. #1142
+  * Build fixes for Visual Studio 2010 #1140
+  * PSD & JPEG plugins fixes for Win32 compilation.
+  * Also search for OIIO plugins in [DY]LD_LIBRARY_PATH. #1153
+  * Give Strutil::parse_string an option to not strip surrounding quotes.
+  * Fix Nuke plugin build files to not do anything if USE_NUKE=0  #1156
+  * New ImageInput query: "procedural" -- returns 1 if the ImageInput may
+not correspond to an actual file. #1154
+  * TypeDesc has a new constructor and fromstring of a string_view, in
+addition to the old versions that took char*. #1159
+  * Eliminate spurious ImageCache invalidation just because the shared
+cache is requested again. #1157
+  * Fixed trilinear MIPmap texture lookups that gave invalid alpha fill. #1163
+  * Filesystem: sequence matching should clear results arrays upon start.
+
+- Release 1.5.15
+  * Bug fix with IBA::channels() with deep data with UINT channels.
+  * Fix TypeDesc compatibility with OSL.
+  * Misc WIN32 / VS2010 fixes.
+  * Fix incorrect logic in convert_image with certain channel types and
+strides. #1144
+
+- Release 1.5.14
+  * fmath: save_fast_pow improves the precision of its results for
+special cases of pow(x,1) and pow(x,2). #1094 (1.5.13)
+  * Fix warnings when compiling with C++11. (1.5.13)
+  * Dont link Python framework on OSX. #1099 (1.5.13)
+  * Improve IBA::compare() (and therefore oiiotool -diff and idiff) when
+the images being compared have NaN or Inf values. #1109 (1.5.13)
+  * TextureSystem bug fix that occasionally resulted in NaN in the alpha
+channel result when looking up from 3-channel images. #1108 (1.5.13)
+  * Added TypeDesc::TypeHalf(). #1113 (1.5.13)
+  * Fix IBA::channels() bugs when dealing with "deep" images. 

commit ocaml-camlp4 for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package ocaml-camlp4 for openSUSE:Factory 
checked in at 2015-11-26 17:01:15

Comparing /work/SRC/openSUSE:Factory/ocaml-camlp4 (Old)
 and  /work/SRC/openSUSE:Factory/.ocaml-camlp4.new (New)


Package is "ocaml-camlp4"

Changes:

--- /work/SRC/openSUSE:Factory/ocaml-camlp4/ocaml-camlp4.changes
2014-10-31 12:28:01.0 +0100
+++ /work/SRC/openSUSE:Factory/.ocaml-camlp4.new/ocaml-camlp4.changes   
2015-11-26 17:01:16.0 +0100
@@ -1,0 +2,5 @@
+Tue Nov 10 10:18:47 UTC 2015 - oher...@suse.de
+
+- Add hardcoded Provides for pre 12.1 repos
+
+---



Other differences:
--
++ ocaml-camlp4.spec ++
--- /var/tmp/diff_new_pack.BooZSF/_old  2015-11-26 17:01:16.0 +0100
+++ /var/tmp/diff_new_pack.BooZSF/_new  2015-11-26 17:01:16.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package ocaml-camlp4
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,9 +17,9 @@
 
 
 Version:4.02.1
+Release:0
 %{ocaml_preserve_bytecode}
 Name:   ocaml-camlp4
-Release:0
 Summary:Pre-Processor-Pretty-Printer for Objective Caml
 License:SUSE-LGPL-2.0-with-linking-exception
 Group:  Development/Languages/Other
@@ -27,15 +27,17 @@
 Source: camlp4-%{version}-1.tar.xz
 Patch0: camlp4.DESTDIR.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+# ocaml autodep start for pkg: ocaml-camlp4
+# hardcoded rpm dependency for pre 12.1 to compensate for lack of ocaml() 
provides/requires
+%if 0%{?suse_version} < 1210
+Requires:   ocaml-compiler-libs
+Requires:   ocaml-runtime
+%endif
+# ocaml autodep end for pkg: ocaml-camlp4
 BuildRequires:  ocaml >= 4.02.0
 BuildRequires:  ocaml-rpm-macros >= 4.02.1
 Conflicts:  ocaml < 4.02.0
 Requires:   ocaml-runtime >= 4.02.0
-%if %suse_version < 1210
-# Due to lack of generated requires in old rpm, force this
-BuildRequires:  ocaml-compiler-libs
-Requires:   ocaml-compiler-libs
-%endif
 
 %description
 Camlp4 is a Pre-Processor-Pretty-Printer for Objective Caml, parsing a
@@ -63,14 +65,6 @@
 %patch0 -p1
 
 %build
-# For ppc64 we need a larger stack than default to compile some files
-# because the stages in the OCaml compiler are not mutually tail
-# recursive.
-%ifarch ppc64 ppc64le
-ulimit -a
-ulimit -Hs 65536
-ulimit -Ss 65536
-%endif
 ./configure
 make \
%{?_smp_mflags} \




commit sdcc for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package sdcc for openSUSE:Factory checked in 
at 2015-11-26 17:01:23

Comparing /work/SRC/openSUSE:Factory/sdcc (Old)
 and  /work/SRC/openSUSE:Factory/.sdcc.new (New)


Package is "sdcc"

Changes:

--- /work/SRC/openSUSE:Factory/sdcc/sdcc.changes2015-08-27 
08:57:59.0 +0200
+++ /work/SRC/openSUSE:Factory/.sdcc.new/sdcc.changes   2015-11-26 
17:01:28.0 +0100
@@ -1,0 +2,6 @@
+Fri Oct 30 20:01:08 UTC 2015 - tobias.johannes.klausm...@mni.thm.de
+
+- Build additional libraries sdcc can link against
+- Add patch sdcc_enable_additional_target_libs.patch
+
+---

New:

  sdcc_enable_additional_target_libs.patch



Other differences:
--
++ sdcc.spec ++
--- /var/tmp/diff_new_pack.K7Cgv8/_old  2015-11-26 17:01:29.0 +0100
+++ /var/tmp/diff_new_pack.K7Cgv8/_new  2015-11-26 17:01:29.0 +0100
@@ -26,6 +26,7 @@
 Source: 
http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
 Source1:%{name}-rpmlintrc
 Patch1: sdcc_add_ppc64le_suse_support.patch
+Patch2: sdcc_enable_additional_target_libs.patch
 BuildRequires:  bison
 BuildRequires:  boost-devel
 BuildRequires:  fdupes
@@ -91,6 +92,7 @@
 %setup -q
 rm support/regression/tests/bug3304184.c
 %patch1 -p1
+%patch2 -p1
 
 %build
 CFLAGS="%{optflags} -fno-strict-aliasing" \

++ sdcc_enable_additional_target_libs.patch ++
From: Tobias Klausmann 
Subject: Enable additional target libs
Date: Fri, 30 Oct 2015 20:46:23 +0100

This is required for contiki:
https://github.com/contiki-os/contiki/wiki/8051-Requirements

Signed-off-by: Tobias Klausmann 
---
 device/lib/incl.mk |2 +-
 device/lib/Makefile.in |2 +-
 2 file changed, 2 insertion(+), 2 deletion(-)

Index: sdcc-3.5.0/device/lib/incl.mk
===
--- a/device/lib/incl.mk
+++ b/device/lib/incl.mk
@@ -101,4 +101,4 @@
   assert.c \
   time.c
 
-MODELS = small medium large
+MODELS = small medium large huge
Index: sdcc-3.5.0/device/lib/Makefile.in
===
--- a/device/lib/Makefile.in
+++ b/device/lib/Makefile.in
@@ -186,7 +186,7 @@
 endif
 
 ifeq ($(OPT_DISABLE_MCS51), 0)
-TARGETS+= models small-mcs51-stack-auto
+TARGETS+= models model-mcs51-stack-auto
 endif
 
 ifeq ($(OPT_DISABLE_PIC14), 0)



commit gphoto for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package gphoto for openSUSE:Factory checked 
in at 2015-11-26 17:01:18

Comparing /work/SRC/openSUSE:Factory/gphoto (Old)
 and  /work/SRC/openSUSE:Factory/.gphoto.new (New)


Package is "gphoto"

Changes:

--- /work/SRC/openSUSE:Factory/gphoto/gphoto.changes2015-07-08 
06:59:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.gphoto.new/gphoto.changes   2015-11-26 
17:01:19.0 +0100
@@ -1,0 +2,12 @@
+Wed Nov 18 21:51:19 UTC 2015 - meiss...@suse.com
+
+- updated to 2.5.9 release
+  Now maintained (source and issue tracker) in GIT at 
https://github.com/gphoto/gphoto2 
+
+  * Added testcamera.pl, a tool for testing attached cameras with gphoto2.
+  * fixed some bugs
+  * report trigger capture in --ability
+  * capture-preview can honor filename and prefixes
+  * updated translations: french, ukrainian, vietnamese, polish, russian, 
italian
+
+---

Old:

  gphoto2-2.5.8.tar.bz2
  gphoto2-2.5.8.tar.bz2.asc

New:

  gphoto2-2.5.9.tar.bz2
  gphoto2-2.5.9.tar.bz2.asc



Other differences:
--
++ gphoto.spec ++
--- /var/tmp/diff_new_pack.zhP5ZS/_old  2015-11-26 17:01:20.0 +0100
+++ /var/tmp/diff_new_pack.zhP5ZS/_new  2015-11-26 17:01:20.0 +0100
@@ -27,7 +27,7 @@
 Summary:A Digital Camera Utility
 License:GPL-2.0+
 Group:  Hardware/Camera
-Version:2.5.8
+Version:2.5.9
 Release:0
 Source0:
https://downloads.sourceforge.net/project/gphoto/gphoto/%{version}/%{name}2-%{version}.tar.bz2
 Source1:
https://downloads.sourceforge.net/project/gphoto/gphoto/%{version}/%{name}2-%{version}.tar.bz2.asc


++ gphoto2-2.5.8.tar.bz2 -> gphoto2-2.5.9.tar.bz2 ++
 45596 lines of diff (skipped)




commit AppCSXCAD for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package AppCSXCAD for openSUSE:Factory 
checked in at 2015-11-26 17:01:07

Comparing /work/SRC/openSUSE:Factory/AppCSXCAD (Old)
 and  /work/SRC/openSUSE:Factory/.AppCSXCAD.new (New)


Package is "AppCSXCAD"

Changes:

New Changes file:

--- /dev/null   2015-11-02 12:10:47.524024255 +0100
+++ /work/SRC/openSUSE:Factory/.AppCSXCAD.new/AppCSXCAD.changes 2015-11-26 
17:01:09.0 +0100
@@ -0,0 +1,7 @@
+---
+Sun Nov  8 18:42:17 UTC 2015 - dmitr...@opensuse.org
+
+- Initial package, version 0.2.0
+- Fix building with VTK 6.3
+  * AppCSXCAD-vtk.patch
+

New:

  AppCSXCAD-0.2.0.tar.gz
  AppCSXCAD-vtk.patch
  AppCSXCAD.changes
  AppCSXCAD.spec



Other differences:
--
++ AppCSXCAD.spec ++
#
# spec file for package AppCSXCAD
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   AppCSXCAD
Version:0.2.0
Release:0
Summary:Minimal GUI Application using the QCSXCAD library
License:GPL-3.0
Group:  Productivity/Scientific/Other
Url:http://openems.de
Source0:
https://github.com/thliebig/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM AppCSXCAD-vtk.patch -- Fix build with VTK 6.3
Patch1: AppCSXCAD-vtk.patch
BuildRequires:  CSXCAD-devel
BuildRequires:  QCSXCAD-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  tinyxml-devel
BuildRequires:  vtk-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xt)
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
Minimal GUI Application using the QCSXCAD library.

%prep
%setup -q
%patch1 -p1

%build
%cmake

make %{?_smp_mflags}

%install
%cmake_install

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*

%changelog
++ AppCSXCAD-vtk.patch ++
diff --git a/AppCSXCAD.pro b/AppCSXCAD.pro
deleted file mode 100644
index 0297f82..000
--- a/AppCSXCAD.pro
+++ /dev/null
@@ -1,111 +0,0 @@
-TEMPLATE = app
-TARGET = AppCSXCAD
-CONFIG += debug_and_release
-
-VERSION = 0.2.0
-
-# add git revision
-GITREV = $$system(git describe --tags)
-isEmpty(GITREV):GITREV=$$VERSION
-DEFINES += GIT_VERSION=\\\"$$GITREV\\\"
-
-MOC_DIR = moc
-OBJECTS_DIR = obj
-QT += core gui xml
-greaterThan(QT_MAJOR_VERSION, 4):QT+=widgets
-
-# remove unnecessary webkit define
-DEFINES -= QT_WEBKIT
-
-exists(localPaths.pri) {
-include(localPaths.pri)
-}
-
-win32 {
-isEmpty(WIN32_LIB_ROOT) {
-WIN32_LIB_ROOT = ..
-}
-
-#CSXCAD
-isEmpty(CSXCAD_ROOT) {
-CSXCAD_ROOT = $$WIN32_LIB_ROOT/CSXCAD
-}
-INCLUDEPATH += $$CSXCAD_ROOT/include/CSXCAD
-LIBS += -L$$CSXCAD_ROOT/lib -lCSXCAD0
-
-#QCSXCAD
-isEmpty(QCSXCAD_ROOT) {
-QCSXCAD_ROOT = $$WIN32_LIB_ROOT/QCSXCAD
-}
-INCLUDEPATH += $$QCSXCAD_ROOT/include/QCSXCAD
-LIBS += -L$$QCSXCAD_ROOT/lib -lQCSXCAD0
-}
-
-unix { 
-#CSXCAD
-isEmpty(CSXCAD_ROOT) {
-CSXCAD_ROOT = /usr
-} else {
-QMAKE_LFLAGS += \'-Wl,-rpath,$$CSXCAD_ROOT/lib\'
-}
-INCLUDEPATH += $$CSXCAD_ROOT/include/CSXCAD
-LIBS += -L$$CSXCAD_ROOT/lib -lCSXCAD
-
-#QCSXCAD
-isEmpty(QCSXCAD_ROOT) {
-QCSXCAD_ROOT = /usr
-} else {
-QMAKE_LFLAGS += \'-Wl,-rpath,$$QCSXCAD_ROOT/lib\'
-}
-INCLUDEPATH += $$QCSXCAD_ROOT/include/QCSXCAD
-LIBS += -L$$QCSXCAD_ROOT/lib -lQCSXCAD
-
-#vtk
-isEmpty(VTK_LIBRARYPATH) {
-#unnecessary by default
-} else {
-QMAKE_LFLAGS += \'-Wl,-rpath,$$VTK_LIBRARYPATH\'
-}
-}
-
-HEADERS += AppCSXCAD.h
-SOURCES += AppCSXCAD.cpp \
-main.cpp
-FORMS += 
-RESOURCES += 
-
-QMAKE_CXXFLAGS_DEBUG = -O0 -g
-
-
-
-
-#
-# create tar file
-#
-tarball.target = tarball
-tarball.commands = git archive --format=tar --prefix=AppCSXCAD-$$VERSION/ HEAD 
| bzip2 > AppCSXCAD-$${VERSION}.tar.bz2
-
-QMAKE_EXTRA_TARGETS += tarball
-
-
-#
-# INSTALL
-#

commit elfutils for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package elfutils for openSUSE:Factory 
checked in at 2015-11-26 17:00:46

Comparing /work/SRC/openSUSE:Factory/elfutils (Old)
 and  /work/SRC/openSUSE:Factory/.elfutils.new (New)


Package is "elfutils"

Changes:

--- /work/SRC/openSUSE:Factory/elfutils/elfutils.changes2015-10-02 
09:22:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.elfutils.new/elfutils.changes   2015-11-26 
17:00:47.0 +0100
@@ -1,0 +2,26 @@
+Fri Nov 20 10:15:34 UTC 2015 - idon...@suse.com
+
+- Update to version 0.164
+  Drop the following patches, fixed upstream:
+* elfutils-portability-0.163.patch
+* elfutils-revert-portability-scanf.patch
+* elfutils-uninitialized.diff
+* libebl-prototype-fix.diff
+
+  Changelog:
+  - strip, unstrip: 
+* Handle ELF files with merged strtab/shstrtab tables.
+* Handle missing SHF_INFO_LINK section flags.
+  - libelf: 
+* Use int64_t for offsets in libelf.h instead of loff_t.
+  - libdw: 
+* dwarf.h Add preliminary DWARF5 DW_LANG_Haskell.
+  - libdwfl:
+* dwfl_standard_find_debuginfo now searches any subdir of the binary
+  path under the debuginfo root when the separate debug file couldn't
+  be found by build-id.
+* dwfl_linux_proc_attach can now be called before any Dwfl_Modules
+  have been reported.
+- Implement %check
+
+---

Old:

  elfutils-0.163.tar.bz2
  elfutils-portability-0.163.patch
  elfutils-revert-portability-scanf.patch
  elfutils-uninitialized.diff
  libebl-prototype-fix.diff

New:

  elfutils-0.164.tar.bz2



Other differences:
--
++ elfutils.spec ++
--- /var/tmp/diff_new_pack.7aqZpX/_old  2015-11-26 17:00:49.0 +0100
+++ /var/tmp/diff_new_pack.7aqZpX/_new  2015-11-26 17:00:49.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   elfutils
-Version:0.163
+Version:0.164
 Release:0
 Summary:Higher-level library to access ELF
 License:SUSE-GPL-2.0-with-OSI-exception
@@ -29,11 +29,7 @@
 Source1:README-BEFORE-ADDING-PATCHES
 Source2:baselibs.conf
 Source3:%{name}.changes
-Patch1: 
https://fedorahosted.org/releases/e/l/%{name}/%{version}/elfutils-portability-%{version}.patch
-Patch2: elfutils-revert-portability-scanf.patch
-Patch3: libebl-prototype-fix.diff
-Patch4: elfutils-uninitialized.diff
-Patch5: elfutils-0.137-dwarf-header-check-fix.diff
+Patch1: elfutils-0.137-dwarf-header-check-fix.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  autoconf
 BuildRequires:  automake
@@ -142,10 +138,6 @@
 %prep
 %setup -q
 %patch1 -p1
-%patch2 -p1 -R
-%patch3 -p1
-%patch4 -p1
-%patch5 -p1
 
 %build
 # Change DATE/TIME macros to use last change time of elfutils.changes
@@ -185,6 +177,9 @@
 
 %postun -n libdw1 -p /sbin/ldconfig
 
+%check
+make check
+
 %files
 %defattr(-,root,root)
 %doc AUTHORS ChangeLog COPYING NEWS NOTES README THANKS TODO

++ elfutils-0.163.tar.bz2 -> elfutils-0.164.tar.bz2 ++
 39248 lines of diff (skipped)




commit hawk2 for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package hawk2 for openSUSE:Factory checked 
in at 2015-11-26 17:01:22

Comparing /work/SRC/openSUSE:Factory/hawk2 (Old)
 and  /work/SRC/openSUSE:Factory/.hawk2.new (New)


Package is "hawk2"

Changes:

--- /work/SRC/openSUSE:Factory/hawk2/hawk2.changes  2015-11-10 
10:03:39.0 +0100
+++ /work/SRC/openSUSE:Factory/.hawk2.new/hawk2.changes 2015-11-26 
17:01:24.0 +0100
@@ -1,0 +2,19 @@
+Thu Nov 19 14:08:17 UTC 2015 - kgronl...@suse.com
+
+- Update to version 1.0.1+git.1447941962.3d88e5f:
+  + Enable 404 page in production (bsc#953846)
+  + Location: Fix crash on empty create (bsc#953847)
+  + Status: Rename name column to ID (bsc#953158)
+  + Location: Add support for resource-discovery (bsc#952191)
+
+---
+Tue Nov 17 12:40:19 UTC 2015 - kgronl...@suse.com
+
+- Disable rubygem bundling 
+
+---
+Mon Nov 16 17:02:17 UTC 2015 - kgronl...@suse.com
+
+- Clean up package description (bsc#952794) 
+
+---

Old:

  hawk2-1.0.1+git.1447036244.df8e574.tar.bz2

New:

  hawk2-1.0.1+git.1447941962.3d88e5f.tar.bz2



Other differences:
--
++ hawk2.spec ++
--- /var/tmp/diff_new_pack.6dWZMm/_old  2015-11-26 17:01:25.0 +0100
+++ /var/tmp/diff_new_pack.6dWZMm/_new  2015-11-26 17:01:25.0 +0100
@@ -28,9 +28,9 @@
 %definepkg_group   System Environment/Daemons
 %endif
 
-%if 0%{?suse_version} && !0%{?is_opensuse}
-%define bundle_gems1
-%endif
+# %%if 0%%{?suse_version} && !0%%{?is_opensuse}
+# %%define bundle_gems 1
+# %%endif
 
 %definegname   haclient
 %defineuname   hacluster
@@ -39,7 +39,7 @@
 Summary:HA Web Konsole
 License:GPL-2.0
 Group:  %{pkg_group}
-Version:1.0.1+git.1447036244.df8e574
+Version:1.0.1+git.1447941962.3d88e5f
 Release:0
 Url:http://www.clusterlabs.org/wiki/Hawk
 Source: %{name}-%{version}.tar.bz2
@@ -143,8 +143,6 @@
 A web-based GUI for managing and monitoring the Pacemaker
 High-Availability cluster resource manager.
 
-Authors: Tim Serong 
-
 
 %prep
 %setup

++ _servicedata ++
--- /var/tmp/diff_new_pack.6dWZMm/_old  2015-11-26 17:01:25.0 +0100
+++ /var/tmp/diff_new_pack.6dWZMm/_new  2015-11-26 17:01:25.0 +0100
@@ -1,4 +1,4 @@
 
 
 git://github.com/ClusterLabs/hawk.git
-  df8e574c5992bf2703567c39a636d0f4ef953cee
\ No newline at end of file
+  3d88e5fd858a390d89c724c0e57e914f30ad74da
\ No newline at end of file

++ hawk2-1.0.1+git.1447036244.df8e574.tar.bz2 -> 
hawk2-1.0.1+git.1447941962.3d88e5f.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hawk2-1.0.1+git.1447036244.df8e574/Makefile 
new/hawk2-1.0.1+git.1447941962.3d88e5f/Makefile
--- old/hawk2-1.0.1+git.1447036244.df8e574/Makefile 2015-11-09 
03:34:49.0 +0100
+++ new/hawk2-1.0.1+git.1447941962.3d88e5f/Makefile 2015-11-19 
15:08:09.0 +0100
@@ -98,11 +98,11 @@
mkdir -p $(DESTDIR)$(WWW_BASE)/hawk/tmp/sockets
mkdir -p $(DESTDIR)$(WWW_BASE)/hawk/tmp/home
# Get rid of cruft from packed gems
-   -find hawk/vendor -name '*bak' -o -name '*~' -o -name '#*#' | xargs rm
+   -find hawk/vendor -name '*bak' -o -name '*~' -o -name '#*#' -delete
cp -a hawk/* $(DESTDIR)$(WWW_BASE)/hawk
-cp -a hawk/.bundle $(DESTDIR)$(WWW_BASE)/hawk
-   -chown -R hacluster.haclient $(DESTDIR)$(WWW_BASE)/hawk/log
-   -chown -R hacluster.haclient $(DESTDIR)$(WWW_BASE)/hawk/tmp
+   -chown -R hacluster.haclient $(DESTDIR)$(WWW_BASE)/hawk/log || true
+   -chown -R hacluster.haclient $(DESTDIR)$(WWW_BASE)/hawk/tmp || true
-chmod g+w $(DESTDIR)$(WWW_BASE)/hawk/tmp/home
-chmod g+w $(DESTDIR)$(WWW_BASE)/hawk/tmp/explorer
 ifeq ($(BUNDLE_GEMS),true)
@@ -113,11 +113,11 @@
 
 tools/install:
install -D -m 4750 tools/hawk_chkpwd $(DESTDIR)/usr/sbin/hawk_chkpwd
-   -chown root.haclient $(DESTDIR)/usr/sbin/hawk_chkpwd
+   -chown root.haclient $(DESTDIR)/usr/sbin/hawk_chkpwd || true
-chmod u+s $(DESTDIR)/usr/sbin/hawk_chkpwd
 
install -D -m 4750 tools/hawk_invoke $(DESTDIR)/usr/sbin/hawk_invoke
-   -chown root.haclient $(DESTDIR)/usr/sbin/hawk_invoke
+   -chown root.haclient $(DESTDIR)/usr/sbin/hawk_invoke || true
-chmod u+s $(DESTDIR)/usr/sbin/hawk_invoke
 
install -D -m 0755 tools/hawk_monitor $(DESTDIR)/usr/sbin/hawk_monitor
diff -urN '--exclude=CVS' 

commit drbd for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package drbd for openSUSE:Factory checked in 
at 2015-11-26 17:01:28

Comparing /work/SRC/openSUSE:Factory/drbd (Old)
 and  /work/SRC/openSUSE:Factory/.drbd.new (New)


Package is "drbd"

Changes:

--- /work/SRC/openSUSE:Factory/drbd/drbd.changes2015-10-30 
13:43:05.0 +0100
+++ /work/SRC/openSUSE:Factory/.drbd.new/drbd.changes   2015-11-26 
17:01:30.0 +0100
@@ -1,0 +2,6 @@
+Fri Nov 20 06:50:29 UTC 2015 - nw...@suse.com
+
+- BSC#955968, support GFP_RECLAIM in kernel4.4
+- Add rename-GFP_WAIT-to-GFP_RECLAIM.patch
+
+---

New:

  rename-GFP_WAIT-to-GFP_RECLAIM.patch



Other differences:
--
++ drbd.spec ++
--- /var/tmp/diff_new_pack.n7kG44/_old  2015-11-26 17:01:31.0 +0100
+++ /var/tmp/diff_new_pack.n7kG44/_new  2015-11-26 17:01:31.0 +0100
@@ -40,6 +40,7 @@
 #Patch for fate: https://fate.suse.com/317940
 #Whether can merge into linbit is under discussion
 Patch3: 0001-Support-zeroout-device-in-initial-sync.patch
+Patch4: rename-GFP_WAIT-to-GFP_RECLAIM.patch
 
 BuildRequires:  kernel-source
 BuildRequires:  kernel-syms
@@ -76,6 +77,7 @@
 %patch1 -p1
 %patch2 -p1
 %patch3 -p1
+%patch4 -p1
 
 %build
 rm -rf obj

++ rename-GFP_WAIT-to-GFP_RECLAIM.patch ++
Index: drbd-8.4.6/drbd/drbd_bitmap.c
===
--- drbd-8.4.6.orig/drbd/drbd_bitmap.c
+++ drbd-8.4.6/drbd/drbd_bitmap.c
@@ -1084,7 +1084,11 @@ static void bm_page_io_async(struct drbd
bm_set_page_unchanged(b->bm_pages[page_nr]);
 
if (ctx->flags & BM_AIO_COPY_PAGES) {
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,4,0)
+   page = mempool_alloc(drbd_md_io_page_pool, 
__GFP_HIGHMEM|__GFP_RECLAIM);
+#else
page = mempool_alloc(drbd_md_io_page_pool, 
__GFP_HIGHMEM|__GFP_WAIT);
+#endif
copy_highpage(page, b->bm_pages[page_nr]);
bm_store_page_idx(page, page_nr);
} else
Index: drbd-8.4.6/drbd/drbd_receiver.c
===
--- drbd-8.4.6.orig/drbd/drbd_receiver.c
+++ drbd-8.4.6/drbd/drbd_receiver.c
@@ -421,7 +421,11 @@ drbd_alloc_peer_req(struct drbd_peer_dev
}
 
if (has_payload && data_size) {
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(4,4,0)
+   page = drbd_alloc_pages(peer_device, nr_pages, (gfp_mask & 
__GFP_RECLAIM));
+#else
page = drbd_alloc_pages(peer_device, nr_pages, (gfp_mask & 
__GFP_WAIT));
+#endif
if (!page)
goto fail;
}



commit python-compizconfig for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package python-compizconfig for 
openSUSE:Factory checked in at 2015-11-26 17:01:25

Comparing /work/SRC/openSUSE:Factory/python-compizconfig (Old)
 and  /work/SRC/openSUSE:Factory/.python-compizconfig.new (New)


Package is "python-compizconfig"

Changes:

--- /work/SRC/openSUSE:Factory/python-compizconfig/python-compizconfig.changes  
2014-09-15 18:24:25.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-compizconfig.new/python-compizconfig.changes 
2015-11-26 17:01:29.0 +0100
@@ -1,0 +2,7 @@
+Mon Nov  9 11:48:58 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 0.8.9.
+- Update dependencies.
+- Remove newtocinit.diff: fixed upstream.
+
+---

Old:

  compizconfig-python-0.8.4.tar.bz2
  newtocinit.diff

New:

  compizconfig-python-0.8.9.tar.gz



Other differences:
--
++ python-compizconfig.spec ++
--- /var/tmp/diff_new_pack.YfIoDm/_old  2015-11-26 17:01:30.0 +0100
+++ /var/tmp/diff_new_pack.YfIoDm/_new  2015-11-26 17:01:30.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-compizconfig
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,57 +16,46 @@
 #
 
 
+%define _name   compizconfig-python
 Name:   python-compizconfig
-Version:0.8.4
+Version:0.8.9
 Release:0
-Summary:Python bindings for libraries/plugins for compizconfig-settings
+Summary:Python bindings for libraries for compizconfig-settings
 License:GPL-2.0+
-Group:  System/X11/Utilities
-Url:http://opencompositing.org
-Source: compizconfig-python-%{version}.tar.bz2
-Patch0: newtocinit.diff
-BuildRequires:  autoconf
-BuildRequires:  automake
-BuildRequires:  compiz-devel
-BuildRequires:  compiz-gnome
-BuildRequires:  glib2-devel
-BuildRequires:  intltool
-BuildRequires:  libcompizconfig-devel
-BuildRequires:  libxml2-devel
-BuildRequires:  libxslt-devel
+Group:  Development/Languages/Python
+Url:https://github.com/raveit65/compizconfig-python
+Source: 
https://github.com/raveit65/%{_name}/archive/v%{version}.tar.gz#/%{_name}-%{version}.tar.gz
+BuildRequires:  mate-common
 BuildRequires:  pkg-config
 BuildRequires:  pyrex
 BuildRequires:  python-devel
-BuildRequires:  python-gnome
+BuildRequires:  pkgconfig(glib-2.0)
+BuildRequires:  pkgconfig(libcompizconfig) < 0.9
 Requires:   compiz < 0.9
-Requires:   libcompizconfig < 0.9
 Requires:   python-gtk
 Obsoletes:  ccs-python < %{version}
 Provides:   ccs-python = %{version}
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
-Python bindings for libraries/plugins for compizconfig-settings
+Python bindings for libraries/plugins for compizconfig-settings.
 
 %prep
-%setup -q -n compizconfig-python-%{version}
-%patch0 -p1
+%setup -q -n %{_name}-%{version}
 
 %build
-#
-python-compizconfig
-#
-./autogen.sh
-%configure --prefix=/usr --libdir=%{_libdir} --disable-static --with-pic
-make %{?_smp_mflags} CFLAGS="%{optflags} -fno-strict-aliasing"
+export CFLAGS="%{optflags} -fno-strict-aliasing"
+NOCONFIGURE=1 mate-autogen
+%configure \
+  --disable-static
+make %{?_smp_mflags}
 
 %install
-make DESTDIR=%{buildroot} install %{?_smp_mflags}
-rm %{buildroot}%{py_sitedir}/*.la
-rm %{buildroot}%{_libdir}/pkgconfig/*
+%make_install
+find %{buildroot} -type f -name "*.la" -delete -print
+rm -rf %{buildroot}%{_libdir}/pkgconfig/
 
 %files
 %defattr(-, root, root)
-%{py_sitedir}/compizconfig*
+%{python_sitearch}/compizconfig*
 
 %changelog




commit java-1_9_0-openjdk for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package java-1_9_0-openjdk for 
openSUSE:Factory checked in at 2015-11-26 17:01:29

Comparing /work/SRC/openSUSE:Factory/java-1_9_0-openjdk (Old)
 and  /work/SRC/openSUSE:Factory/.java-1_9_0-openjdk.new (New)


Package is "java-1_9_0-openjdk"

Changes:

--- /work/SRC/openSUSE:Factory/java-1_9_0-openjdk/java-1_9_0-openjdk.changes
2015-11-12 19:41:07.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.java-1_9_0-openjdk.new/java-1_9_0-openjdk.changes   
2015-11-26 17:01:35.0 +0100
@@ -1,0 +2,25 @@
+Fri Nov 13 06:51:05 UTC 2015 - fst...@suse.com
+
+- Upgrade to upstream tag jdk9-b92
+- Removed patches:
+  * aarch64-ranges.patch
+  * fix-zero-build.patch
+- integrated upstream
+
+---
+Thu Nov 12 06:54:11 UTC 2015 - fst...@suse.com
+
+- Modified patches:
+  * s390-java-opts.patch
+  * s390-size_t.patch
+- rediff to the new context
+
+---
+Wed Nov 11 10:38:38 UTC 2015 - fst...@suse.com
+
+- Added patch:
+  * zero-ranges.patch
+- fix broken instantiation of VM on ppc32 and maybe other
+  ZERO architectures
+
+---

Old:

  122142a18538.tar.bz2
  3b2a3cb658e4.tar.bz2
  3fd5c2ca4c20.tar.bz2
  75843e0a9371.tar.bz2
  79501a97ca57.tar.bz2
  97624df5026a.tar.bz2
  aarch64-ranges.patch
  fee4d2015e24.tar.bz2
  ffaff3d0ad0e.tar.bz2
  fix-zero-build.patch

New:

  106c06398f7a.tar.bz2
  34b77a618e98.tar.bz2
  53cb98d68a1a.tar.bz2
  6a5c99506f44.tar.bz2
  a3415b57507c.tar.bz2
  f7d70caad89a.tar.bz2
  fcabfb3c38ac.tar.bz2
  fe772cbc64f4.tar.bz2
  zero-ranges.patch



Other differences:
--
++ java-1_9_0-openjdk.spec ++
--- /var/tmp/diff_new_pack.1km6ht/_old  2015-11-26 17:01:39.0 +0100
+++ /var/tmp/diff_new_pack.1km6ht/_new  2015-11-26 17:01:39.0 +0100
@@ -33,17 +33,17 @@
 %global minorver9
 %global microver0
 %global updatever   0
-%global buildverb91
+%global buildverb92
 %global root_projectjdk9
 %global root_repository jdk9
-%global root_revision   122142a18538
-%global corba_revision  75843e0a9371
-%global hotspot_revision 3fd5c2ca4c20
-%global jaxp_revision   ffaff3d0ad0e
-%global jaxws_revision  3b2a3cb658e4
-%global jdk_revision97624df5026a
-%global langtools_revision 79501a97ca57
-%global nashorn_revision fee4d2015e24
+%global root_revision   106c06398f7a
+%global corba_revision  f7d70caad89a
+%global hotspot_revision 53cb98d68a1a
+%global jaxp_revision   fcabfb3c38ac
+%global jaxws_revision  fe772cbc64f4
+%global jdk_revision6a5c99506f44
+%global langtools_revision a3415b57507c
+%global nashorn_revision 34b77a618e98
 %global icedtea_sound_version 1.0.1
 # priority must be 6 digits in total
 %global priority1905
@@ -198,10 +198,8 @@
 Patch4: PStack-808293.patch
 # Allow multiple initialization of PKCS11 libraries
 Patch5: multiple-pkcs11-library-init.patch
-# Fix build of ZERO
-Patch6: fix-zero-build.patch
-# Fix build of AARCH64
-Patch7: aarch64-ranges.patch
+# Fix instantiation of VM on ZERO
+Patch8: zero-ranges.patch
 # From icedtea: Increase default memory limits
 Patch10:memory-limits.patch
 # Fix use of unintialized memory in adlc parser
@@ -475,8 +473,7 @@
 %patch3 -p1
 %patch4 -p1
 %patch5 -p1
-%patch6 -p1
-%patch7 -p1
+%patch8 -p1
 %patch10 -p1
 %patch12 -p1
 %patch13 -p1

++ 122142a18538.tar.bz2 -> 106c06398f7a.tar.bz2 ++
 1756 lines of diff (skipped)

++ 3b2a3cb658e4.tar.bz2 -> 34b77a618e98.tar.bz2 ++
 999042 lines of diff (skipped)

++ 122142a18538.tar.bz2 -> 53cb98d68a1a.tar.bz2 ++
/work/SRC/openSUSE:Factory/java-1_9_0-openjdk/122142a18538.tar.bz2 
/work/SRC/openSUSE:Factory/.java-1_9_0-openjdk.new/53cb98d68a1a.tar.bz2 differ: 
char 11, line 1

++ 122142a18538.tar.bz2 -> 6a5c99506f44.tar.bz2 ++
/work/SRC/openSUSE:Factory/java-1_9_0-openjdk/122142a18538.tar.bz2 
/work/SRC/openSUSE:Factory/.java-1_9_0-openjdk.new/6a5c99506f44.tar.bz2 differ: 
char 11, line 1

++ 122142a18538.tar.bz2 -> a3415b57507c.tar.bz2 ++
 890964 lines of diff (skipped)

++ 122142a18538.tar.bz2 -> f7d70caad89a.tar.bz2 ++
 368031 lines of diff (skipped)

++ 122142a18538.tar.bz2 -> fcabfb3c38ac.tar.bz2 ++
 845372 lines of diff (skipped)

++ 122142a18538.tar.bz2 -> fe772cbc64f4.tar.bz2 ++
 707776 lines of diff (skipped)

++ s390-java-opts.patch ++
--- /var/tmp/diff_new_pack.1km6ht/_old  2015-11-26 17:01:58.0 +0100
+++ /var/tmp/diff_new_pack.1km6ht/_new  2015-11-26 17:01:58.0 +0100
@@ 

commit gtkwave for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package gtkwave for openSUSE:Factory checked 
in at 2015-11-26 17:01:35

Comparing /work/SRC/openSUSE:Factory/gtkwave (Old)
 and  /work/SRC/openSUSE:Factory/.gtkwave.new (New)


Package is "gtkwave"

Changes:

--- /work/SRC/openSUSE:Factory/gtkwave/gtkwave.changes  2015-10-01 
09:29:43.0 +0200
+++ /work/SRC/openSUSE:Factory/.gtkwave.new/gtkwave.changes 2015-11-26 
17:02:03.0 +0100
@@ -1,0 +2,6 @@
+Fri Nov 20 13:17:04 UTC 2015 - dmitr...@opensuse.org
+
+- Update to version 3.3.68
+  * bugfix release, see included ChangeLog file for details
+
+---

Old:

  gtkwave-3.3.67.tar.gz

New:

  gtkwave-3.3.68.tar.gz



Other differences:
--
++ gtkwave.spec ++
--- /var/tmp/diff_new_pack.GvJckf/_old  2015-11-26 17:02:04.0 +0100
+++ /var/tmp/diff_new_pack.GvJckf/_new  2015-11-26 17:02:04.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   gtkwave
-Version:3.3.67
+Version:3.3.68
 Release:0
 Summary:Waveform viewer for Ditital Signals
 License:GPL-2.0+

++ gtkwave-3.3.67.tar.gz -> gtkwave-3.3.68.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gtkwave-3.3.67/AUTHORS new/gtkwave-3.3.68/AUTHORS
--- old/gtkwave-3.3.67/AUTHORS  2014-12-29 21:10:07.0 +0100
+++ new/gtkwave-3.3.68/AUTHORS  2015-11-05 04:49:42.0 +0100
@@ -1,14 +1,14 @@
-GTKWave Wave Viewer is Copyright (C) 1999-2015 Tony Bybell.
-Windows compatibility and PS/MIF routines are Copyright (C) 1999-2015 Udi 
Finkelstein.
-Context support is Copyright (C) 2007-2015 Kermin Elliott Fleming.
-Trace group support is  Copyright (C) 2009-2015 Donald Baltus.
-GHW and additional GUI support is Copyright (C) 2005-2015 Tristan Gingold.
-Analog support is Copyright (C) 2005-2015 Thomas Sailer.
-External DnD support is Copyright (C) 2008-2015 Concept Engineering GmbH.
-FastLZ is Copyright (C) 2005-2015 Ariya Hidayat.
-PCCTS 1.33MR is Copyright (C) 1989-2015 Terence Parr, Russell Quong, Will 
Cohen, Hank Dietz, and Thomas Moog.
+GTKWave Wave Viewer is Copyright (C) 1999-2016 Tony Bybell.
+Windows compatibility and PS/MIF routines are Copyright (C) 1999-2016 Udi 
Finkelstein.
+Context support is Copyright (C) 2007-2016 Kermin Elliott Fleming.
+Trace group support is  Copyright (C) 2009-2016 Donald Baltus.
+GHW and additional GUI support is Copyright (C) 2005-2016 Tristan Gingold.
+Analog support is Copyright (C) 2005-2016 Thomas Sailer.
+External DnD support is Copyright (C) 2008-2016 Concept Engineering GmbH.
+FastLZ is Copyright (C) 2005-2016 Ariya Hidayat.
+PCCTS 1.33MR is Copyright (C) 1989-2016 Terence Parr, Russell Quong, Will 
Cohen, Hank Dietz, and Thomas Moog.
 Some public domain clip art by contributors at http://www.sxc.hu/ website.
 Hierarchy marker icons from the Silk icons set by Mark James found at the 
http://www.famfamfam.com/lab/icons/silk/ website.
 Portions of the TCL implementation, tcl_np.c and tcl_np.h are copyrighted by 
the Regents of the University of California, Sun Microsystems, Inc., Scriptics 
Corporation, ActiveState Corporation, and other parties.
-NSAlert is Copyright (C) 2011-2015 Philipp Mayerhofer.
-LZ4 is Copyright (C) 2011-2015 Yann Collet.
+NSAlert is Copyright (C) 2011-2016 Philipp Mayerhofer.
+LZ4 is Copyright (C) 2011-2016 Yann Collet.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gtkwave-3.3.67/ChangeLog new/gtkwave-3.3.68/ChangeLog
--- old/gtkwave-3.3.67/ChangeLog2015-09-25 02:06:03.0 +0200
+++ new/gtkwave-3.3.68/ChangeLog2015-11-19 02:42:19.0 +0100
@@ -1516,3 +1516,8 @@
Compile fixes for renamed functions and defines in gtk osx.
 3.3.67 24sep15 Updated LZ4 for version r131.
Fixed right justify ascii datatype display.
+3.3.68 18nov15 Update copyright date.
+   Added named markers capability to From: and To: time value
+   input boxes.
+   Added support for fixed point binary numbers for both signed 
+   and unsigned decimal display types.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gtkwave-3.3.67/LICENSE.TXT 
new/gtkwave-3.3.68/LICENSE.TXT
--- old/gtkwave-3.3.67/LICENSE.TXT  2015-07-05 21:35:36.0 +0200
+++ new/gtkwave-3.3.68/LICENSE.TXT  2015-11-05 01:53:59.0 +0100
@@ -1,14 +1,14 @@
 ##
 
-GTKWave 3.3.66 Wave Viewer is Copyright (C) 1999-2015 Tony Bybell.  
-Portions of GTKWave are Copyright (C) 1999-2015 Udi 

commit python-libnacl for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package python-libnacl for openSUSE:Factory 
checked in at 2015-11-26 17:01:32

Comparing /work/SRC/openSUSE:Factory/python-libnacl (Old)
 and  /work/SRC/openSUSE:Factory/.python-libnacl.new (New)


Package is "python-libnacl"

Changes:

--- /work/SRC/openSUSE:Factory/python-libnacl/python-libnacl.changes
2015-06-12 20:31:39.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-libnacl.new/python-libnacl.changes   
2015-11-26 17:02:00.0 +0100
@@ -1,0 +2,21 @@
+Thu Nov 19 17:04:26 UTC 2015 - mrueck...@suse.de
+
+- no longer build as noarch package, while the code is still
+  noarch. we actually depend on the native library at runtime. To
+  be able to make this work properly we need to require that native
+  library, that native requires makes us arch dependent.
+
+---
+Thu Nov 19 16:28:31 UTC 2015 - mrueck...@suse.de
+
+- make sure we require the libsodium version we were built with
+
+---
+Thu Nov 19 16:08:47 UTC 2015 - mrueck...@suse.de
+
+- fix libsodium loading on Tumbleweed: soversion was bumped to 17
+  reported as https://github.com/saltstack/libnacl/pull/60
+
+  adds libnacl-1.4.3_bump_libsodium_soversion.patch
+
+---

New:

  libnacl-1.4.3_bump_libsodium_soversion.patch



Other differences:
--
++ python-libnacl.spec ++
--- /var/tmp/diff_new_pack.4ebAdW/_old  2015-11-26 17:02:01.0 +0100
+++ /var/tmp/diff_new_pack.4ebAdW/_new  2015-11-26 17:02:01.0 +0100
@@ -23,19 +23,18 @@
 Url:https://github.com/saltstack/libnacl
 Group:  Development/Languages/Python
 Source0:
https://pypi.python.org/packages/source/l/libnacl/libnacl-%{version}.tar.gz
+Patch:  libnacl-1.4.3_bump_libsodium_soversion.patch
 BuildRoot:  %{_tmppath}/libnacl-%{version}-build
 
-BuildRequires:  python-setuptools
+BuildRequires:  python
 BuildRequires:  python-devel
 BuildRequires:  libsodium-devel
-BuildRequires:  fdupes
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-%if 0%{?suse_version} && 0%{?suse_version} <= 1110
 %{!?python_sitelib: %global python_sitelib %(python -c "from 
distutils.sysconfig import get_python_lib; print get_python_lib()")}
-%else
-BuildArch:  noarch
-%endif
+# make sure we require the libsodium version we were built with
+# this is extracted from the requires_eq macro because we need the -a 
parameter to expand the wildcard in the package name.
+%(LC_ALL=C rpm -q -a --qf "Requires: %%{name}(%{__isa}) = 
%%{epoch}:%%{version}\n" 'libsodium*' | grep -v libsodium-devel | sed -e 's/ 
(none):/ /' -e 's/ 0:/ /' | grep -v "is not")
 
 %description
 This library is used to gain direct access to the functions exposed by Daniel 
J. Bernstein's nacl library via libsodium or tweetnacl.
@@ -44,13 +43,13 @@
 
 %prep
 %setup -q -n libnacl-%{version}
+%patch -p1
 
 %build
 python setup.py build
 
 %install
 python setup.py install --prefix=%{_prefix} --root=%{buildroot} --optimize=1
-%fdupes %{buildroot}%{_prefix}
 
 %files
 %defattr(-,root,root)

++ libnacl-1.4.3_bump_libsodium_soversion.patch ++
Index: libnacl-1.4.3/libnacl/__init__.py
===
--- libnacl-1.4.3.orig/libnacl/__init__.py
+++ libnacl-1.4.3/libnacl/__init__.py
@@ -9,7 +9,7 @@ from libnacl.version import __version__
 import ctypes
 import sys
 
-__SONAMES = (13, 10, 5, 4)
+__SONAMES = (17, 13, 10, 5, 4)
 
 
 def _get_nacl():



commit cacti for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package cacti for openSUSE:Factory checked 
in at 2015-11-26 17:01:54

Comparing /work/SRC/openSUSE:Factory/cacti (Old)
 and  /work/SRC/openSUSE:Factory/.cacti.new (New)


Package is "cacti"

Changes:

--- /work/SRC/openSUSE:Factory/cacti/cacti.changes  2015-08-01 
11:38:12.0 +0200
+++ /work/SRC/openSUSE:Factory/.cacti.new/cacti.changes 2015-11-26 
17:02:15.0 +0100
@@ -1,0 +2,14 @@
+Mon Nov 16 16:21:14 UTC 2015 - a...@ajaissle.de
+
+- Spec cleanup, split -doc package
+- Universal "Requires:" for httpd and mod_php_any [boo#867607]
+- Dropped cacti.cron.new
+- Updated cacti.cron
+- Dropped cacti-httpd.conf.vhost
+- Dropped cacti-httpd.conf.nonsuse
+- Updated cacti-httpd.conf (for openSUSE <= 1210 and other)
+- Updated cacti-httpd.conf.default (for openSUSE > 1210)
+- Dropped cacti-script.patch (applies to a non-packaged file)
+- Updated cacti.logrotate
+
+---

Old:

  cacti-httpd.conf.nonsuse
  cacti-httpd.conf.vhost
  cacti-script.patch
  cacti.cron.new



Other differences:
--
++ cacti.spec ++
--- /var/tmp/diff_new_pack.VtfcQ6/_old  2015-11-26 17:02:16.0 +0100
+++ /var/tmp/diff_new_pack.VtfcQ6/_new  2015-11-26 17:02:16.0 +0100
@@ -18,80 +18,55 @@
 
 Name:   cacti
 Version:0.8.8f
-Release:0.0
+Release:0
 Summary:Web Front-End to Monitor System Data via RRDtool
 License:GPL-2.0+
 Group:  System/Monitoring
+
 Url:http://www.cacti.net/
 Source0:http://www.cacti.net/downloads/%{name}-%{version}.tar.gz
 Source1:%{name}.cron
 Source2:%{name}-httpd.conf
 Source3:%{name}.logrotate
 Source4:%{name}-httpd.conf.default
-Source5:%{name}-httpd.conf.vhost
-Source6:%{name}-httpd.conf.nonsuse
-Source7:%{name}.cron.new
 # PATCH-FIX-OPENSUSE cacti-0.8.8-cacti-log-path.patch
 Patch0: cacti-log-path.patch
-# PATCH-FIX-OPENSUSE cacti-0.8.8-cacti-script.patch
-Patch1: cacti-script.patch
-Provides:   cacti-system
+
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildArch:  noarch
+BuildRequires:  apache-rpm-macros
 %if 0%{?suse_version}
 BuildRequires:  apache2-devel
-Requires:   apache2
-Requires:   cron
-Requires:   mod_php_any >= 5.1
-Requires:   php-mysql >= 5.1
-Requires:   php-snmp >= 5.1
-Requires:   php-sockets >= 5.1
-Requires:   rrdtool
-%endif
-%if 0%{?fedora_version} ||  0%{?rhel_version} || 0%{?centos_version}
+%else
 BuildRequires:  httpd-devel
+%endif
+
 Requires:   httpd
+Requires:   logrotate
+Requires:   net-snmp
+Requires:   php-snmp >= 5.1
 Requires:   rrdtool
-%endif
-%if 0%{?centos_version}
-Requires:   php-mysql
-Requires:   php-snmp
-%endif
-%if 0%{?rhel_version}
-Requires:   php-mysql
-#Requires:   php-snmp
+
+%if 0%{?suse_version}
+Requires:   cron
+Requires:   mod_php_any >= 5.1
+Requires:   php-sockets >= 5.1
 %endif
 %if 0%{?fedora_version}
-Requires:   php-mysqlnd
-Requires:   php-snmp
-%endif
-%if 0%{?mandriva_version}
-BuildRequires:  apache-devel
-Requires:   apache
-Requires:   apache-mod_php
-Requires:   php-mysql
-Requires:   php-snmp
-Requires:   php-sockets
-Requires:   rrdtool
+Requires:   php-mysqlnd >= 5.1
+%else
+Requires:   php-mysql >= 5.1
 %endif
-Requires:   logrotate
-Requires:   net-snmp
+
+Provides:   cacti-system
+
 Obsoletes:  cacti-PA
 Provides:   cacti-PA
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildArch:  noarch
-%if 0%{?suse_version}
-%define apxs/usr/sbin/apxs2
-%else
-%if 0%{?rhel_version} >= 700 || 0%{?centos_version} >= 700 || 
0%{?fedora_version} >= 20
-%define apxs/bin/apxs
-%else
-%define apxs/usr/sbin/apxs
-%endif
-%endif
-%define apache2_sysconfdir   %(%{apxs} -q SYSCONFDIR)
+
 %if 0%{?suse_version} <= 1210
-%define prefix %{_datadir}/cacti
+%define cacti_dir %{_datadir}/cacti
 %else
-%define prefix /srv/www/cacti
+%define cacti_dir %{apache_datadir}/cacti
 %endif
 
 %description
@@ -103,95 +78,116 @@
 support for those accustomed to creating traffic graphs with MRTG as
 well.
 
+
+%package doc
+Summary:Documentation for Cacti
+Group:  Documentation/HTML
+Requires:   %{name} = %{version}
+
+%description doc
+Cacti is a complete front-end to RRDtool: it stores all necessary
+information for creating graphs and populates them with data from a
+MySQL database. The front-end is completely PHP driven. Along with
+being ableto maintain graphs, data sources, and round robin archives
+ina database, Cacti also handles data 

commit perl-Exception-Base for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package perl-Exception-Base for 
openSUSE:Factory checked in at 2015-11-26 17:01:57

Comparing /work/SRC/openSUSE:Factory/perl-Exception-Base (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Exception-Base.new (New)


Package is "perl-Exception-Base"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Exception-Base/perl-Exception-Base.changes  
2015-10-06 13:24:51.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Exception-Base.new/perl-Exception-Base.changes 
2015-11-26 17:02:18.0 +0100
@@ -1,0 +2,7 @@
+Fri Nov 20 09:32:52 UTC 2015 - co...@suse.com
+
+- updated to 0.2501
+   see /usr/share/doc/packages/perl-Exception-Base/Changes
+- remove upstream Exception-Base-sprintf.patch
+
+---

Old:

  Exception-Base-0.25.tar.gz
  Exception-Base-sprintf.patch

New:

  Exception-Base-0.2501.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-Exception-Base.spec ++
--- /var/tmp/diff_new_pack.Ylj1pz/_old  2015-11-26 17:02:18.0 +0100
+++ /var/tmp/diff_new_pack.Ylj1pz/_new  2015-11-26 17:02:18.0 +0100
@@ -17,112 +17,62 @@
 
 
 Name:   perl-Exception-Base
-Version:0.25
+Version:0.2501
 Release:0
 %define cpan_name Exception-Base
 Summary:Lightweight exceptions
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Exception-Base/
-Source: 
http://www.cpan.org/authors/id/D/DE/DEXTER/%{cpan_name}-%{version}.tar.gz
-Patch0: Exception-Base-sprintf.patch
+Source0:
http://www.cpan.org/authors/id/D/DE/DEXTER/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(Module::Build)
 BuildRequires:  perl(Test::Unit::Lite) >= 0.12
-#BuildRequires: perl(Class::Throwable)
-#BuildRequires: perl(Exception::Base)
-#BuildRequires: perl(Exception::BaseTest::LoadedException)
-#BuildRequires: perl(Exception::Class)
-#BuildRequires: perl(File::Slurp)
-#BuildRequires: perl(Readonly)
-#BuildRequires: perl(Test::CheckChanges)
-#BuildRequires: perl(Test::CPAN::Changes)
-#BuildRequires: perl(Test::CPAN::Meta)
-#BuildRequires: perl(Test::DistManifest)
-#BuildRequires: perl(Test::Distribution)
-#BuildRequires: perl(Test::EOL)
-#BuildRequires: perl(Test::Kwalitee)
-#BuildRequires: perl(Test::NoTabs)
-#BuildRequires: perl(Test::Perl::Critic)
-#BuildRequires: perl(Test::Pod) >= 1.14
-#BuildRequires: perl(Test::Pod::Coverage) >= 1.04
-#BuildRequires: perl(Test::Signature)
-#BuildRequires: perl(Test::Spelling)
-#BuildRequires: perl(Test::Unit::TestCase)
-#BuildRequires: perl(TryCatch)
-#BuildRequires: perl(Try::Tiny)
 %{perl_requires}
 
 %description
-This class implements a fully OO exception mechanism similar to the
-Exception::Class manpage or the Class::Throwable manpage. It provides a
-simple interface allowing programmers to declare exception classes. These
-classes can be thrown and caught. Each uncaught exception prints full stack
-trace if the default verbosity is increased for debugging purposes.
+This class implements a fully OO exception mechanism similar to
+Exception::Class or Class::Throwable. It provides a simple interface
+allowing programmers to declare exception classes. These classes can be
+thrown and caught. Each uncaught exception prints full stack trace if the
+default verbosity is increased for debugging purposes.
 
 The features of 'Exception::Base':
 
-* *
+  * fast implementation of the exception class
 
-  fast implementation of the exception class
+  * fully OO without closures and source code filtering
 
-* *
+  * does not mess with '$SIG{__DIE__}' and '$SIG{__WARN__}'
 
-  fully OO without closures and source code filtering
+  * no external run-time modules dependencies, requires core Perl modules only
 
-* *
+  * the default behavior of exception class can be changed globally or just for
+the thrown exception
 
-  does not mess with '$SIG{__DIE__}' and '$SIG{__WARN__}'
+  * matching the exception by class, message or other attributes
 
-* *
+  * matching with string, regex or closure function
 
-  no external run-time modules dependencies, requires core Perl modules
-  only
+  * creating automatically the derived exception classes (perlfunc/use
+interface)
 
-* *
+  * easily expendable, see Exception::System class for example
 
-  the default behavior of exception class can be changed globally or just
-  for the thrown exception
+  * prints just an error message or dumps full stack trace
 
-* *
+  * can propagate (rethrow) an exception

commit scintilla for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package scintilla for openSUSE:Factory 
checked in at 2015-11-26 17:01:34

Comparing /work/SRC/openSUSE:Factory/scintilla (Old)
 and  /work/SRC/openSUSE:Factory/.scintilla.new (New)


Package is "scintilla"

Changes:

--- /work/SRC/openSUSE:Factory/scintilla/scintilla.changes  2015-03-25 
10:00:36.0 +0100
+++ /work/SRC/openSUSE:Factory/.scintilla.new/scintilla.changes 2015-11-26 
17:02:01.0 +0100
@@ -1,0 +2,6 @@
+Fri Nov 20 10:13:00 UTC 2015 - mplus...@suse.com
+
+- Update to 3.6.2
+  * No changelog available
+
+---

Old:

  scintilla354.tgz

New:

  scintilla362.tgz



Other differences:
--
++ scintilla.spec ++
--- /var/tmp/diff_new_pack.7Qrrxs/_old  2015-11-26 17:02:02.0 +0100
+++ /var/tmp/diff_new_pack.7Qrrxs/_new  2015-11-26 17:02:02.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package scintilla
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,27 +15,27 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-%define tar_ver 354
-%define so_ver 3.0
 
+%define tar_ver 362
+%define so_ver 3.0
 Name:   scintilla
+Version:3.6.2
+Release:0
 Summary:A free source code editing component
-Version:3.5.4
-Release:1
-Group:  Development/Libraries/C and C++
 License:MIT
+Group:  Development/Libraries/C and C++
 Url:http://www.scintilla.org
 Source: 
http://sourceforge.net/projects/scintilla/files/scintilla/%{version}/%{name}%{tar_ver}.tgz
 Patch0: %{name}-shared.patch
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  gcc-c++ 
 BuildRequires:  glib2-devel
+BuildRequires:  libtool
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %if 0%{?suse_version} >= 1310
 BuildRequires:  gtk3-devel
 %else
 BuildRequires:  gtk2-devel
 %endif
-BuildRequires:  libtool
 %if 0%{?suse_version}
 BuildRequires:  fdupes
 %endif
@@ -55,7 +55,6 @@
 multiple foreground and background colours and multiple fonts.
 
 %package -n libscintilla3
-License:MIT
 Summary:A free source code editing component
 Group:  Development/Libraries/C and C++
 
@@ -74,10 +73,9 @@
 multiple foreground and background colours and multiple fonts.
 
 %package -n libscintilla-devel
-License:MIT
+Summary:A free source code editing component
 Group:  Development/Libraries/C and C++
 Requires:   libscintilla3 = %{version}
-Summary:A free source code editing component
 
 %description -n libscintilla-devel
 Scintilla is a free source code editing component. It comes with
@@ -94,7 +92,7 @@
 multiple foreground and background colours and multiple fonts.
 
 %prep
-%setup -n %{name}
+%setup -q -n %{name}
 rm -f gtk/makefile.orig
 %patch0
 find . -name 'CVS' -type d -exec rm -rf \{\} \; 2> /dev/null || :

++ scintilla-shared.patch ++
--- /var/tmp/diff_new_pack.7Qrrxs/_old  2015-11-26 17:02:02.0 +0100
+++ /var/tmp/diff_new_pack.7Qrrxs/_new  2015-11-26 17:02:02.0 +0100
@@ -2,7 +2,7 @@
 ===
 --- gtk/makefile.orig
 +++ gtk/makefile
-@@ -36,7 +36,7 @@
+@@ -36,7 +36,7 @@ DEL = del /q
  COMPLIB=..\bin\scintilla.a
  else
  DEL = rm -f
@@ -11,7 +11,7 @@
  endif
  
  vpath %.h ../src ../include ../lexlib
-@@ -46,7 +46,7 @@
+@@ -46,7 +46,7 @@ INCLUDEDIRS=-I ../include -I ../src -I .
  ifdef CHECK_DEPRECATED
  DEPRECATED=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED 
-DGTK_DISABLE_DEPRECATED -DDISABLE_GDK_FONT
  endif
@@ -20,7 +20,7 @@
  
  ifdef NOTHREADS
  THREADFLAGS=-DG_THREADS_IMPL_NONE
-@@ -71,7 +71,7 @@
+@@ -71,7 +71,7 @@ endif
  CFLAGS:=$(CTFLAGS)
  CXXTFLAGS:=--std=c++0x $(CTFLAGS) $(REFLAGS)
  
@@ -29,7 +29,7 @@
  MARSHALLER=scintilla-marshal.o
  
  .cxx.o:
-@@ -99,8 +99,7 @@
+@@ -99,8 +99,7 @@ $(COMPLIB): Accessor.o CharacterSet.o Le
KeyMap.o LineMarker.o PositionCache.o ScintillaGTK.o CellBuffer.o 
CharacterCategory.o ViewStyle.o \
RESearch.o RunStyles.o Selection.o Style.o Indicator.o AutoComplete.o 
UniConversion.o XPM.o \
$(MARSHALLER) $(LEXOBJS)

++ scintilla354.tgz -> scintilla362.tgz ++
 42544 lines of diff (skipped)




commit fish for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package fish for openSUSE:Factory checked in 
at 2015-11-26 17:01:43

Comparing /work/SRC/openSUSE:Factory/fish (Old)
 and  /work/SRC/openSUSE:Factory/.fish.new (New)


Package is "fish"

Changes:

--- /work/SRC/openSUSE:Factory/fish/fish.changes2015-08-01 
11:37:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.fish.new/fish.changes   2015-11-26 
17:02:08.0 +0100
@@ -1,0 +2,7 @@
+Thu Nov 19 12:19:45 UTC 2015 - infr...@gmail.com
+
+- Recommends: terminfo (required for some terminals)
+- Requires: man (required for completions, otherwise fish complains
+  about non existant `apropos` on every TAB)
+
+---



Other differences:
--
++ fish.spec ++
--- /var/tmp/diff_new_pack.CsDCLD/_old  2015-11-26 17:02:09.0 +0100
+++ /var/tmp/diff_new_pack.CsDCLD/_new  2015-11-26 17:02:09.0 +0100
@@ -33,7 +33,9 @@
 BuildRequires:  groff
 BuildRequires:  ncurses-devel
 BuildRequires:  python
+Requires:   man
 Requires:   python-curses
+Recommends: terminfo
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description




commit xtables-addons for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package xtables-addons for openSUSE:Factory 
checked in at 2015-11-26 17:01:41

Comparing /work/SRC/openSUSE:Factory/xtables-addons (Old)
 and  /work/SRC/openSUSE:Factory/.xtables-addons.new (New)


Package is "xtables-addons"

Changes:

--- /work/SRC/openSUSE:Factory/xtables-addons/xtables-addons.changes
2015-10-20 00:09:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.xtables-addons.new/xtables-addons.changes   
2015-11-26 17:02:07.0 +0100
@@ -1,0 +2,6 @@
+Fri Nov 20 22:40:17 UTC 2015 - jeng...@inai.de
+
+- Update to new upstream release 2.10
+* Support for Linux 4.4
+
+---

Old:

  xtables-addons-2.9.tar.asc
  xtables-addons-2.9.tar.xz

New:

  xtables-addons-2.10.tar.asc
  xtables-addons-2.10.tar.xz



Other differences:
--
++ xtables-addons.spec ++
--- /var/tmp/diff_new_pack.5ELPzm/_old  2015-11-26 17:02:08.0 +0100
+++ /var/tmp/diff_new_pack.5ELPzm/_new  2015-11-26 17:02:08.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   xtables-addons
-Version:2.9
+Version:2.10
 Release:0
 Summary:IP Packet Filter Administration Extensions
 License:GPL-2.0 and GPL-2.0+
@@ -68,26 +68,26 @@
 %setup -q
 
 %build
-pushd ../;
+pushd ../
 for flavor in %flavors_to_build; do
-   cp -a "%name-%version" "%name-$flavor-%version";
-   pushd "%name-$flavor-%version/";
-   %configure --with-kbuild="/usr/src/linux-obj/%_target_cpu/$flavor";
-   make %{?_smp_mflags} V=1;
-   popd;
-done;
+   cp -a "%name-%version" "%name-$flavor-%version"
+   pushd "%name-$flavor-%version/"
+   %configure --with-kbuild="/usr/src/linux-obj/%_target_cpu/$flavor"
+   make %{?_smp_mflags} V=1
+   popd
+done
 
 %install
-b="%buildroot";
-pushd ../;
+b="%buildroot"
+pushd ../
 for flavor in %flavors_to_build; do
-   pushd "%name-$flavor-%version/";
-   make install DESTDIR="$b";
-   popd;
-done;
+   pushd "%name-$flavor-%version/"
+   make install DESTDIR="$b"
+   popd
+done
 # There is no -devel package. So no need for these files.
-find "$b/%_prefix" -iname "*.la" -delete;
-find "$b/%_libdir" -maxdepth 1 -type l -iname "*.so" -delete;
+find "$b/%_prefix" -iname "*.la" -delete
+find "$b/%_libdir" -maxdepth 1 -type l -iname "*.so" -delete
 
 %post   -p /sbin/ldconfig
 %postun -p /sbin/ldconfig

++ xtables-addons-2.9.tar.xz -> xtables-addons-2.10.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xtables-addons-2.9/configure 
new/xtables-addons-2.10/configure
--- old/xtables-addons-2.9/configure2015-10-12 16:41:15.0 +0200
+++ new/xtables-addons-2.10/configure   2015-11-20 23:35:53.0 +0100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for xtables-addons 2.9.
+# Generated by GNU Autoconf 2.69 for xtables-addons 2.10.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
@@ -587,8 +587,8 @@
 # Identity of this package.
 PACKAGE_NAME='xtables-addons'
 PACKAGE_TARNAME='xtables-addons'
-PACKAGE_VERSION='2.9'
-PACKAGE_STRING='xtables-addons 2.9'
+PACKAGE_VERSION='2.10'
+PACKAGE_STRING='xtables-addons 2.10'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1325,7 +1325,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures xtables-addons 2.9 to adapt to many kinds of systems.
+\`configure' configures xtables-addons 2.10 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1395,7 +1395,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of xtables-addons 2.9:";;
+ short | recursive ) echo "Configuration of xtables-addons 2.10:";;
esac
   cat <<\_ACEOF
 
@@ -1519,7 +1519,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-xtables-addons configure 2.9
+xtables-addons configure 2.10
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1884,7 +1884,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by xtables-addons $as_me 2.9, which was
+It was created by xtables-addons $as_me 2.10, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2750,7 +2750,7 @@
 
 # Define the identity of the package.
  PACKAGE='xtables-addons'
- VERSION='2.9'
+ VERSION='2.10'

commit python-botocore for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package python-botocore for openSUSE:Factory 
checked in at 2015-11-26 17:01:31

Comparing /work/SRC/openSUSE:Factory/python-botocore (Old)
 and  /work/SRC/openSUSE:Factory/.python-botocore.new (New)


Package is "python-botocore"

Changes:

--- /work/SRC/openSUSE:Factory/python-botocore/python-botocore.changes  
2015-10-20 16:22:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-botocore.new/python-botocore.changes 
2015-11-26 17:01:58.0 +0100
@@ -1,0 +2,7 @@
+Tue Nov 17 14:27:53 UTC 2015 - tbecht...@suse.com
+
+- update to 1.3.7:
+  + No upstream changelog
+- Adjust Requires for python-docutils according to requires.txt
+
+---

Old:

  botocore-1.2.10.tar.gz

New:

  botocore-1.3.7.tar.gz



Other differences:
--
++ python-botocore.spec ++
--- /var/tmp/diff_new_pack.3Ne7ru/_old  2015-11-26 17:01:59.0 +0100
+++ /var/tmp/diff_new_pack.3Ne7ru/_new  2015-11-26 17:01:59.0 +0100
@@ -19,7 +19,7 @@
 %define baseName botocore
 
 Name:   python-botocore
-Version:1.2.10
+Version:1.3.7
 Release:0
 Summary:Python interface for AWS
 License:Apache-2.0
@@ -30,7 +30,7 @@
 Requires:   python
 Requires:   python-dateutil   <= 3.0.0
 Requires:   python-dateutil   >= 2.1
-Requires:   python-docutils   >= 0.1
+Requires:   python-docutils   >= 0.10
 Requires:   python-jmespath   >= 0.7.1
 %if 0%{?suse_version} && 0%{?suse_version} <= 1110
 Requires:   python-ordereddict >= 1.1

++ botocore-1.2.10.tar.gz -> botocore-1.3.7.tar.gz ++
 16642 lines of diff (skipped)




commit perl-Pod-POM for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package perl-Pod-POM for openSUSE:Factory 
checked in at 2015-11-26 17:01:56

Comparing /work/SRC/openSUSE:Factory/perl-Pod-POM (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Pod-POM.new (New)


Package is "perl-Pod-POM"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Pod-POM/perl-Pod-POM.changes
2014-02-12 07:05:27.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Pod-POM.new/perl-Pod-POM.changes   
2015-11-26 17:02:17.0 +0100
@@ -1,0 +2,6 @@
+Fri Nov 20 09:55:16 UTC 2015 - co...@suse.com
+
+- updated to 2.01
+   see /usr/share/doc/packages/perl-Pod-POM/Changes
+
+---

Old:

  Pod-POM-0.29.tar.gz

New:

  Pod-POM-2.01.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-Pod-POM.spec ++
--- /var/tmp/diff_new_pack.rHTyK4/_old  2015-11-26 17:02:17.0 +0100
+++ /var/tmp/diff_new_pack.rHTyK4/_new  2015-11-26 17:02:17.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Pod-POM
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,19 +17,22 @@
 
 
 Name:   perl-Pod-POM
-Version:0.29
+Version:2.01
 Release:0
 %define cpan_name Pod-POM
 Summary:POD Object Model
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Pod-POM/
-Source: 
http://www.cpan.org/authors/id/A/AN/ANDREWF/%{cpan_name}-%{version}.tar.gz
+Source0:
http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(File::Slurp)
+BuildRequires:  perl(File::Slurper) >= 0.004
+BuildRequires:  perl(Test::Differences)
+BuildRequires:  perl(Text::Diff)
 BuildRequires:  perl(parent)
 Requires:   perl(parent)
 %{perl_requires}
@@ -62,6 +65,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes README TODO
+%doc Changes examples LICENSE README.md TODO
 
 %changelog

++ Pod-POM-0.29.tar.gz -> Pod-POM-2.01.tar.gz ++
 4425 lines of diff (skipped)

++ cpanspec.yml ++
---
description_paragraphs: 1
#no_testing: broken upstream
#sources:
#  - source1
#  - source2
#patches:
#  foo.patch: -p1
#  bar.patch:
#preamble: |-
# BuildRequires:  gcc-c++
#post_prep: |-
# hunspell=`pkg-config --libs hunspell | sed -e 's,-l,,; s,  *,,g'`
# sed -i -e "s,hunspell-X,$hunspell," t/00-prereq.t Makefile.PL 
#post_install: |-
# sed on %{name}.files
#license: SUSE-NonFree
#skip_noarch: 1
#custom_build: |-
#./Build build flags=%{?_smp_mflags} --myflag
#custom_test: |-
#startserver && make test
#ignore_requires: Bizarre::Module



commit hiredis for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package hiredis for openSUSE:Factory checked 
in at 2015-11-26 17:01:58

Comparing /work/SRC/openSUSE:Factory/hiredis (Old)
 and  /work/SRC/openSUSE:Factory/.hiredis.new (New)


Package is "hiredis"

Changes:

--- /work/SRC/openSUSE:Factory/hiredis/hiredis.changes  2015-03-05 
18:16:31.0 +0100
+++ /work/SRC/openSUSE:Factory/.hiredis.new/hiredis.changes 2015-11-26 
17:02:19.0 +0100
@@ -1,0 +2,25 @@
+Sun Nov 22 08:50:22 UTC 2015 - mplus...@suse.com
+
+- Update to 0.13.3
+   * Revert "Clear `REDIS_CONNECTED` flag when connection is 
+   closed".
+   * Make tests pass on FreeBSD
+- Changes for 0.13.2
+   * Prevent crash on pending replies in async code
+   * Clear `REDIS_CONNECTED` flag when connection is closed
+   * Add MacOS X addapter
+   * Add Qt adapter
+   * Add Ivykis adapter
+- Changes for 0.13.1
+   * Fix memory leak in async reply handling
+   * Rename struct member to avoid name clash with pre-c99 code
+- Changes for 0.13.0
+   * Windows compatibility layer for parser code
+   * Properly escape data printed to PKGCONF file
+   * Fix tests when assert() undefined 
+   * Implement a reconnect method for the client context, this 
+   changes the structure of `redisContext`
+- Drop hiredis-pkgconfig.patch
+  * fixed in upstream
+
+---

Old:

  hiredis-pkgconfig.patch
  v0.12.1.tar.gz

New:

  v0.13.3.tar.gz



Other differences:
--
++ hiredis.spec ++
--- /var/tmp/diff_new_pack.8qC16B/_old  2015-11-26 17:02:19.0 +0100
+++ /var/tmp/diff_new_pack.8qC16B/_new  2015-11-26 17:02:19.0 +0100
@@ -16,16 +16,15 @@
 #
 
 
-%global libname lib%{name}0_12
+%global libname lib%{name}0_13
 Name:   hiredis
-Version:0.12.1
+Version:0.13.3
 Release:0
 Summary:Minimalistic C client for Redis
 License:BSD-3-Clause
 Group:  Productivity/Databases/Clients
 Url:https://github.com/redis/hiredis
 Source0:https://github.com/redis/hiredis/archive/v%{version}.tar.gz
-Patch0: hiredis-pkgconfig.patch
 BuildRequires:  pkg-config
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -52,7 +51,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
 
 %build
 make %{?_smp_mflags} OPTIMIZATION="%{optflags}" PREFIX=%{_prefix} 
LIBRARY_PATH=%{_lib}

++ v0.12.1.tar.gz -> v0.13.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hiredis-0.12.1/.travis.yml 
new/hiredis-0.13.3/.travis.yml
--- old/hiredis-0.12.1/.travis.yml  2015-01-26 16:08:40.0 +0100
+++ new/hiredis-0.13.3/.travis.yml  2015-09-16 12:25:02.0 +0200
@@ -1,15 +1,24 @@
 language: c
+sudo: false
 compiler:
   - gcc
   - clang
 
+addons:
+  apt:
+packages:
+- libc6-dbg
+- libc6-dev
+- libc6:i386
+- libc6-dev-i386
+- libc6-dbg:i386
+- gcc-multilib
+- valgrind
+
 env:
 - CFLAGS="-Werror"
 - PRE="valgrind --track-origins=yes --leak-check=full"
-- TARGET="32bit" CFLAGS="-Werror"
-- TARGET="32bit" PRE="valgrind --track-origins=yes --leak-check=full"
-
-install:
-- sudo apt-get install libc6-dbg libc6-dev libc6-i686:i386 libc6-dev-i386 
libc6-dbg:i386 valgrind -y
+- TARGET="32bit" TARGET_VARS="32bit-vars" CFLAGS="-Werror"
+- TARGET="32bit" TARGET_VARS="32bit-vars" PRE="valgrind 
--track-origins=yes --leak-check=full"
 
-script: make $TARGET CFLAGS="$CFLAGS" && make check PRE="$PRE"
+script: make $TARGET CFLAGS="$CFLAGS" && make check PRE="$PRE" && make 
$TARGET_VARS hiredis-example
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hiredis-0.12.1/CHANGELOG.md 
new/hiredis-0.13.3/CHANGELOG.md
--- old/hiredis-0.12.1/CHANGELOG.md 2015-01-26 16:08:40.0 +0100
+++ new/hiredis-0.13.3/CHANGELOG.md 2015-09-16 12:25:02.0 +0200
@@ -1,9 +1,51 @@
-### 0.12.1 - January 26, 2015
+### 0.13.3 (2015-09-16)
+
+* Revert "Clear `REDIS_CONNECTED` flag when connection is closed".
+* Make tests pass on FreeBSD (Thanks, Giacomo Olgeni)
+
+
+If the `REDIS_CONNECTED` flag is cleared,
+the async onDisconnect callback function will never be called.
+This causes problems as the disconnect is never reported back to the user.
+
+### 0.13.2 (2015-08-25)
+
+* Prevent crash on pending replies in async code (Thanks, @switch-st)
+* Clear `REDIS_CONNECTED` flag when connection is closed (Thanks, Jerry Jacobs)
+* Add MacOS X addapter (Thanks, @dizzus)
+* Add Qt adapter (Thanks, Pietro Cerutti)
+* Add Ivykis adapter (Thanks, Gergely Nagy)
+
+All adapters are provided 

commit clinfo for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package clinfo for openSUSE:Factory checked 
in at 2015-11-26 17:01:50

Comparing /work/SRC/openSUSE:Factory/clinfo (Old)
 and  /work/SRC/openSUSE:Factory/.clinfo.new (New)


Package is "clinfo"

Changes:

--- /work/SRC/openSUSE:Factory/clinfo/clinfo.changes2015-08-03 
17:21:59.0 +0200
+++ /work/SRC/openSUSE:Factory/.clinfo.new/clinfo.changes   2015-11-26 
17:02:12.0 +0100
@@ -1,0 +2,6 @@
+Sat Nov 21 08:21:09 UTC 2015 - mplus...@suse.com
+
+- Use optflags when building
+- Tiny spec file cleanup with spec-cleaner
+
+---



Other differences:
--
++ clinfo.spec ++
--- /var/tmp/diff_new_pack.e8q1dH/_old  2015-11-26 17:02:13.0 +0100
+++ /var/tmp/diff_new_pack.e8q1dH/_new  2015-11-26 17:02:13.0 +0100
@@ -41,6 +41,7 @@
 %setup -q
 
 %build
+export CFLAGS="%{optflags}"
 make %{?_smp_mflags}
 
 %install
@@ -53,6 +54,6 @@
 %defattr (-,root,root)
 %doc LICENSE README
 %{_bindir}/clinfo
-%{_mandir}/man1/*
+%{_mandir}/man1/clinfo.1.*
 
 %changelog




commit mylvmbackup for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package mylvmbackup for openSUSE:Factory 
checked in at 2015-11-26 17:01:45

Comparing /work/SRC/openSUSE:Factory/mylvmbackup (Old)
 and  /work/SRC/openSUSE:Factory/.mylvmbackup.new (New)


Package is "mylvmbackup"

Changes:

--- /work/SRC/openSUSE:Factory/mylvmbackup/mylvmbackup.changes  2014-12-10 
23:44:44.0 +0100
+++ /work/SRC/openSUSE:Factory/.mylvmbackup.new/mylvmbackup.changes 
2015-11-26 17:02:09.0 +0100
@@ -1,0 +2,7 @@
+Fri Nov 20 20:13:19 UTC 2015 - mplus...@suse.com
+
+- Use url for download
+- Add gpg signature
+- Cleanup spec file with spec-cleaner
+
+---

New:

  mylvmbackup-0.16.tar.gz.asc
  mylvmbackup.keyring



Other differences:
--
++ mylvmbackup.spec ++
--- /var/tmp/diff_new_pack.2EerkP/_old  2015-11-26 17:02:10.0 +0100
+++ /var/tmp/diff_new_pack.2EerkP/_new  2015-11-26 17:02:10.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package mylvmbackup
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,7 +23,9 @@
 License:GPL-2.0+
 Group:  Productivity/Archiving/Backup
 Url:http://www.lenzg.net/mylvmbackup/
-Source: %{name}-%{version}.tar.gz
+Source0:http://www.lenzg.net/mylvmbackup/mylvmbackup-%{version}.tar.gz
+Source1:
http://www.lenzg.net/mylvmbackup/mylvmbackup-%{version}.tar.gz.asc
+Source2:%{name}.keyring
 Requires:   perl(Config::IniFiles)
 Requires:   perl(DBD::mysql)
 Requires:   perl(DBI)
@@ -53,19 +55,20 @@
 %setup -q
 
 %build
-#
-%install
-make %{?_smp_mflags} DESTDIR=%{buildroot} prefix=%{_prefix} mandir=%{_mandir} 
install
 
-%clean
-[ %{buildroot} != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot};
+%install
+make \
+   DESTDIR=%{buildroot} \
+   prefix=%{_prefix} \
+   mandir=%{_mandir} \
+   install
 
 %files
 %defattr(-, root, root)
 %doc ChangeLog COPYING CREDITS  README TODO
 %config(noreplace,missingok) %attr(600, root, root) 
%{_sysconfdir}/mylvmbackup.conf
 %{_datadir}/%{name}/*.pm
-%doc %{_mandir}/man1/%{name}.1*
+%{_mandir}/man1/%{name}.1*
 %dir %{_datadir}/%{name}
 %{_bindir}/%{name}
 




commit ntl for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package ntl for openSUSE:Factory checked in 
at 2015-11-26 17:01:53

Comparing /work/SRC/openSUSE:Factory/ntl (Old)
 and  /work/SRC/openSUSE:Factory/.ntl.new (New)


Package is "ntl"

Changes:

--- /work/SRC/openSUSE:Factory/ntl/ntl.changes  2015-07-03 00:11:10.0 
+0200
+++ /work/SRC/openSUSE:Factory/.ntl.new/ntl.changes 2015-11-26 
17:02:14.0 +0100
@@ -1,0 +2,11 @@
+Sat Nov 14 11:23:04 UTC 2015 - jeng...@inai.de
+
+- Update to new upstream release 9.6.2
+* Performance tuning: ZZ_pX and zz_pX keep getting faster
+* Upgrade to pseudo-random number generation: replaced the
+  underlying PRG with Chacha20 (replacing RC4) and the underlying
+  key-derivation function with a function based on HMAC-SHA256
+  (replacing an MD5-based function). The new routines are faster
+  and more secure.
+
+---

Old:

  ntl-9.2.0.tar.gz

New:

  ntl-9.6.2.tar.gz



Other differences:
--
++ ntl.spec ++
--- /var/tmp/diff_new_pack.jiWuLU/_old  2015-11-26 17:02:15.0 +0100
+++ /var/tmp/diff_new_pack.jiWuLU/_new  2015-11-26 17:02:15.0 +0100
@@ -17,8 +17,8 @@
 
 
 Name:   ntl
-%define lname  libntl15
-Version:9.2.0
+%define lname  libntl19
+Version:9.6.2
 Release:0
 Summary:Library for Number Theory
 License:GPL-2.0+
@@ -93,7 +93,7 @@
 
 %files -n %lname
 %defattr(-,root,root)
-%_libdir/libntl.so.15*
+%_libdir/libntl.so.19*
 
 %files devel
 %defattr(-,root,root)

++ ntl-9.2.0.tar.gz -> ntl-9.6.2.tar.gz ++
 43185 lines of diff (skipped)

++ ntl-automake.diff ++
--- /var/tmp/diff_new_pack.jiWuLU/_old  2015-11-26 17:02:15.0 +0100
+++ /var/tmp/diff_new_pack.jiWuLU/_new  2015-11-26 17:02:15.0 +0100
@@ -6,16 +6,16 @@
 ---
  Makefile.am |   15 ++
  autogen.sh  |5 ++
- configure.ac|   94 +
- include/Makefile.am |  101 
+ configure.ac|   94 
+ include/Makefile.am |  102 +++
  include/NTL/g_lip.h |1 
- src/Makefile.am |  118 

- 6 files changed, 333 insertions(+), 1 deletion(-)
+ src/Makefile.am |  122 

+ 6 files changed, 338 insertions(+), 1 deletion(-)
 
-Index: ntl-9.2.0/Makefile.am
+Index: ntl-9.6.2/Makefile.am
 ===
 --- /dev/null
-+++ ntl-9.2.0/Makefile.am
 ntl-9.6.2/Makefile.am
 @@ -0,0 +1,15 @@
 +# -*- Makefile -*-
 +
@@ -32,22 +32,22 @@
 +include/NTL/config.h: config.h
 +  mkdir -p include/NTL
 +  grep 'define NTL_' <$< >$@
-Index: ntl-9.2.0/autogen.sh
+Index: ntl-9.6.2/autogen.sh
 ===
 --- /dev/null
-+++ ntl-9.2.0/autogen.sh
 ntl-9.6.2/autogen.sh
 @@ -0,0 +1,5 @@
 +#!/bin/sh -e
 +
 +mkdir -p m4;
 +autoreconf -fi;
 +rm -Rf autom4te.cache;
-Index: ntl-9.2.0/configure.ac
+Index: ntl-9.6.2/configure.ac
 ===
 --- /dev/null
-+++ ntl-9.2.0/configure.ac
 ntl-9.6.2/configure.ac
 @@ -0,0 +1,94 @@
-+AC_INIT([ntl], [8.1.2])
++AC_INIT([ntl], [9.6.2])
 +AC_CONFIG_AUX_DIR([build-aux])
 +AC_CONFIG_HEADERS([config.h])
 +AC_CONFIG_MACRO_DIR([m4])
@@ -141,14 +141,15 @@
 +AC_SUBST([my_CXXFLAGS])
 +AC_CONFIG_FILES([Makefile src/Makefile include/Makefile])
 +AC_OUTPUT
-Index: ntl-9.2.0/include/Makefile.am
+Index: ntl-9.6.2/include/Makefile.am
 ===
 --- /dev/null
-+++ ntl-9.2.0/include/Makefile.am
-@@ -0,0 +1,101 @@
 ntl-9.6.2/include/Makefile.am
+@@ -0,0 +1,102 @@
 +# -*- Makefile -*-
 +
 +nobase_include_HEADERS = \
++  NTL/BasicThreadPool.h \
 +  NTL/FFT.h \
 +  NTL/FacVec.h \
 +  NTL/GF2.h \
@@ -247,21 +248,21 @@
 +  NTL/vector.h \
 +  NTL/version.h \
 +  NTL/xdouble.h
-Index: ntl-9.2.0/include/NTL/g_lip.h
+Index: ntl-9.6.2/include/NTL/g_lip.h
 ===
 ntl-9.2.0.orig/include/NTL/g_lip.h
-+++ ntl-9.2.0/include/NTL/g_lip.h
+--- ntl-9.6.2.orig/include/NTL/g_lip.h
 ntl-9.6.2/include/NTL/g_lip.h
 @@ -588,5 +588,4 @@ long _ntl_gblock_storage(long d);
  
  
  
 -#define NTL_GMP_LIP
  
-Index: ntl-9.2.0/src/Makefile.am
+Index: ntl-9.6.2/src/Makefile.am
 ===
 --- /dev/null
-+++ ntl-9.2.0/src/Makefile.am
-@@ -0,0 +1,118 @@
 

commit crosstool-ng for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package crosstool-ng for openSUSE:Factory 
checked in at 2015-11-26 17:01:37

Comparing /work/SRC/openSUSE:Factory/crosstool-ng (Old)
 and  /work/SRC/openSUSE:Factory/.crosstool-ng.new (New)


Package is "crosstool-ng"

Changes:

--- /work/SRC/openSUSE:Factory/crosstool-ng/crosstool-ng.changes
2015-10-20 00:05:15.0 +0200
+++ /work/SRC/openSUSE:Factory/.crosstool-ng.new/crosstool-ng.changes   
2015-11-26 17:02:05.0 +0100
@@ -1,0 +2,7 @@
+Fri Nov 20 13:21:59 UTC 2015 - dmitr...@opensuse.org
+
+- Update to version 1.22.0
+  * No changelog available
+  * Drop obsolete crosstool-ng-gcc5.patch
+
+---

Old:

  crosstool-ng-1.21.0.tar.bz2
  crosstool-ng-gcc5.patch

New:

  crosstool-ng-1.22.0.tar.bz2



Other differences:
--
++ crosstool-ng.spec ++
--- /var/tmp/diff_new_pack.4tWks8/_old  2015-11-26 17:02:06.0 +0100
+++ /var/tmp/diff_new_pack.4tWks8/_new  2015-11-26 17:02:06.0 +0100
@@ -17,19 +17,18 @@
 
 
 Name:   crosstool-ng
-Version:1.21.0
+Version:1.22.0
 Release:0
 Summary:Toolchain building framework
 License:GPL-2.0 and GPL-2.0+ and GPL-3.0+ and LGPL-2.1 and LGPL-3.0+
 Group:  Development/Tools/Building
 Url:http://crosstool-ng.org
 Source0:
http://crosstool-ng.org/download/crosstool-ng/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM -- crosstool-ng-gcc5.patch -- fix build with GCC5
-Patch1: crosstool-ng-gcc5.patch
 BuildRequires:  bison
 BuildRequires:  fdupes
 BuildRequires:  flex
 BuildRequires:  gperf
+BuildRequires:  help2man
 BuildRequires:  libtool
 BuildRequires:  makeinfo
 BuildRequires:  ncurses-devel
@@ -51,8 +50,7 @@
 in the resulting binary/ies: static libraries are but an example. 
 
 %prep
-%setup -qc %{name}-%{version}
-%patch1 -p1
+%setup -qn %{name}
 # from legal team
 # "Distribution and use is free, also for commercial purposes" (no 
modification permission) 
 find patches/ -name '*-new-valencian-locale.patch' -type f -delete -print
@@ -65,18 +63,18 @@
 
 %install
 %make_install
-%fdupes %{buildroot}%{_libdir}/ct-ng.%{version}/
+%fdupes %{buildroot}%{_libdir}/%{name}-%{version}/
 
-find %{buildroot}%{_libdir}/ct-ng.%{version}/ -name '.gitignore' -type f 
-delete -print
+find %{buildroot}%{_libdir}/%{name}-%{version}/ -name '.gitignore' -type f 
-delete -print
 
-mv %{buildroot}%{_docdir}/%{name}/ct-ng.%{version}/* 
%{buildroot}%{_docdir}/%{name}/
-rm -rf %{buildroot}%{_docdir}/%{name}/ct-ng.%{version}/
+mv %{buildroot}%{_docdir}/%{name}/%{name}-%{version}/* 
%{buildroot}%{_docdir}/%{name}/
+rm -rf %{buildroot}%{_docdir}/%{name}/%{name}-%{version}/
 
 %files
 %defattr(-,root,root)
-%doc COPYING README
+%doc COPYING README.md
 %{_bindir}/ct-ng
-%{_libdir}/ct-ng.%{version}/
+%{_libdir}/%{name}-%{version}/
 %{_docdir}/%{name}/
 %{_mandir}/man1/ct-ng.1.gz
 

++ crosstool-ng-1.21.0.tar.bz2 -> crosstool-ng-1.22.0.tar.bz2 ++
/work/SRC/openSUSE:Factory/crosstool-ng/crosstool-ng-1.21.0.tar.bz2 
/work/SRC/openSUSE:Factory/.crosstool-ng.new/crosstool-ng-1.22.0.tar.bz2 
differ: char 11, line 1




commit jakarta-commons-dbcp for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package jakarta-commons-dbcp for 
openSUSE:Factory checked in at 2015-11-26 17:01:46

Comparing /work/SRC/openSUSE:Factory/jakarta-commons-dbcp (Old)
 and  /work/SRC/openSUSE:Factory/.jakarta-commons-dbcp.new (New)


Package is "jakarta-commons-dbcp"

Changes:

--- 
/work/SRC/openSUSE:Factory/jakarta-commons-dbcp/jakarta-commons-dbcp.changes
2015-04-02 15:56:17.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.jakarta-commons-dbcp.new/jakarta-commons-dbcp.changes
   2015-11-26 17:02:10.0 +0100
@@ -9,0 +10 @@
+  bnc#954603



Other differences:
--
jakarta-commons-dbcp.spec: same change








commit lua51-toluapp for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package lua51-toluapp for openSUSE:Factory 
checked in at 2015-11-26 17:01:49

Comparing /work/SRC/openSUSE:Factory/lua51-toluapp (Old)
 and  /work/SRC/openSUSE:Factory/.lua51-toluapp.new (New)


Package is "lua51-toluapp"

Changes:

--- /work/SRC/openSUSE:Factory/lua51-toluapp/lua51-toluapp.changes  
2015-10-26 12:47:37.0 +0100
+++ /work/SRC/openSUSE:Factory/.lua51-toluapp.new/lua51-toluapp.changes 
2015-11-26 17:02:11.0 +0100
@@ -1,0 +2,7 @@
+Tue Nov 10 12:26:18 UTC 2015 - m...@suse.com
+
+- Don't version pkgconfig file
+- Delete toluapp-versioned-include.patch
+  * still have packages rely on tolua++.h
+
+---

Old:

  toluapp-versioned-include.patch



Other differences:
--
++ lua51-toluapp.spec ++
--- /var/tmp/diff_new_pack.1nUiob/_old  2015-11-26 17:02:12.0 +0100
+++ /var/tmp/diff_new_pack.1nUiob/_new  2015-11-26 17:02:12.0 +0100
@@ -28,11 +28,10 @@
 Source:
https://github.com/LuaDist/toluapp/archive/%{version}/toluapp-%{version}.tar.gz
 Patch:  toluapp-libdir.patch
 Patch1:toluapp-versioned-shared-lib.patch
-Patch2:toluapp-versioned-include.patch
 BuildRequires:  gcc-c++
+BuildRequires:  lua51-devel
 BuildRequires:  pkg-config
 BuildRequires:  scons >= 2.3.0
-BuildRequires: lua51-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -79,7 +78,6 @@
 %setup -q -n toluapp-%{version}
 %patch -p1
 %patch1 -p1
-%patch2 -p1
 sed -i "s/@SUFFIX@/%{lua_suffix}/" SConstruct
 
 %build
@@ -110,20 +108,20 @@
 
 # pkgconfig file
 mkdir -p %{buildroot}%{_libdir}/pkgconfig
-cat > %{buildroot}%{_libdir}/pkgconfig/toluapp-%{lua_suffix}.pc << EOF
+cat > %{buildroot}%{_libdir}/pkgconfig/toluapp.pc << EOF
 prefix=%{_prefix}
 exec_prefix=%{_prefix}
 libdir=%{_libdir}
 sharedlibdir=%{_libdir}
 includedir=%{_includedir}
 
-Name: toluapp-%{lua_suffix}
+Name: toluapp
 Description: C/C++ with Lua Integration Tool
 Version: %{version}
 
 Requires:
 Libs: -ltoluapp-%{lua_suffix}
-Cflags: -I%{_includedir}/toluapp-%{lua_suffix}
+Cflags: -I%{_includedir}
 EOF
 
 # update-alternatives
@@ -155,10 +153,9 @@
 
 %files -n libtoluapp-%{lua_suffix}-devel
 %defattr(-,root,root)
-%dir %{_includedir}/toluapp-%{lua_suffix}
-%{_includedir}/toluapp-%{lua_suffix}/toluapp.h
+%{_includedir}/tolua++.h
 %{_libdir}/libtoluapp-%{lua_suffix}.so
-%{_libdir}/pkgconfig/toluapp-%{lua_suffix}.pc
+%{_libdir}/pkgconfig/toluapp.pc
 
 %files -n libtoluapp-%{lua_suffix}-1
 %defattr(-,root,root)




commit opencl-headers for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package opencl-headers for openSUSE:Factory 
checked in at 2015-11-26 17:01:51

Comparing /work/SRC/openSUSE:Factory/opencl-headers (Old)
 and  /work/SRC/openSUSE:Factory/.opencl-headers.new (New)


Package is "opencl-headers"

Changes:

--- /work/SRC/openSUSE:Factory/opencl-headers/opencl-headers.changes
2015-07-03 00:11:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.opencl-headers.new/opencl-headers.changes   
2015-11-26 17:02:13.0 +0100
@@ -1,0 +2,7 @@
+Sat Nov 21 08:25:32 UTC 2015 - mplus...@suse.com
+
+- Update to 2.1_20151117
+  * No changelog available
+- Tiny spec file cleanup
+
+---

Old:

  opencl-headers-2.0_20141118.tar.bz2

New:

  opencl-headers-2.1_20151117.tar.bz2



Other differences:
--
++ opencl-headers.spec ++
--- /var/tmp/diff_new_pack.ilEKln/_old  2015-11-26 17:02:14.0 +0100
+++ /var/tmp/diff_new_pack.ilEKln/_new  2015-11-26 17:02:14.0 +0100
@@ -16,9 +16,8 @@
 #
 
 
-%define opencl_version 2.0
-%define date 20141118
-
+%define opencl_version 2.1
+%define date 20151117
 Name:   opencl-headers
 Version:%{opencl_version}_%{date}
 Release:0
@@ -28,9 +27,9 @@
 Url:http://www.khronos.org/registry/cl/
 Source: %{name}-%{version}.tar.bz2
 Source1:get-tarball.sh
-BuildArch:  noarch
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Conflicts:  opencl-headers-1_2
+BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildArch:  noarch
 
 %description
 OpenCL is a royalty-free standard for cross-platform, parallel programming
@@ -41,7 +40,9 @@
 compile programs that use OpenCL.
 
 %prep
-%setup -q -n %{name}-%{version}
+%setup -q
+
+%build
 
 %install
 install -d -m 755 %{buildroot}%{_includedir}/CL

++ get-tarball.sh ++
--- /var/tmp/diff_new_pack.ilEKln/_old  2015-11-26 17:02:14.0 +0100
+++ /var/tmp/diff_new_pack.ilEKln/_new  2015-11-26 17:02:14.0 +0100
@@ -1,7 +1,7 @@
 #!/bin/bash
 set -ex
 
-API="2.0"
+API="2.1"
 HEADERS="cl.h cl_d3d10.h cl_d3d11.h cl_dx9_media_sharing.h cl_egl.h cl_ext.h 
cl_gl.h cl_gl_ext.h cl_platform.h opencl.h"
 URL="http://www.khronos.org/registry/cl/api/$API/;
 

++ opencl-headers-2.0_20141118.tar.bz2 -> 
opencl-headers-2.1_20151117.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/opencl-headers-2.0_20141118/cl.h 
new/opencl-headers-2.1_20151117/cl.h
--- old/opencl-headers-2.0_20141118/cl.h2014-11-18 10:43:36.0 
+0100
+++ new/opencl-headers-2.1_20151117/cl.h2015-11-16 09:20:33.0 
+0100
@@ -1,5 +1,5 @@
 
/***
- * Copyright (c) 2008 - 2013 The Khronos Group Inc.
+ * Copyright (c) 2008 - 2013, 2015 The Khronos Group Inc.
  *
  * Permission is hereby granted, free of charge, to any person obtaining a
  * copy of this software and/or associated documentation files (the
@@ -89,6 +89,7 @@
 typedef cl_uint cl_kernel_arg_access_qualifier;
 typedef cl_bitfield cl_kernel_arg_type_qualifier;
 typedef cl_uint cl_kernel_work_group_info;
+typedef cl_uint cl_kernel_sub_group_info;
 typedef cl_uint cl_event_info;
 typedef cl_uint cl_command_type;
 typedef cl_uint cl_profiling_info;
@@ -196,6 +197,7 @@
 #define CL_VERSION_1_1  1
 #define CL_VERSION_1_2  1
 #define CL_VERSION_2_0  1
+#define CL_VERSION_2_1  1
 
 /* cl_bool */
 #define CL_FALSE0
@@ -209,6 +211,7 @@
 #define CL_PLATFORM_NAME0x0902
 #define CL_PLATFORM_VENDOR  0x0903
 #define CL_PLATFORM_EXTENSIONS  0x0904
+#define CL_PLATFORM_HOST_TIMER_RESOLUTION   0x0905
 
 /* cl_device_type - bitfield */
 #define CL_DEVICE_TYPE_DEFAULT  (1 << 0)
@@ -219,98 +222,101 @@
 #define CL_DEVICE_TYPE_ALL  0x
 
 /* cl_device_info */
-#define CL_DEVICE_TYPE  0x1000
-#define CL_DEVICE_VENDOR_ID 0x1001
-#define CL_DEVICE_MAX_COMPUTE_UNITS 0x1002
-#define CL_DEVICE_MAX_WORK_ITEM_DIMENSIONS  0x1003
-#define CL_DEVICE_MAX_WORK_GROUP_SIZE   0x1004
-#define CL_DEVICE_MAX_WORK_ITEM_SIZES   0x1005
-#define CL_DEVICE_PREFERRED_VECTOR_WIDTH_CHAR   0x1006
-#define CL_DEVICE_PREFERRED_VECTOR_WIDTH_SHORT  

commit vpcs for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package vpcs for openSUSE:Factory checked in 
at 2015-11-26 17:01:39

Comparing /work/SRC/openSUSE:Factory/vpcs (Old)
 and  /work/SRC/openSUSE:Factory/.vpcs.new (New)


Package is "vpcs"

Changes:

--- /work/SRC/openSUSE:Factory/vpcs/vpcs.changes2015-06-05 
08:46:19.0 +0200
+++ /work/SRC/openSUSE:Factory/.vpcs.new/vpcs.changes   2015-11-26 
17:02:06.0 +0100
@@ -1,0 +2,9 @@
+Fri Nov 20 10:40:55 UTC 2015 - and...@opensuse.org
+
+- new upstream version 0.8
+   * Support IPv6 fragmentation
+* Support DNS  record
+   * Add an option to disable the relay function from the command line
+- removed vpcs-0.5b0-no-static.patch and replaced by vpcs-0.8-no-static.patch
+
+---

Old:

  vpcs-0.5b0-no-static.patch
  vpcs-0.6.1.zip

New:

  vpcs-0.8-no-static.patch
  vpcs-0.8-src.tbz



Other differences:
--
++ vpcs.spec ++
--- /var/tmp/diff_new_pack.Xme7BZ/_old  2015-11-26 17:02:07.0 +0100
+++ /var/tmp/diff_new_pack.Xme7BZ/_new  2015-11-26 17:02:07.0 +0100
@@ -17,17 +17,16 @@
 
 
 Name:   vpcs
-Version:0.6.1
+Version:0.8
 Release:0
 Summary:Virtual PC Simulator
 License:BSD-2-Clause
 Group:  System/Emulators/Other
 Url:http://sourceforge.net/projects/vpcs/
-Source0:%{name}-%{version}.zip
-Patch0: %{name}-0.5b0-no-static.patch
+Source0:%{name}-%{version}-src.tbz
+Patch0: %{name}-0.8-no-static.patch
 BuildRequires:  gcc
 BuildRequires:  make
-BuildRequires:  unzip
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -44,7 +43,7 @@
 the packets via udp. In the ether mode, via /dev/tap, not support on the 
Windows. 
 
 %prep
-%setup -q
+%setup -q -n %{name}-%{version}
 %patch0 -p1
 
 %build

++ vpcs-0.5b0-no-static.patch -> vpcs-0.8-no-static.patch ++
--- /work/SRC/openSUSE:Factory/vpcs/vpcs-0.5b0-no-static.patch  2014-03-26 
16:42:09.0 +0100
+++ /work/SRC/openSUSE:Factory/.vpcs.new/vpcs-0.8-no-static.patch   
2015-11-26 17:02:06.0 +0100
@@ -1,11 +1,11 @@
-diff -uNr old-vpcs-0.5b0/src/Makefile.linux vpcs-0.5b0/src/Makefile.linux
 old-vpcs-0.5b0/src/Makefile.linux  2014-03-23 11:32:46.322703172 +0100
-+++ vpcs-0.5b0/src/Makefile.linux  2014-03-23 11:33:15.004704351 +0100
-@@ -5,8 +5,8 @@
- OPT=-O2
+diff -uNr old-vpcs-0.8/src/Makefile.linux vpcs-0.8/src/Makefile.linux
+--- old-vpcs-0.8/src/Makefile.linux2015-11-20 15:00:32.0 +0100
 vpcs-0.8/src/Makefile.linux2015-11-20 15:01:44.0 +0100
+@@ -4,8 +4,8 @@
+ CPUTYPE=i386
  HVOPT=-DHV
  
--CFLAGS=-D$(OSTYPE) -D$(CPUTYPE) $(OPT) $(HVOPT) -Wall -I. -DTAP
+-CFLAGS=-D$(OSTYPE) -D$(CPUTYPE) $(HVOPT) -Wall -I. -DTAP
 -LDFLAGS=-lpthread -lutil -s -static
 +CFLAGS:=$(CFLAGS) -D$(OSTYPE) -D$(CPUTYPE) $(OPT) $(HVOPT) -Wall -I. -DTAP
 +LDFLAGS=-lpthread -lutil -s




commit redis for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package redis for openSUSE:Factory checked 
in at 2015-11-26 17:02:00

Comparing /work/SRC/openSUSE:Factory/redis (Old)
 and  /work/SRC/openSUSE:Factory/.redis.new (New)


Package is "redis"

Changes:

--- /work/SRC/openSUSE:Factory/redis/redis.changes  2015-09-27 
08:39:46.0 +0200
+++ /work/SRC/openSUSE:Factory/.redis.new/redis.changes 2015-11-26 
17:02:20.0 +0100
@@ -1,0 +2,17 @@
+Sun Nov 22 09:18:54 UTC 2015 - mplus...@suse.com
+
+- Update to 3.0.5
+  * [FIX] MOVE now moves the TTL as well. A bug lasting forever... 
+   finally fixed thanks to Andy Grunwald that reported it.
+   * [FIX] Fix a false positive in HSTRLEN test.
+   * [FIX] Fix a bug in redis-cli --pipe mode that was not able to 
+   read back replies from the server incrementally. Now a mass 
+   import will use a lot less memory, and you can use --pipe to 
+   do incremental streaming.
+   * [FIX] Slave detection of master timeout.
+   * [NEW] Cluster: redis-trib fix can fix an additional case for 
+   opens lots.
+   * [NEW] Cluster: redis-trib import support for --copy and 
+   --replace options
+
+---

Old:

  redis-3.0.4.tar.gz

New:

  redis-3.0.5.tar.gz



Other differences:
--
++ redis.spec ++
--- /var/tmp/diff_new_pack.JlfYQy/_old  2015-11-26 17:02:21.0 +0100
+++ /var/tmp/diff_new_pack.JlfYQy/_new  2015-11-26 17:02:21.0 +0100
@@ -27,7 +27,7 @@
 %define _conf_dir   %{_sysconfdir}/%{name}
 
 Name:   redis
-Version:3.0.4
+Version:3.0.5
 Release:0
 Summary:Persistent key-value database
 License:BSD-3-Clause

++ redis-3.0.4.tar.gz -> redis-3.0.5.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/redis-3.0.4/00-RELEASENOTES 
new/redis-3.0.5/00-RELEASENOTES
--- old/redis-3.0.4/00-RELEASENOTES 2015-09-08 10:02:10.0 +0200
+++ new/redis-3.0.5/00-RELEASENOTES 2015-10-15 15:44:54.0 +0200
@@ -10,6 +10,30 @@
 CRITICAL: There is a critical bug affecting MOST USERS. Upgrade ASAP.
 

 
+--[ Redis 3.0.5 ] Release date: 15 Oct 2015
+
+Upgrade urgency: MODERATE, the most important thing is a fix in the replication
+ code that may make the slave hanging forever if the master
+ remains with an open socket even if it is no longer able to
+ reply.
+
+* [FIX] MOVE now moves the TTL as well. A bug lasting forever... finally
+fixed thanks to Andy Grunwald that reported it.
+(reported by Andy Grunwald, fixed by Salvatore Sanfilippo)
+* [FIX] Fix a false positive in HSTRLEN test.
+* [FIX] Fix a bug in redis-cli --pipe mode that was not able to read back
+replies from the server incrementally. Now a mass import will use
+a lot less memory, and you can use --pipe to do incremental streaming.
+(reported by Twitter user @fsaintjacques, fixed by Salvatore
+Sanfilippo)
+* [FIX] Slave detection of master timeout. (fixed by Kevin McGehee, refactoring
+and regression test by Salvatore Sanfilippo)
+
+* [NEW] Cluster: redis-trib fix can fix an additional case for opens lots.
+(Salvatore Sanfilippo)
+* [NEW] Cluster: redis-trib import support for --copy and --replace options
+(David Thomson)
+
 --[ Redis 3.0.4 ] Release date: 8 Sep 2015
 
 Upgrade urgency: HIGH for Redis and Sentinel. However note that in order to
@@ -34,7 +58,7 @@
 an issue reported by "GeorgeBJ" user at Github)
 * [FIX] redis-cli --scan iteration fixed when returned cursor overflows
 32 bit signed integer. (Ofir Luzon, Yuval Inbar)
-* [FIX] Senitnel: fixed a bug during the master switch process, where for a
+* [FIX] Sentinel: fixed a bug during the master switch process, where for a
 failed conditional check, the new configuration is rewritten, during
 a small window of time, in a corrupted way where the master is
 also reported to be one of the slaves. This bug is rare to trigger
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/redis-3.0.4/redis.conf new/redis-3.0.5/redis.conf
--- old/redis-3.0.4/redis.conf  2015-09-08 10:02:10.0 +0200
+++ new/redis-3.0.5/redis.conf  2015-10-15 15:44:54.0 +0200
@@ -1,4 +1,9 @@
-# Redis configuration file example
+# Redis configuration file example.
+#
+# Note that in order to read the configuration file, Redis must be
+# started with the file 

commit ghc-persistent-sqlite for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package ghc-persistent-sqlite for 
openSUSE:Factory checked in at 2015-11-26 17:02:58

Comparing /work/SRC/openSUSE:Factory/ghc-persistent-sqlite (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-persistent-sqlite.new (New)


Package is "ghc-persistent-sqlite"

Changes:

New Changes file:

--- /dev/null   2015-11-02 12:10:47.524024255 +0100
+++ 
/work/SRC/openSUSE:Factory/.ghc-persistent-sqlite.new/ghc-persistent-sqlite.changes
 2015-11-26 17:02:59.0 +0100
@@ -0,0 +1,5 @@
+---
+Thu Nov 19 14:34:12 UTC 2015 - mimi...@gmail.com
+
+- initial commit
+

New:

  ghc-persistent-sqlite.changes
  ghc-persistent-sqlite.spec
  persistent-sqlite-2.2.tar.gz



Other differences:
--
++ ghc-persistent-sqlite.spec ++
#
# spec file for package ghc-persistent-sqlite
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name persistent-sqlite

%bcond_with tests

Name:   ghc-persistent-sqlite
Version:2.2
Release:0
Summary:Backend for the persistent library using sqlite3
Group:  System/Libraries

License:MIT
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-persistent-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  glibc-devel
BuildRequires:  sqlite3-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-persistent-template-devel
%endif
# End cabal-rpm deps

%description
This package includes a thin sqlite3 wrapper based on the direct-sqlite
package, as well as the entire C library, so there are no system dependencies.


%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:   %{name} = %{version}-%{release}
# Begin cabal-rpm deps:
Requires:   glibc-devel
Requires:   sqlite3-devel
# End cabal-rpm deps

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkg_name}-%{version}
cabal-tweak-flag systemlib True

%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)


%changelog



commit ghc-persistent for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package ghc-persistent for openSUSE:Factory 
checked in at 2015-11-26 17:02:56

Comparing /work/SRC/openSUSE:Factory/ghc-persistent (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-persistent.new (New)


Package is "ghc-persistent"

Changes:

New Changes file:

--- /dev/null   2015-11-02 12:10:47.524024255 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-persistent.new/ghc-persistent.changes   
2015-11-26 17:02:57.0 +0100
@@ -0,0 +1,5 @@
+---
+Thu Nov 19 14:13:56 UTC 2015 - mimi...@gmail.com
+
+- initial commit
+

New:

  ghc-persistent.changes
  ghc-persistent.spec
  persistent-2.2.2.1.tar.gz



Other differences:
--
++ ghc-persistent.spec ++
#
# spec file for package ghc-persistent
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name persistent

%bcond_with tests

Name:   ghc-persistent
Version:2.2.2.1
Release:0
Summary:Type-safe, multi-backend data serialization
Group:  System/Libraries

License:MIT
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-fast-logger-devel
BuildRequires:  ghc-http-api-data-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-path-pieces-devel
BuildRequires:  ghc-resource-pool-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-silently-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
Hackage documentation generation is not reliable. For up to date documentation,
please see: .


%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md


%changelog



commit ghc-retry for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package ghc-retry for openSUSE:Factory 
checked in at 2015-11-26 17:03:05

Comparing /work/SRC/openSUSE:Factory/ghc-retry (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-retry.new (New)


Package is "ghc-retry"

Changes:

New Changes file:

--- /dev/null   2015-11-02 12:10:47.524024255 +0100
+++ /work/SRC/openSUSE:Factory/.ghc-retry.new/ghc-retry.changes 2015-11-26 
17:03:06.0 +0100
@@ -0,0 +1,5 @@
+---
+Thu Nov 19 13:26:04 UTC 2015 - mimi...@gmail.com
+
+- initial commit
+

New:

  ghc-retry.changes
  ghc-retry.spec
  retry-0.6.tar.gz



Other differences:
--
++ ghc-retry.spec ++
#
# spec file for package ghc-retry
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name retry

%bcond_with tests

Name:   ghc-retry
Version:0.6
Release:0
Summary:Retry combinators for monadic actions that may fail
Group:  System/Libraries

License:BSD-3-Clause
Url:https://hackage.haskell.org/package/%{pkg_name}
Source0:
https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-time-devel
%endif
# End cabal-rpm deps

%description
This package exposes combinators that can wrap arbitrary monadic actions.
They run the action and potentially retry running it with some configurable
delay for a configurable number of times. The purpose is to make it easier to
work with IO and especially network IO actions that often experience temporary
failure and warrant retrying of the original action. For example, a database
query may time out for a while, in which case we should hang back for a bit and
retry the query instead of simply raising an exception.


%package devel
Summary:Haskell %{pkg_name} library development files
Group:  Development/Libraries/Other
Requires:   ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files devel -f %{name}-devel.files
%defattr(-,root,root,-)


%changelog



commit minitube for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package minitube for openSUSE:Factory 
checked in at 2015-11-26 17:03:31

Comparing /work/SRC/openSUSE:Factory/minitube (Old)
 and  /work/SRC/openSUSE:Factory/.minitube.new (New)


Package is "minitube"

Changes:

--- /work/SRC/openSUSE:Factory/minitube/minitube.changes2015-11-02 
12:55:32.0 +0100
+++ /work/SRC/openSUSE:Factory/.minitube.new/minitube.changes   2015-11-26 
17:03:33.0 +0100
@@ -1,0 +2,6 @@
+Sun Nov 22 13:31:25 UTC 2015 - mailaen...@opensuse.org
+
+- update to 2.5.1
+  * solves an issue with VEVO videos
+
+---

Old:

  minitube-2.5.tar.gz

New:

  minitube-2.5.1.tar.gz



Other differences:
--
++ minitube.spec ++
--- /var/tmp/diff_new_pack.eZGnpw/_old  2015-11-26 17:03:34.0 +0100
+++ /var/tmp/diff_new_pack.eZGnpw/_new  2015-11-26 17:03:34.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   minitube
-Version:2.5
+Version:2.5.1
 Release:0
 Summary:Native YouTube Client
 License:GPL-3.0+

++ minitube-2.5.tar.gz -> minitube-2.5.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/minitube-2.5/README.md new/minitube-2.5.1/README.md
--- old/minitube-2.5/README.md  2015-09-17 16:14:00.0 +0200
+++ new/minitube-2.5.1/README.md2015-11-13 17:48:44.0 +0100
@@ -14,19 +14,19 @@
 Alternatively Minitube can read an API key from the GOOGLE_API_KEY environment 
variable.
 
 ## Build instructions
-To compile Minitube you need at least Qt 4.8. The following Qt modules are 
needed:
-core, gui, network, sql (using the Sqlite plugin), script, dbus, phonon
+To compile Minitube you need at least Qt 5.0. The following Qt modules are 
needed:
+core, gui, widgets, network, sql (using the Sqlite plugin), script, dbus.
 
 To be able to build on a Debian (or derivative) system:
 
-$ sudo apt-get install build-essential qt4-dev-tools libphonon-dev 
libqt4-sql-sqlite
+$ sudo apt-get install build-essential qttools5-dev-tools qt5-qmake 
qtscript5-dev libphonon4qt5-dev libqt5sql5-sqlite qt5-default
 
 Compiling:
 
-$ qmake "DEFINES += APP_GOOGLE_API_KEY=YouAPIKeyHere"
+$ qmake "DEFINES += APP_GOOGLE_API_KEY=YourAPIKeyHere"
 $ make
 
-Beware of the Qt3 or Qt5 version of qmake! If things go wrong try running 
qmake-qt4 instead.
+Beware of the Qt 4 version of qmake!
 
 Running:
 
@@ -40,10 +40,7 @@
 
 ## A word about Phonon on Linux
 To be able to actually watch videos you need a working Phonon setup.
-Please don't contact me about this, ask for help on your distribution support 
channels.
-
-These days Minitube is tested with the VLC backend only.
-Please don't report bugs with other backends as they're not supported.
+Please don't report bugs about this, ask for help on your distribution support 
channels.
 
 ## Legal Stuff
 Copyright (C) Flavio Tordini
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/minitube-2.5/locale/cs_CZ.ts 
new/minitube-2.5.1/locale/cs_CZ.ts
--- old/minitube-2.5/locale/cs_CZ.ts2015-09-17 16:14:00.0 +0200
+++ new/minitube-2.5.1/locale/cs_CZ.ts  2015-11-13 17:48:44.0 +0100
@@ -241,7 +241,7 @@
 
 
 Just now
-
+Právě teď
 
 
 
@@ -415,12 +415,12 @@
 
 
 Quit
-
+Ukončit
 
 
 
 Reinstall
-
+Přeinstalovat
 
 
 
@@ -537,7 +537,7 @@
 
 
 Stop
-Stop
+Zastavit
 
 
 
@@ -738,7 +738,7 @@
 
 
 Adjust Window Size
-
+Přizpůsobit velikost okna
 
 
 
@@ -854,7 +854,7 @@
 
 
 Loading...
-
+Nahrávání...
 
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/minitube-2.5/locale/da.ts 
new/minitube-2.5.1/locale/da.ts
--- old/minitube-2.5/locale/da.ts   2015-09-17 16:14:00.0 +0200
+++ new/minitube-2.5.1/locale/da.ts 2015-11-13 17:48:44.0 +0100
@@ -139,7 +139,7 @@
 
 
 You have %n new video(s)
-
+Du har %n ny 
videoDu har %n nye 
videoer
 
 
 
@@ -241,32 +241,32 @@
 
 
 Just now
-
+Lige nu
 
 
 
 %n minute(s) ago
-
+%n minut siden%n 
minutter siden
 
 
 
 %n hour(s) ago
-
+%n time siden%n 
timer siden
 
 
 
 %n day(s) ago
-
+%n dag siden%n 
dage siden
 
 
 
  

commit perl-WWW-Mechanize for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package perl-WWW-Mechanize for 
openSUSE:Factory checked in at 2015-11-26 17:03:25

Comparing /work/SRC/openSUSE:Factory/perl-WWW-Mechanize (Old)
 and  /work/SRC/openSUSE:Factory/.perl-WWW-Mechanize.new (New)


Package is "perl-WWW-Mechanize"

Changes:

--- /work/SRC/openSUSE:Factory/perl-WWW-Mechanize/perl-WWW-Mechanize.changes
2015-09-30 05:50:16.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-WWW-Mechanize.new/perl-WWW-Mechanize.changes   
2015-11-26 17:03:26.0 +0100
@@ -1,0 +2,8 @@
+Wed Nov 18 20:58:49 UTC 2015 - malcolmle...@opensuse.org
+
+- Change build requires from perl(CGI) to perl-CGI to fix
+  failing builds.
+- Add preamble perl-CGI in cpanspec.yml.
+- Add more verbose description.
+
+---



Other differences:
--
++ perl-WWW-Mechanize.spec ++
--- /var/tmp/diff_new_pack.6jiQHI/_old  2015-11-26 17:03:27.0 +0100
+++ /var/tmp/diff_new_pack.6jiQHI/_new  2015-11-26 17:03:27.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-WWW-Mechanize
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,8 +29,8 @@
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
+BuildRequires:  perl-CGI >= 4.08
 BuildRequires:  perl-macros
-BuildRequires:  perl(CGI) >= 4.08
 BuildRequires:  perl(HTML::Form) >= 6
 BuildRequires:  perl(HTML::HeadParser)
 BuildRequires:  perl(HTML::Parser) >= 3.33
@@ -67,7 +67,7 @@
 %{perl_requires}
 
 %description
-Handy web browsing in a Perl object
+Perl module for stateful programmatic web browsing, used for automating 
interaction with websites.
 
 %prep
 %setup -q -n %{cpan_name}-%{version}

++ cpanspec.yml ++
--- /var/tmp/diff_new_pack.6jiQHI/_old  2015-11-26 17:03:27.0 +0100
+++ /var/tmp/diff_new_pack.6jiQHI/_new  2015-11-26 17:03:27.0 +0100
@@ -7,7 +7,7 @@
 #patches:
 #  foo.patch: -p1
 #  bar.patch:
-#preamble: |-
+preamble: Perl-CGI >= 4.08
 # BuildRequires:  gcc-c++
 #post_prep: |-
 # hunspell=`pkg-config --libs hunspell | sed -e 's,-l,,; s,  *,,g'`




commit nmap for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package nmap for openSUSE:Factory checked in 
at 2015-11-26 17:03:37

Comparing /work/SRC/openSUSE:Factory/nmap (Old)
 and  /work/SRC/openSUSE:Factory/.nmap.new (New)


Package is "nmap"

Changes:

--- /work/SRC/openSUSE:Factory/nmap/nmap.changes2015-10-08 
08:24:51.0 +0200
+++ /work/SRC/openSUSE:Factory/.nmap.new/nmap.changes   2015-11-26 
17:03:38.0 +0100
@@ -1,0 +2,12 @@
+Sun Nov 22 17:31:09 UTC 2015 - mar...@gmx.de
+
+- Nmap 7.00:
+  * see /usr/share/doc/packages/nmap/CHANGELOG
+- removed patches:
+  * nmap-4.00-noreturn.diff
+  * nmap-6.00-libpcap-filter.diff
+  not needed since we do not build against the bundled libpcap
+- updated patch:
+  * nmap-ncat-skip-network-tests.patch
+
+---

Old:

  nmap-4.00-noreturn.diff
  nmap-6.00-libpcap-filter.diff
  nmap-6.47.tar.bz2
  nmap-6.47.tar.bz2.asc

New:

  nmap-7.00.tar.bz2
  nmap-7.00.tar.bz2.asc



Other differences:
--
++ nmap.spec ++
--- /var/tmp/diff_new_pack.PKEFyv/_old  2015-11-26 17:03:40.0 +0100
+++ /var/tmp/diff_new_pack.PKEFyv/_new  2015-11-26 17:03:40.0 +0100
@@ -20,21 +20,19 @@
 %{!?python_sitearch: %global python_sitearch %(python -c "from 
distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 %define with_system_lua 0%{?suse_version} >= 1220
 Name:   nmap
-Version:6.47
+Version:7.00
 Release:0
 Summary:Portscanner
 License:GPL-2.0+
 Group:  Productivity/Networking/Diagnostic
-Url:http://nmap.org/
-Source: http://nmap.org/dist/nmap-%{version}.tar.bz2
+Url:https://nmap.org/
+Source: https://nmap.org/dist/nmap-%{version}.tar.bz2
 Source1:
https://svn.nmap.org/nmap/docs/nmap_gpgkeys.txt#/%{name}.keyring
 Source2:http://nmap.org/dist/sigs/%{name}-%{version}.tar.bz2.asc
-Patch0: nmap-6.00-libpcap-filter.diff
-Patch1: nmap-4.00-noreturn.diff
-Patch2: nmap-5.61-desktop_files.patch
-Patch3: nmap-4.75-nostrip.patch
-Patch5: su-to-zenmap.patch
-Patch7: nmap-ncat-skip-network-tests.patch
+Patch1: nmap-5.61-desktop_files.patch
+Patch2: nmap-4.75-nostrip.patch
+Patch3: su-to-zenmap.patch
+Patch4: nmap-ncat-skip-network-tests.patch
 BuildRequires:  dos2unix
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -112,12 +110,13 @@
 
 %prep
 %setup -q
-%patch0
 %patch1
 %patch2
 %patch3
-%patch5
-%patch7 -p1
+%patch4 -p1
+
+# use system provided libraries
+rm -rf libpcap libpcre macosx mswin32
 
 #fix locale dir
 mv zenmap/share/zenmap/locale zenmap/share
@@ -148,6 +147,7 @@
 %install
 make DESTDIR=%{buildroot} deskdir="%{_datadir}/gnome/apps/Utilities/" install
 rm "%{buildroot}%{_bindir}/uninstall_zenmap"
+rm "%{buildroot}%{_bindir}/uninstall_ndiff"
 install -d "%{buildroot}%{_datadir}/pixmaps/"
 ln -s ../zenmap/pixmaps/zenmap.png "%{buildroot}%{_datadir}/pixmaps/zenmap.png"
 %suse_update_desktop_file zenmap System Network

++ nmap-6.47.tar.bz2 -> nmap-7.00.tar.bz2 ++
/work/SRC/openSUSE:Factory/nmap/nmap-6.47.tar.bz2 
/work/SRC/openSUSE:Factory/.nmap.new/nmap-7.00.tar.bz2 differ: char 11, line 1

++ nmap-ncat-skip-network-tests.patch ++
--- /var/tmp/diff_new_pack.PKEFyv/_old  2015-11-26 17:03:40.0 +0100
+++ /var/tmp/diff_new_pack.PKEFyv/_new  2015-11-26 17:03:40.0 +0100
@@ -1,43 +1,44 @@
-From: Andreas Stieger 
-Date: 2012-12-08 13:31:24 +
-Subject: [PATCH] ncat - skip tests requiring name resolution
-References: http://seclists.org/nmap-dev/2012/q4/373
-Upstream: never
+From 7aa8e9fd460f274931641b17be20f6c6c2242a1b Mon Sep 17 00:00:00 2001
+From: Martin Hauke 
+Date: Sun, 22 Nov 2015 18:20:31 +0100
+Subject: [PATCH] ncat - skip tests requiring name resolution References:
+ http://seclists.org/nmap-dev/2012/q4/373 Upstream: never
 
 Some tests in the ncat test script require name resolution which is not 
available in OBS. Remove tests.
-
 ---
- ncat/test/test-addrset.sh |   20 
- 1 file changed, 20 deletions(-)
+ ncat/test/test-addrset.sh | 19 ---
+ 1 file changed, 19 deletions(-)
 
-Index: nmap-6.25/ncat/test/test-addrset.sh
-===
 nmap-6.25.orig/ncat/test/test-addrset.sh   2012-12-08 13:30:07.0 
+
-+++ nmap-6.25/ncat/test/test-addrset.sh2012-12-08 13:30:37.0 
+
-@@ -227,26 +227,6 @@ test_addrset "1:2::0003/0" "1:2::3 1:2::
+diff --git a/ncat/test/test-addrset.sh b/ncat/test/test-addrset.sh
+index 7f54023..1a7944e 100755
+--- 

commit gnu_parallel for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package gnu_parallel for openSUSE:Factory 
checked in at 2015-11-26 17:03:43

Comparing /work/SRC/openSUSE:Factory/gnu_parallel (Old)
 and  /work/SRC/openSUSE:Factory/.gnu_parallel.new (New)


Package is "gnu_parallel"

Changes:

--- /work/SRC/openSUSE:Factory/gnu_parallel/gnu_parallel.changes
2015-10-25 14:18:14.0 +0100
+++ /work/SRC/openSUSE:Factory/.gnu_parallel.new/gnu_parallel.changes   
2015-11-26 17:03:45.0 +0100
@@ -1,0 +2,8 @@
+Mon Nov 23 12:11:14 UTC 2015 - mplus...@suse.com
+
+- Update to 20151122
+  * Automating large numbers of tasks 
https://rcc.uchicago.edu/docs/tutorials/kicp-tutorials/running-jobs.html
+   * Max out your IOPs with GNU Parallel 
http://blog.bitratchet.com/2015/11/11/max-out-your-iops-with-gnu-parallel/
+   * Bug fixes and man page updates.
+
+---

Old:

  parallel-20151022.tar.bz2
  parallel-20151022.tar.bz2.sig

New:

  parallel-20151122.tar.bz2
  parallel-20151122.tar.bz2.sig



Other differences:
--
++ gnu_parallel.spec ++
--- /var/tmp/diff_new_pack.Jj6Ims/_old  2015-11-26 17:03:46.0 +0100
+++ /var/tmp/diff_new_pack.Jj6Ims/_new  2015-11-26 17:03:46.0 +0100
@@ -17,16 +17,16 @@
 
 
 Name:   gnu_parallel
-Version:20151022
+Version:20151122
 Release:0
 Summary:Shell tool for executing jobs in parallel
 License:GPL-3.0+
 Group:  Productivity/File utilities
 Url:http://www.gnu.org/software/parallel/
 #DL-URL:   http://ftp.gnu.org/gnu/parallel/
-Source0:http://ftp.gnu.org/gnu/parallel/parallel-%{version}.tar.bz2
-Source1:http://ftp.gnu.org/gnu/parallel/parallel-%{version}.tar.bz2.sig
-Source2:%{name}.keyring
+Source: http://ftp.gnu.org/gnu/parallel/parallel-%version.tar.bz2
+Source2:http://ftp.gnu.org/gnu/parallel/parallel-%version.tar.bz2.sig
+Source3:%name.keyring
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch
 
@@ -49,27 +49,27 @@
 This subpackage contains the documentation for Parallel.
 
 %prep
-%setup -q -n parallel-%{version}
+%setup -q -n parallel-%version
 
 %build
-%configure --docdir="%{_docdir}/%{name}"
+%configure --docdir="%_docdir/%name"
 make %{?_smp_mflags}
 
 %install
 %make_install
-cp -a CITATION COPYING NEWS README "%{buildroot}/%{_docdir}/%{name}/"
+cp -a CITATION COPYING NEWS README "%buildroot/%_docdir/%name/"
 
 %files
 %defattr(-,root,root)
-%{_bindir}/niceload
-%{_bindir}/parallel
-%{_bindir}/sem
-%{_bindir}/sql
-%{_mandir}/man1/*.1*
-%{_mandir}/man7/*.7*
+%_bindir/niceload
+%_bindir/parallel
+%_bindir/sem
+%_bindir/sql
+%_mandir/man1/*.1*
+%_mandir/man7/*.7*
 
 %files doc
 %defattr(-,root,root)
-%{_docdir}/%{name}/
+%_docdir/%name/
 
 %changelog

++ parallel-20151022.tar.bz2 -> parallel-20151122.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/parallel-20151022/NEWS new/parallel-20151122/NEWS
--- old/parallel-20151022/NEWS  2015-10-21 23:34:26.0 +0200
+++ new/parallel-20151122/NEWS  2015-11-22 19:49:29.0 +0100
@@ -1,8 +1,41 @@
+20151122
+
+* GNU Parallel packaged for CERN CentOS: 
http://linuxsoft.cern.ch/cern/centos/7/cern/x86_64/repoview/parallel.html
+
+* GNU Parallel was cited in: The Outer Solar System Origins Survey: I. Design 
and First-Quarter Discoveries http://arxiv.org/pdf/1511.02895.pdf
+
+* GNU Parallel was cited in: Contrasting genetic architectures of 
schizophrenia and other complex diseases using fast variance-components 
analysis http://www.nature.com/ng/journal/vaop/ncurrent/full/ng.3431.html
+
+* GNU Parallel was cited in: Named-Entity Chunking for Norwegian Text using 
Support Vector Machines 
http://ojs.bibsys.no/index.php/NIK/article/viewFile/248/211
+
+* GNU Parallel was cited in: Multiscale Estimation of Binding Kinetics Using 
Brownian Dynamics, Molecular Dynamics and Milestoning 
http://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1004381#pcbi.1004381.ref072
+
+* GNU Parallel was cited in: A Detailed Characterization of Errors in Logic 
Circuits due to Single-Event Transients 
http://ieeexplore.ieee.org/xpl/articleDetails.jsp?tp==7302348=http%3A%2F%2Fieeexplore.ieee.org%2Fxpls%2Fabs_all.jsp%3Farnumber%3D7302348
+
+* GNU Parallel was cited in: Exploiting Multiple Levels of Parallelism in 
Sparse Matrix-Matrix Multiplication http://arxiv.org/pdf/1510.00844.pdf
+
+* GNU Parallel was cited in: Arabic Speaker Emotion Classification Using 
Rhythm Metrics and Neural Networks 
http://www.eurasip.org/Proceedings/Eusipco/Eusipco2015/papers/1570104855.pdf
+
+* GNU Parallel 

commit curlftpfs for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package curlftpfs for openSUSE:Factory 
checked in at 2015-11-26 17:03:42

Comparing /work/SRC/openSUSE:Factory/curlftpfs (Old)
 and  /work/SRC/openSUSE:Factory/.curlftpfs.new (New)


Package is "curlftpfs"

Changes:

--- /work/SRC/openSUSE:Factory/curlftpfs/curlftpfs.changes  2012-06-05 
15:30:04.0 +0200
+++ /work/SRC/openSUSE:Factory/.curlftpfs.new/curlftpfs.changes 2015-11-26 
17:03:43.0 +0100
@@ -1,0 +2,6 @@
+Fri Nov 20 16:04:58 UTC 2015 - ernestophe...@googlemail.com
+
+- bug-955687.patch: fixed memory leak. openSUSE bug boo#955687
+  (Debian bug 587250)
+
+---

New:

  bug-955687.patch



Other differences:
--
++ curlftpfs.spec ++
--- /var/tmp/diff_new_pack.o0S92r/_old  2015-11-26 17:03:43.0 +0100
+++ /var/tmp/diff_new_pack.o0S92r/_new  2015-11-26 17:03:44.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package curlftpfs
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -26,6 +26,7 @@
 Source: %{name}-%{version}.tar.bz2
 Patch:  bug-580609.patch
 Patch1: curlftpfs-needs-pthread
+Patch2: bug-955687.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  curl-devel
 BuildRequires:  fuse-devel
@@ -53,6 +54,7 @@
 %setup -q
 %patch
 %patch1 -p1
+%patch2
 
 %build
 autoreconf -fi

++ bug-955687.patch ++
Index: ftpfs.c
===
--- ftpfs.c.orig
+++ ftpfs.c
@@ -614,6 +614,8 @@ static void free_ftpfs_file(struct ftpfs
   sem_destroy(>data_need);
   sem_destroy(>data_written);
   sem_destroy(>ready);
+  if (fh->buf.size) { buf_free(>buf); }
+  if (fh->stream_buf.size) { buf_free(>stream_buf); }
   free(fh);
 }
 



commit zynaddsubfx for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package zynaddsubfx for openSUSE:Factory 
checked in at 2015-11-26 17:03:33

Comparing /work/SRC/openSUSE:Factory/zynaddsubfx (Old)
 and  /work/SRC/openSUSE:Factory/.zynaddsubfx.new (New)


Package is "zynaddsubfx"

Changes:

--- /work/SRC/openSUSE:Factory/zynaddsubfx/zynaddsubfx.changes  2015-02-27 
10:58:58.0 +0100
+++ /work/SRC/openSUSE:Factory/.zynaddsubfx.new/zynaddsubfx.changes 
2015-11-26 17:03:35.0 +0100
@@ -1,0 +2,54 @@
+Sun Nov 22 15:03:43 UTC 2015 - someuniquen...@gmail.com
+
+- Update to version 2.5.2
+* Add MIDI-Learn serialization
+* Add pink noise source
+* Restore mousewheel functionality
+* Restore bank LSB/MSB MIDI support
+* Improve tip windows
+* Improve oscdoc output
+* Restore External Oscillator/Modulator functionality
+* Remove remaining globals
+* Fix UI connection bugs
+* Added shortcuts on edit buttons
+* Other miscellaneous bug fixes
+
+- Changes from version 2.5.0
+- Release 2.5.1 (4 Jul 2015)
+Add Colorized CMake Configuration
+Add PID option for jack
+Add OSC port option
+Add MIDI unlearn
+Add External UI Compilation
+Add Split Pitchbend
+Fix No Install NTK Build
+Fix Linker Issues
+Fix Presets/Copy/Paste
+Fix JACK Samplerate Check When JACK Isn't Running
+Remove Dump
+Remove Some Globals synth/uToB/bToU/etc
+Adjust BankUI Ascetic
+Other Misc Bug Fixes
+
+- Changes from version 2.4.4
+- Release 2.5.0 (25 Feb 2015)
+Add Rtosc
+Add tlsf RT Memory Allocator
+Add --dump-oscdoc Flag
+Add OSC API
+Add Jack-OSC Support
+Add MIDI Learn
+Add Undo/Redo
+Add Multi-Out JACK Engine
+Add Multi-Out OSS Engine
+Add Top Level Window Icon
+Add OSS env Vars MIDI_DEVICE/DSP_DEVICE
+Add OSC port/PID file
+Remove Master::mutex
+Remove Almost All RT Unsafe Actions
+Disable (temporarily) DSSI
+Disable (temporarily) Copy/Paste
+Massive Internal Refactoring
+
+
+---

Old:

  zynaddsubfx-2.4.4.tar.xz
  zynaddsubfx-array-overflow-fix.diff
  zynaddsubfx-fix-GPL-license.patch

New:

  zynaddsubfx-2.5.2.tar.gz



Other differences:
--
++ zynaddsubfx.spec ++
--- /var/tmp/diff_new_pack.iWNzJ4/_old  2015-11-26 17:03:36.0 +0100
+++ /var/tmp/diff_new_pack.iWNzJ4/_new  2015-11-26 17:03:36.0 +0100
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Name:   zynaddsubfx
 BuildRequires:  alsa-devel
 BuildRequires:  cmake
@@ -23,26 +24,26 @@
 BuildRequires:  fltk-devel
 BuildRequires:  gcc-c++
 BuildRequires:  jack-devel
+BuildRequires:  lash-devel
 BuildRequires:  libjpeg-devel
+BuildRequires:  liblo-devel
 BuildRequires:  libpng-devel
 BuildRequires:  mxml-devel
 BuildRequires:  portaudio-devel
 BuildRequires:  update-desktop-files
-BuildRequires:  lash-devel
 BuildRequires:  xorg-x11-devel
+BuildRequires:  zlib-devel
 Provides:   ZynAddSubFX = %{version}
 Obsoletes:  ZynAddSubFX < %{version}
-Version:2.4.4
+Version:2.5.2
 Release:0
 Summary:A Real-Time Software Synthesizer for Linux
 License:GPL-2.0
 Group:  Productivity/Multimedia/Sound/Midi
 Url:http://zynaddsubfx.sourceforge.net/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Source: 
http://downloads.sourceforge.net/project/zynaddsubfx/zynaddsubfx/2.4.4/%{name}-%{version}.tar.xz
+Source: %{name}-%{version}.tar.gz
 Patch0: zynaddsubfx-buildflags.patch
-Patch1: zynaddsubfx-array-overflow-fix.diff
-Patch2: zynaddsubfx-fix-GPL-license.patch
 
 %description
 zynaddsubfx is a many-featured real-time software synthesizer for
@@ -86,15 +87,11 @@
 
 %prep
 %setup -q -n %{name}-%{version}
-%patch1 -p1
 %patch0 -p1
-%patch2 -p1
 
 %build
-make %{?_smp_mflags} -C ExternalPrograms/Controller
-make %{?_smp_mflags} -C ExternalPrograms/Spliter
-   %cmake \
-  -DDefaultOutput=jack \
+%cmake \
+  -DDefaultOutput=jack -DCMAKE_CXX_FLAGS=-std=c++11\
 %ifarch %{ix86} x86_64
   -DX86Build=ON \
 %endif
@@ -107,22 +104,20 @@
 %suse_update_desktop_file -r %{name}-jack AudioVideo Music
 mkdir -p $RPM_BUILD_ROOT%{_datadir}/zynaddsubfx
 cp -a instruments/examples instruments/banks 
$RPM_BUILD_ROOT%{_datadir}/zynaddsubfx
-install -m 0755 ExternalPrograms/Controller/controller 
$RPM_BUILD_ROOT%{_bindir}/controller
-install -m 0755 ExternalPrograms/Spliter/spliter 
$RPM_BUILD_ROOT%{_bindir}/spliter
 
 # We are including these in the common package below
 rm -fr %{buildroot}%{_datadir}/doc/%{name}/
 
 %files
 %defattr(-, root, root)
-%doc 

commit cdemu-daemon for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package cdemu-daemon for openSUSE:Factory 
checked in at 2015-11-26 17:04:02

Comparing /work/SRC/openSUSE:Factory/cdemu-daemon (Old)
 and  /work/SRC/openSUSE:Factory/.cdemu-daemon.new (New)


Package is "cdemu-daemon"

Changes:

--- /work/SRC/openSUSE:Factory/cdemu-daemon/cdemu-daemon.changes
2015-03-01 14:46:59.0 +0100
+++ /work/SRC/openSUSE:Factory/.cdemu-daemon.new/cdemu-daemon.changes   
2015-11-26 17:04:03.0 +0100
@@ -1,0 +2,10 @@
+Mon Nov 23 22:21:26 UTC 2015 - jeng...@inai.de
+
+- Update to new upstream release 3.0.3
+* fixed a copy-and-paste error in feature initialization code
+* daemon: device: signal the Media Eject Request event only when
+  device unload is requested via D-Bus API
+- Run %fillup and populate /etc/sysconfig/cdemu-daemon
+- Drop cdemu_daemon_typo_in_mmc_packet_commands_h.patch (merged)
+
+---

Old:

  cdemu-daemon-3.0.2.tar.bz2
  cdemu_daemon_typo_in_mmc_packet_commands_h.patch

New:

  cdemu-daemon-3.0.3.tar.bz2



Other differences:
--
++ cdemu-daemon.spec ++
--- /var/tmp/diff_new_pack.Y7wuQR/_old  2015-11-26 17:04:03.0 +0100
+++ /var/tmp/diff_new_pack.Y7wuQR/_new  2015-11-26 17:04:03.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   cdemu-daemon
-Version:3.0.2
+Version:3.0.3
 Release:0
 Summary:Device daemon for cdemu, a virtual CD-ROM device emulator
 License:GPL-2.0+
@@ -29,7 +29,6 @@
 Source2:60-vhba.rules
 Source3:cdemu-daemon.sysconfig
 Patch1: logfile.diff
-Patch2: cdemu_daemon_typo_in_mmc_packet_commands_h.patch
 BuildRequires:  cmake >= 2.8.5
 BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(ao) >= 0.8.0
@@ -39,6 +38,7 @@
 BuildRequires:  pkgconfig(gobject-2.0) >= 2.28
 BuildRequires:  pkgconfig(gthread-2.0) >= 2.28
 BuildRequires:  pkgconfig(libmirage) >= %version
+Requires(pre):  %fillup_prereq
 
 %description
 cdemu-daemon receives SCSI commands from kernel module thorugh the
@@ -53,18 +53,15 @@
 
 %prep
 %setup -q
-%patch -P 1 -P 2 -p1
+%patch -P 1 -p1
 
 %build
-cmake . \
-   -DCMAKE_INSTALL_PREFIX:PATH="%_prefix" \
-   -DCMAKE_INSTALL_LIBEXECDIR:PATH="%_libexecdir" \
-   -DCMAKE_C_FLAGS:STRING="%optflags"
+%cmake -DCMAKE_INSTALL_LIBEXECDIR:PATH="%_libexecdir"
 make %{?_smp_mflags}
 
 %install
 b="%buildroot"
-%make_install
+%cmake_install
 mkdir -p "$b/%_sbindir" "$b/%_localstatedir/adm/fillup-templates" \
"$b/%_prefix/lib/udev/rules.d"
 install -pm0644 "%{S:2}" "$b/%_prefix/lib/udev/rules.d/60-vhba.rules"
@@ -72,6 +69,9 @@
 # Not desired for security; it would permit a user to start a system service.
 rm -rf "$b/%_datadir/dbus-1/system-services" "$b/%_sysconfdir/dbus-1/system.d/"
 
+%post
+%fillup_only
+
 %files
 %defattr(-,root,root)
 %doc AUTHORS COPYING README

++ cdemu-daemon-3.0.2.tar.bz2 -> cdemu-daemon-3.0.3.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cdemu-daemon-3.0.2/CMakeLists.txt 
new/cdemu-daemon-3.0.3/CMakeLists.txt
--- old/cdemu-daemon-3.0.2/CMakeLists.txt   2014-09-28 21:19:13.0 
+0200
+++ new/cdemu-daemon-3.0.3/CMakeLists.txt   2015-11-21 15:07:45.0 
+0100
@@ -4,7 +4,7 @@
 project (cdemu-daemon C)
 
 # Versioning
-set (CDEMU_DAEMON_VERSION 3.0.2)
+set (CDEMU_DAEMON_VERSION 3.0.3)
 set (CDEMU_DAEMON_INTERFACE_VERSION_MAJOR 7)
 set (CDEMU_DAEMON_INTERFACE_VERSION_MINOR 0)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cdemu-daemon-3.0.2/README 
new/cdemu-daemon-3.0.3/README
--- old/cdemu-daemon-3.0.2/README   2014-09-28 21:19:13.0 +0200
+++ new/cdemu-daemon-3.0.3/README   2015-11-21 15:07:45.0 +0100
@@ -1,5 +1,5 @@
 CDEmu Daemon
-3.0.2
+3.0.3
 ~
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cdemu-daemon-3.0.2/debian/cdemu-daemon.postinst 
new/cdemu-daemon-3.0.3/debian/cdemu-daemon.postinst
--- old/cdemu-daemon-3.0.2/debian/cdemu-daemon.postinst 2014-09-28 
21:19:13.0 +0200
+++ new/cdemu-daemon-3.0.3/debian/cdemu-daemon.postinst 2015-11-21 
15:07:45.0 +0100
@@ -15,8 +15,8 @@
 
 case "$1" in
configure)
-   # Set GID on cdemu daemon
-   dpkg-statoverride --update --add root cdrom 2755 
"/usr/bin/cdemu-daemon" || myerror "Adding statoverride failed."
+   # Set permissions on cdemu daemon
+   dpkg-statoverride --update --add root cdrom 755 
"/usr/bin/cdemu-daemon" || myerror "Adding statoverride failed."
;;
 

commit libmirage for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package libmirage for openSUSE:Factory 
checked in at 2015-11-26 17:03:59

Comparing /work/SRC/openSUSE:Factory/libmirage (Old)
 and  /work/SRC/openSUSE:Factory/.libmirage.new (New)


Package is "libmirage"

Changes:

--- /work/SRC/openSUSE:Factory/libmirage/libmirage.changes  2015-07-25 
07:44:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.libmirage.new/libmirage.changes 2015-11-26 
17:03:59.0 +0100
@@ -1,0 +2,15 @@
+Mon Nov 23 20:34:07 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 3.0.4:
+  * CUE, CCD, TOC, XCDRoast parsers: Fix a crash due to invalid
+read attempts on uninitialised regex match info structure.
+  * MDS, MDX parser: Fix a memory leak.
+  * CIF parser: Fix signature matching.
+  * CIF parser: Improve pretty-print of some values.
+  * CIF parser: Fix track length calculation.
+  * CMake: Replace whitespaces in custom target names with "-"
+signs (silence CMP0037 warnings on CMake 3.2.2 and newer).
+- Add missing MIME compilation.
+- Use %cmake macro.
+
+---

Old:

  libmirage-3.0.3.tar.bz2

New:

  libmirage-3.0.4.tar.bz2



Other differences:
--
++ libmirage.spec ++
--- /var/tmp/diff_new_pack.ZhmgGL/_old  2015-11-26 17:04:00.0 +0100
+++ /var/tmp/diff_new_pack.ZhmgGL/_new  2015-11-26 17:04:00.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libmirage
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -22,14 +22,14 @@
 Summary:A CD-ROM image access library
 License:GPL-2.0+
 Group:  Development/Libraries/C and C++
-Version:3.0.3
+Version:3.0.4
 Release:0
 Url:http://cdemu.sf.net/about/libmirage/
 
 #Git-Clone: git://git.code.sf.net/p/cdemu/code
 Source: http://downloads.sf.net/cdemu/%name-%version.tar.bz2
 BuildRequires:  cmake >= 2.8.5
-BuildRequires:  pkgconfig >= 0.16
+BuildRequires:  pkg-config >= 0.16
 BuildRequires:  pkgconfig(bzip2) >= 1.0.0
 BuildRequires:  pkgconfig(glib-2.0) >= 2.28
 BuildRequires:  pkgconfig(gmodule-2.0) >= 2.28
@@ -38,6 +38,7 @@
 BuildRequires:  pkgconfig(gtk-doc) >= 1.4
 BuildRequires:  pkgconfig(liblzma) >= 5.0.0
 BuildRequires:  pkgconfig(samplerate) >= 0.1.0
+BuildRequires:  pkgconfig(shared-mime-info)
 BuildRequires:  pkgconfig(sndfile) >= 1.0.0
 BuildRequires:  pkgconfig(zlib) >= 1.2.0
 
@@ -104,7 +105,7 @@
 This package contains the MIME type definitions and documentation.
 
 %package -n typelib-1_0-libmirage-%pname
-Summary:The libmirage CD-ROM image access library - introspection 
bindings
+Summary:The libmirage CD-ROM image access library – introspection 
bindings
 Group:  System/Libraries
 
 %description -n typelib-1_0-libmirage-%pname
@@ -118,17 +119,21 @@
 %setup -q
 
 %build
-cmake . \
-   -DCMAKE_INSTALL_PREFIX:PATH="%_prefix" \
-   -DCMAKE_C_FLAGS:STRING="%optflags"
+%cmake -DCMAKE_MODULE_LINKER_FLAGS=""
 make %{?_smp_mflags}
 
 %install
-make install DESTDIR="%buildroot"
+%cmake_install
 
 %post   -n %lname -p /sbin/ldconfig
 %postun -n %lname -p /sbin/ldconfig
 
+%post data
+%mime_database_post
+
+%postun data
+%mime_database_postun
+
 %files -n %lname
 %defattr(-,root,root)
 %_libdir/libmirage.so.10*

++ libmirage-3.0.3.tar.bz2 -> libmirage-3.0.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libmirage-3.0.3/CMakeLists.txt 
new/libmirage-3.0.4/CMakeLists.txt
--- old/libmirage-3.0.3/CMakeLists.txt  2014-11-09 19:01:10.0 +0100
+++ new/libmirage-3.0.4/CMakeLists.txt  2015-11-21 14:54:15.0 +0100
@@ -6,7 +6,7 @@
 # Release versioning:
 set (MIRAGE_VERSION_MAJOR 3)
 set (MIRAGE_VERSION_MINOR 0)
-set (MIRAGE_VERSION_MICRO 3)
+set (MIRAGE_VERSION_MICRO 4)
 set (MIRAGE_VERSION_LONG 
${MIRAGE_VERSION_MAJOR}.${MIRAGE_VERSION_MINOR}.${MIRAGE_VERSION_MICRO})
 set (MIRAGE_VERSION_SHORT ${MIRAGE_VERSION_MAJOR}.${MIRAGE_VERSION_MINOR})
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libmirage-3.0.3/README new/libmirage-3.0.4/README
--- old/libmirage-3.0.3/README  2014-11-09 19:01:10.0 +0100
+++ new/libmirage-3.0.4/README  2015-11-21 14:54:15.0 +0100
@@ -1,5 +1,5 @@
 libMirage
-3.0.3
+3.0.4
 ~
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libmirage-3.0.3/cmake/GObjectIntrospection.cmake 

commit websocketpp for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package websocketpp for openSUSE:Factory 
checked in at 2015-11-26 17:04:16

Comparing /work/SRC/openSUSE:Factory/websocketpp (Old)
 and  /work/SRC/openSUSE:Factory/.websocketpp.new (New)


Package is "websocketpp"

Changes:

--- /work/SRC/openSUSE:Factory/websocketpp/websocketpp.changes  2014-11-24 
11:08:47.0 +0100
+++ /work/SRC/openSUSE:Factory/.websocketpp.new/websocketpp.changes 
2015-11-26 17:04:19.0 +0100
@@ -1,0 +2,93 @@
+Tue Nov 24 19:17:00 UTC 2015 - p.drou...@gmail.com
+
+- Update to version 0.6.0
+  * MINOR BREAKING TRANSPORT POLICY CHANGE: Custom transport policies
+will now be required to include a new method void set_uri(uri_ptr u).
+An implementation is not required. The stub transport policy 
+includes an example stub method that can be added to any existing
+custom transport policy to fulfill this requirement. This does not
+affect anyone using the bundled transports or configs.
+  * MINOR BREAKING SOCKET POLICY CHANGE: Custom asio transport socket
+policies will now be required to include a new method void 
+set_uri(uri_ptr u). Like with the transport layer, an implementation 
+is not required. This does not affect anyone using the bundled 
+socket policies.
+  * MINOR BREAKING DEPENDENCY CHANGE: When using Boost versions 
+greater than or equal to 1.49 in C++03 mode, libboost-chrono is 
+needed now instead of libboost-date_time. Users with C++11 compilers 
+or using Boost versions 1.48 and earlier are not affected. Note: 
+This change affects the bundled unit test suite.
+  * Feature: WebSocket++ Asio transport policy can now be used with the 
+standalone version of Asio (1.8.0+) when a C++11 compiler and standard 
+library are present. This means that it is possible now to use 
+WebSocket++'s Asio transport entirely without Boost. Fixes #324
+  * Feature: Adds a vectored/scatter-gather write handler to the iostream 
transport.
+  * Feature: Adds the ability to defer sending an HTTP response until 
+sometime after the http_handler is run. This allows processing of 
+long running http handlers to defer their response until it is ready 
+without blocking the network thread. references #425
+  * Improvement: echo_server_tls has been update to demonstrate how to 
+configure it for Mozilla's recommended intermediate and modern TLS 
+security profiles.
+  * Improvement: endpoint::set_timer now uses a steady clock provided by
+boost::chrono or std::chrono where available instead of the 
+non-monotonic system clock. Thank you breyed for reporting. fixes #241
+  * Improvement: Outgoing TLS connections to servers using the SNI 
+extension to choose a certificate will now work. Fixes #400
+  * Improvement: Removes an unnecessary mutex lock in get_con_from_hdl.
+  * Cleanup: Asio transport policy has been refactored to remove 
+many Boost dependencies. On C++03 compilers the boost::noncopyable
+dependency has been removed and the boost::date_time dependency 
+has been replaced with the newer boost::chrono when possible. 
+On C++11 compilers the boost::aligned_storage and boost::date_time
+dependencies are gone, replaced with equivalent C++11 standard 
+library features.
+  * Bug: Fixes a potential dangling pointer and inconsistent error 
+message handling in websocketpp::exception. #432
+- Changes from version 0.5.1
+  * Bug: Fixes an issue where some frame data was counted against
+the max header size limit, resulting in connections that included
+a lot of frame data immediately after the opening handshake to fail.
+  * Bug: Fix a typo in the name of the set method for max_http_body_size. #406
+- Changes from version 0.5.0
+  * BREAKING UTILITY CHANGE: Deprecated methods http::parser::parse_headers,
+http::response::parse_complete, and http::request::parse_complete 
+have been removed.
+  * Security: Disabled SSLv3 in example servers.
+  * Feature: Adds basic support for accessing HTTP request bodies 
+in the http handler. #181
+  * Feature: Adds the ability to register a shutdown handler when 
+using the iostream transport. This provides a clean interface 
+for triggering the shut down of external sockets and other 
+cleanup without hooking in to higher level WebSocket handlers.
+  * Feature: Adds the ability to register a write handler when 
+using the iostream transport. This handler can be used to handle
+transport output in place of registering an ostream to write to.
+  * Feature: Adds a new logging policy that outputs to syslog. #386
+  * Improvement: Message payload logging now prints text for text 
+messages rather than binary.
+  * Improvement: Overhaul of handshake state machine. Should make it 

commit python-gst for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package python-gst for openSUSE:Factory 
checked in at 2015-11-26 17:04:07

Comparing /work/SRC/openSUSE:Factory/python-gst (Old)
 and  /work/SRC/openSUSE:Factory/.python-gst.new (New)


Package is "python-gst"

Changes:

--- /work/SRC/openSUSE:Factory/python-gst/python-gst.changes2014-10-22 
16:23:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-gst.new/python-gst.changes   
2015-11-26 17:04:09.0 +0100
@@ -1,0 +2,20 @@
+Mon Nov 23 21:28:43 UTC 2015 - zai...@opensuse.org
+
+- Update to version 1.6.1:
+  + Fix regression creating (Ghost)Pad (bgo#757108).
+- Changes from version 1.6.0:
+  + tests:
+- Fix tests in python2.
+- Add test_fraction back in the testsuite.
+- Bring back the testsuite and test if the initialization
+  override works.
+  + overrides:
+- Do not use inspect.signature as it is not avalaible in
+  python2.
+- Disable all GStreamer APIs until Gst has been initialized.
+- Try hard to make the query writable in the pad query
+  function.
+  + Remove INSTALL file.
+  + plugin: Name differently between python2 and python3.
+
+---
python3-gst.changes: same change

Old:

  gst-python-1.4.0.tar.xz

New:

  gst-python-1.6.1.tar.xz



Other differences:
--
++ python-gst.spec ++
--- /var/tmp/diff_new_pack.Uhyugi/_old  2015-11-26 17:04:10.0 +0100
+++ /var/tmp/diff_new_pack.Uhyugi/_new  2015-11-26 17:04:10.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package python-gstreamer
+# spec file for package python-gst
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 %define build_for_python3 0
 
 %if %{build_for_python3}
@@ -33,7 +34,7 @@
 
 Name:   python-gst
 %define _name gst-python
-Version:1.4.0
+Version:1.6.1
 Release:0
 Summary:Python Bindings for GStreamer
 License:LGPL-2.1+
@@ -94,7 +95,7 @@
 %if %{build_for_python3}
 %files -n gstreamer-plugin-python
 %defattr(-,root,root)
-%{_libdir}/gstreamer-1.0/libgstpythonplugin.so
+%{_libdir}/gstreamer-1.0/libgstpythonplugin.cpython*.so
 %endif
 
 %changelog

++ python3-gst.spec ++
--- /var/tmp/diff_new_pack.Uhyugi/_old  2015-11-26 17:04:10.0 +0100
+++ /var/tmp/diff_new_pack.Uhyugi/_new  2015-11-26 17:04:10.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package python-gstreamer
+# spec file for package python3-gst
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 %define build_for_python3 1
 
 %if %{build_for_python3}
@@ -33,7 +34,7 @@
 
 Name:   python3-gst
 %define _name gst-python
-Version:1.4.0
+Version:1.6.1
 Release:0
 Summary:Python Bindings for GStreamer
 License:LGPL-2.1+
@@ -94,7 +95,7 @@
 %if %{build_for_python3}
 %files -n gstreamer-plugin-python
 %defattr(-,root,root)
-%{_libdir}/gstreamer-1.0/libgstpythonplugin.so
+%{_libdir}/gstreamer-1.0/libgstpythonplugin.cpython*.so
 %endif
 
 %changelog

++ gst-python-1.4.0.tar.xz -> gst-python-1.6.1.tar.xz ++
 4300 lines of diff (skipped)




commit a2ps for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package a2ps for openSUSE:Factory checked in 
at 2015-11-26 17:03:53

Comparing /work/SRC/openSUSE:Factory/a2ps (Old)
 and  /work/SRC/openSUSE:Factory/.a2ps.new (New)


Package is "a2ps"

Changes:

--- /work/SRC/openSUSE:Factory/a2ps/a2ps.changes2015-05-25 
11:15:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.a2ps.new/a2ps.changes   2015-11-26 
17:03:53.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 16 15:05:43 UTC 2015 - wer...@suse.de
+
+- Add patch a2ps-4.14-bnc955194.patch to fix format string
+  vulnerability (bnc#955194)
+
+---

New:

  a2ps-4.14-bnc955194.patch



Other differences:
--
++ a2ps.spec ++
--- /var/tmp/diff_new_pack.rq16x4/_old  2015-11-26 17:03:55.0 +0100
+++ /var/tmp/diff_new_pack.rq16x4/_new  2015-11-26 17:03:55.0 +0100
@@ -44,6 +44,8 @@
 # PATCH-FIX-USTREAM Bug 871097 - CVE-2014-0466: a2ps: fixps does not use 
-dSAFER
 Patch14:CVE-2014-0466.diff
 Patch15:a2ps-4.14-gperf.patch
+# PATCH-FIX-SUSE Bug 955194 - CVE-2015-8107: CVE-2015-8107 - a2ps(gnu) v4.14 
format string vulnerability
+Patch16:a2ps-4.14-bnc955194.patch
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  emacs-nox
@@ -120,6 +122,7 @@
 %patch13 -p1
 %patch14 -p1
 %patch15 -p1
+%patch16 -p0
 %patch0-b .p0
 cp -f %{SOURCE3} po/ko.po
 find -type f | grep -vE '(parseppd|parsessh).y' | xargs \

++ a2ps-4.14-bnc955194.patch ++
>From seclists.org/oss-sec/2015/q4/284
CVE-2015-8107 - a2ps(gnu) v4.14 format string vulnerability

Be aware that if compiled with -D_FORTIFY_SOURCE=2 the a2ps
does abort with

  a2ps --prologue=exploit /etc/hosts -o /dev/null
  *** %n in writable segment detected ***
  Abort

Also the explpoit has to be installed as a pro file in the
appropiate system paths or $HOME/.a2ps of the attacked user.

---
 lib/output.c |2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- lib/output.c
+++ lib/output.c2015-11-16 15:01:23.414079544 +
@@ -525,7 +525,7 @@ output_file (struct output * out, a2ps_j
 expand_user_string (job, FIRST_FILE (job),
 (const uchar *) "Expand: requirement",
 (const uchar *) token));
-   output (dest, expansion);
+   output (dest, "%s", expansion);
continue;
   }
 





commit compiz for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package compiz for openSUSE:Factory checked 
in at 2015-11-26 17:03:55

Comparing /work/SRC/openSUSE:Factory/compiz (Old)
 and  /work/SRC/openSUSE:Factory/.compiz.new (New)


Package is "compiz"

Changes:

--- /work/SRC/openSUSE:Factory/compiz/compiz.changes2014-10-29 
21:11:20.0 +0100
+++ /work/SRC/openSUSE:Factory/.compiz.new/compiz.changes   2015-11-26 
17:03:57.0 +0100
@@ -1,0 +2,38 @@
+Fri Nov 20 08:32:20 UTC 2015 - sor.ale...@meowr.ru
+
+- Add compiz-add-manager-checks.patch: add all relevant checks
+  from compiz-manager; and pciutils dependency.
+- Get from Ubuntu packages a script to generate MATE Control Centre
+  keybinding XML's.
+
+---
+Mon Nov  9 11:48:58 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 0.8.9.
+- Update dependencies and license.
+- Split libdecoration0.
+- Split plugins from compiz to compiz-plugins, make compiz
+  recommend compiz-plugins and compiz-plugins to recommend
+  compiz-plugins-main.
+- compiz-gnome to recommend compiz-plugins-main and suggest ccsm.
+- compiz-gnome doesn't have to depend on GNOME Control Centre and
+  gnome-desktop2.
+- Rebase compiz-default-settings.diff.
+- Remove dummy compiz-kde4 package.
+- Do not recommend compiz-emerald.
+- Merely suggest compicc instead of recommending.
+- Drop kde-compiz.desktop and startkde-compiz: no longer used.
+- Remove compiz-kde-4.9.patch, kde-auto-comp.diff,
+  compiz-0.8.8-non-abstract-KWD-Window.patch,
+  compiz-global_Region_define.patch: KDE-related.
+- Restore standalone locales, place in compiz-lang.
+- Change compiz-devel group to "Development/Languages/C and C++".
+- Tickle default enabled plugins.
+- Move matecompat and svg plugins from compiz-gnome to compiz.
+- Adjust compiz-decorator script for MATE.
+- Add mate-window-decorator wrapper that adjusts gwd settings with
+  Marco or Metacity ones.
+- Drop support of old openSUSE.
+- Add baselibs.conf.
+
+---

Old:

  compiz-0.8.8-non-abstract-KWD-Window.patch
  compiz-0.8.8.tar.bz2
  compiz-decorator
  compiz-global_Region_define.patch
  compiz-kde-4.9.patch
  kde-auto-comp.diff
  kde-compiz.desktop
  startkde-compiz

New:

  baselibs.conf
  compiz-0.8.9.tar.gz
  compiz-add-manager-checks.patch
  compiz-decorator.sh
  compiz.desktop
  mate-window-decorator.py



Other differences:
--
++ compiz.spec ++
 754 lines (skipped)
 between /work/SRC/openSUSE:Factory/compiz/compiz.spec
 and /work/SRC/openSUSE:Factory/.compiz.new/compiz.spec

++ baselibs.conf ++
libdecoration0
++ compiz-add-manager-checks.patch ++
Add all relevant checks from compiz-manager.

Authors:
Travis Watkins 
Sorokin Alexei 

---
--- a/include/compiz-core.h
+++ b/include/compiz-core.h
@@ -1126,6 +1126,9 @@ logMessage (const char   *componentName,
 const char *
 logLevelToString (CompLogLevel level);
 
+void
+launchFallbackWM (void);
+
 int
 compCheckForError (Display *dpy);
 
--- a/src/main.c
+++ b/src/main.c
@@ -159,6 +159,30 @@ logLevelToString (CompLogLevel level)
 return "Unknown";
 }
 
+void
+launchFallbackWM (void)
+{
+char *fallback = NULL;
+
+if (strcmp (getenv ("XDG_CURRENT_DESKTOP"), "MATE") == 0)
+   fallback = "marco";
+else if (strcmp (getenv ("XDG_CURRENT_DESKTOP"), "GNOME") == 0 || strcmp 
(getenv ("XDG_CURRENT_DESKTOP"), "GNOME") == 0)
+   fallback = "metacity";
+else if (access ("/usr/bin/xfwm4", F_OK) == 0)
+   fallback = "xfwm4";
+else if (access ("/usr/bin/icewm", F_OK) == 0)
+   fallback = "icewm";
+
+printf ("\nLaunching fallback window manager\n");
+if (fallback != NULL)
+   execlp (fallback, fallback, "--replace", (char *)NULL);
+else
+   execlp ("xterm", "xterm", (char *)NULL);
+
+/* we should never get here but if we do just exit */
+exit (EXIT_FAILURE);
+}
+
 static void
 signalHandler (int sig)
 {
@@ -168,6 +192,9 @@ signalHandler (int sig)
 case SIGCHLD:
waitpid (-1, , WNOHANG | WUNTRACED);
break;
+case SIGSEGV:
+   launchFallbackWM ();
+   break;
 case SIGHUP:
restartSignal = TRUE;
break;
@@ -270,6 +297,7 @@ main (int argc, char **argv)
 signal (SIGCHLD, signalHandler);
 signal (SIGINT, signalHandler);
 signal (SIGTERM, signalHandler);
+signal (SIGSEGV, signalHandler);
 
 emptyRegion.rects = 
 emptyRegion.numRects = 0;
@@ -288,6 +316,13 @@ main (int argc, char **argv)
 
 memset (, 0, sizeof (ctx));
 
+/* if no options are passed run with defaults */
+if (argc == 1)
+{
+   

commit yast2-auth-client for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package yast2-auth-client for 
openSUSE:Factory checked in at 2015-11-26 17:03:50

Comparing /work/SRC/openSUSE:Factory/yast2-auth-client (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-auth-client.new (New)


Package is "yast2-auth-client"

Changes:

--- /work/SRC/openSUSE:Factory/yast2-auth-client/yast2-auth-client.changes  
2015-10-17 16:39:12.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-auth-client.new/yast2-auth-client.changes 
2015-11-26 17:03:51.0 +0100
@@ -1,0 +2,12 @@
+Mon Nov 23 13:59:57 UTC 2015 - h...@suse.com
+
+- Redo fix for bsc#948432, with even more space for the two big buttons.
+  Version number is now 3.3.6.
+
+---
+Mon Oct 26 08:58:58 UTC 2015 - h...@suse.com
+
+- Fix main dialog's header label. bsc#951586
+- Improve RPM description text.
+
+---

Old:

  yast2-auth-client-3.3.4.tar.bz2

New:

  yast2-auth-client-3.3.6.tar.bz2



Other differences:
--
++ yast2-auth-client.spec ++
--- /var/tmp/diff_new_pack.B5kvXI/_old  2015-11-26 17:03:52.0 +0100
+++ /var/tmp/diff_new_pack.B5kvXI/_new  2015-11-26 17:03:52.0 +0100
@@ -17,9 +17,9 @@
 
 
 Name:   yast2-auth-client
-Version:3.3.4
+Version:3.3.6
 Release:0
-Summary:YaST2 - Network Authentication Configuration
+Summary:YaST2 - Centralised System Authentication Configuration
 License:GPL-2.0
 Group:  System/YaST
 
@@ -47,9 +47,8 @@
 Obsoletes:  yast2-ldap-client
 
 %description
-With this YaST2 module you can configure the network authentication
-for your computer. This modul provides multi domain authentication
-using sssd.
+With this YaST2 module you may configure centralised system authentication, on 
a single or multipe network domains.
+The authentication capabilities are provided by SSSD.
 
 %prep
 %setup -n %{name}-%{version}

++ yast2-auth-client-3.3.4.tar.bz2 -> yast2-auth-client-3.3.6.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-auth-client-3.3.4/package/yast2-auth-client.changes 
new/yast2-auth-client-3.3.6/package/yast2-auth-client.changes
--- old/yast2-auth-client-3.3.4/package/yast2-auth-client.changes   
2015-10-16 11:27:09.0 +0200
+++ new/yast2-auth-client-3.3.6/package/yast2-auth-client.changes   
2015-11-23 15:07:42.0 +0100
@@ -1,4 +1,16 @@
 ---
+Mon Nov 23 13:59:57 UTC 2015 - h...@suse.com
+
+- Redo fix for bsc#948432, with even more space for the two big buttons.
+  Version number is now 3.3.6.
+
+---
+Mon Oct 26 08:58:58 UTC 2015 - h...@suse.com
+
+- Fix main dialog's header label. bsc#951586
+- Improve RPM description text.
+
+---
 Fri Oct 16 09:24:48 UTC 2015 - h...@suse.com
 
 - Increase width of the left panel on main dialog. bsc#948432
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-auth-client-3.3.4/package/yast2-auth-client.spec 
new/yast2-auth-client-3.3.6/package/yast2-auth-client.spec
--- old/yast2-auth-client-3.3.4/package/yast2-auth-client.spec  2015-10-16 
11:27:09.0 +0200
+++ new/yast2-auth-client-3.3.6/package/yast2-auth-client.spec  2015-11-23 
15:07:42.0 +0100
@@ -17,11 +17,11 @@
 
 
 Name:   yast2-auth-client
-Version:3.3.4
+Version:3.3.6
 Release:0
 Group:  System/YaST
 License:GPL-2.0
-Summary:YaST2 - Network Authentication Configuration
+Summary:YaST2 - Centralised System Authentication Configuration
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Source0:%{name}-%{version}.tar.bz2
@@ -40,9 +40,8 @@
 Obsoletes:  yast2-ldap-client yast2-kerberos-client
 
 %description
-With this YaST2 module you can configure the network authentication
-for your computer. This modul provides multi domain authentication
-using sssd.
+With this YaST2 module you may configure centralised system authentication, on 
a single or multipe network domains.
+The authentication capabilities are provided by SSSD.
 
 %prep
 %setup -n %{name}-%{version}
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/yast2-auth-client-3.3.4/src/lib/yauthclient/main_dialog.rb 
new/yast2-auth-client-3.3.6/src/lib/yauthclient/main_dialog.rb
--- old/yast2-auth-client-3.3.4/src/lib/yauthclient/main_dialog.rb  
2015-10-16 

commit nant for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package nant for openSUSE:Factory checked in 
at 2015-11-26 17:04:06

Comparing /work/SRC/openSUSE:Factory/nant (Old)
 and  /work/SRC/openSUSE:Factory/.nant.new (New)


Package is "nant"

Changes:

--- /work/SRC/openSUSE:Factory/nant/nant.changes2014-11-18 
22:44:56.0 +0100
+++ /work/SRC/openSUSE:Factory/.nant.new/nant.changes   2015-11-26 
17:04:07.0 +0100
@@ -1,0 +2,10 @@
+Tue Nov 24 06:29:39 UTC 2015 - mailaen...@opensuse.org
+
+- gmcs was replaced in Mono 2.11 with a unified mcs
+
+---
+Sun Oct  4 11:39:25 UTC 2015 - bwiedem...@suse.com
+
+- recompress .bz2 to .xz to match filename
+
+---



Other differences:
--
++ nant.spec ++
--- /var/tmp/diff_new_pack.lQ2FZC/_old  2015-11-26 17:04:09.0 +0100
+++ /var/tmp/diff_new_pack.lQ2FZC/_new  2015-11-26 17:04:09.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package nant
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -52,10 +52,10 @@
 %setup -q -n %{name}
 
 %build
-make TARGET=mono-4.5 MCS="gmcs -sdk:4"
+make TARGET=mono-4.5 MCS="mcs -sdk:4"
 
 %install
-make install prefix=%{_prefix} DESTDIR=%{buildroot} TARGET=mono-4.5 MCS="gmcs 
-sdk:4" docdir=%{_docdir}
+make install prefix=%{_prefix} DESTDIR=%{buildroot} TARGET=mono-4.5 MCS="mcs 
-sdk:4" docdir=%{_docdir}
 mkdir -p %{buildroot}%{_datadir}
 mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_datadir}/
 

++ nant.tar.xz ++
/work/SRC/openSUSE:Factory/nant/nant.tar.xz 
/work/SRC/openSUSE:Factory/.nant.new/nant.tar.xz differ: char 1, line 1




commit notify-osd for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package notify-osd for openSUSE:Factory 
checked in at 2015-11-26 17:04:04

Comparing /work/SRC/openSUSE:Factory/notify-osd (Old)
 and  /work/SRC/openSUSE:Factory/.notify-osd.new (New)


Package is "notify-osd"

Changes:

--- /work/SRC/openSUSE:Factory/notify-osd/notify-osd.changes2015-11-02 
12:55:29.0 +0100
+++ /work/SRC/openSUSE:Factory/.notify-osd.new/notify-osd.changes   
2015-11-26 17:04:06.0 +0100
@@ -1,0 +2,9 @@
+Mon Nov 23 20:34:07 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 0.9.35~bzr20151118 (changes since 0.9.35~bzr20151014):
+  * Listen to xsettings dpi changes (lp#1303796).
+  * Refactor bubble_set_icon().
+  * Ignore body for synchronous notifications.
+- Update and rebase notify-osd-leolik.patch.
+
+---

Old:

  notify-osd_0.9.35+15.10.20151014.orig.tar.gz

New:

  notify-osd_0.9.35+16.04.20151118.orig.tar.gz



Other differences:
--
++ notify-osd.spec ++
--- /var/tmp/diff_new_pack.YAuXB4/_old  2015-11-26 17:04:07.0 +0100
+++ /var/tmp/diff_new_pack.YAuXB4/_new  2015-11-26 17:04:07.0 +0100
@@ -16,9 +16,9 @@
 #
 
 
-%define _version 0.9.35+15.10.20151014
+%define _version 0.9.35+16.04.20151118
 Name:   notify-osd
-Version:0.9.35~bzr20151014
+Version:0.9.35~bzr20151118
 Release:0
 Summary:Streamlined Notification Daemon
 License:GPL-3.0+

++ notify-osd-leolik.patch ++
--- /var/tmp/diff_new_pack.YAuXB4/_old  2015-11-26 17:04:07.0 +0100
+++ /var/tmp/diff_new_pack.YAuXB4/_new  2015-11-26 17:04:07.0 +0100
@@ -1,7 +1,7 @@
 diff -ruN src_old/bubble.c src/bubble.c
 --- src_old/bubble.c
 +++ src/bubble.c
-@@ -133,25 +133,25 @@
+@@ -127,25 +127,25 @@
  // FIXME: this is in class Defaults already, but not yet hooked up so for the
  // moment we use the macros here, these values reflect the visual-guideline
  // for jaunty notifications
@@ -41,7 +41,7 @@
  
  #define INDICATOR_UNLIT_R  1.0f
  #define INDICATOR_UNLIT_G  1.0f
-@@ -172,6 +172,10 @@
+@@ -166,6 +166,10 @@
  #define BUBBLE_CONTENT_BLUR_RADIUS 4
  #define TEXT_DROP_SHADOW_SIZE  2
  
@@ -52,16 +52,21 @@
  //-- private functions 
-
  
  static guint g_bubble_signals[LAST_SIGNAL] = { 0 };
-@@ -758,17 +762,32 @@
+@@ -752,17 +756,32 @@
2.0f * EM2PIXELS (get_shadow_size (self), d));
cairo_fill (cr);
cairo_set_operator (cr, CAIRO_OPERATOR_OVER);
+-  cairo_set_source_rgba (cr,
+- color.red,
+- color.green,
+- color.blue,
+- BUBBLE_BG_COLOR_A);
 +  if (BUBBLE_AS_DESKTOP_BG) {
-   cairo_set_source_rgba (cr,
-  color.red,
-  color.green,
-  color.blue,
-  BUBBLE_BG_COLOR_A);
++  cairo_set_source_rgba (cr,
++  color.red,
++  color.green,
++  color.blue,
++  BUBBLE_BG_COLOR_A); 
 +  } else {
 +  cairo_set_source_rgba (cr,
 +  BUBBLE_BG_COLOR_R,
@@ -71,11 +76,15 @@
 +  }
}
else
+-  cairo_set_source_rgb (cr,
+- color.red,
+- color.green,
+- color.blue);
 +  if (BUBBLE_AS_DESKTOP_BG) {
-   cairo_set_source_rgb (cr,
-  color.red,
-  color.green,
-  color.blue);
++  cairo_set_source_rgb (cr,
++  color.red,
++  color.green,
++  color.blue);
 +  } else {
 +  cairo_set_source_rgb (cr,
 +  BUBBLE_BG_COLOR_R,
@@ -85,29 +94,38 @@
  
draw_round_rect (
cr,
-@@ -1667,6 +1686,8 @@
+@@ -1660,15 +1679,23 @@
+   // sanity check
if (!window)
return;
- 
+-
+-  // set an 1x1 input-region to allow click-through 
+-  region = 

commit cdemu-client for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package cdemu-client for openSUSE:Factory 
checked in at 2015-11-26 17:04:03

Comparing /work/SRC/openSUSE:Factory/cdemu-client (Old)
 and  /work/SRC/openSUSE:Factory/.cdemu-client.new (New)


Package is "cdemu-client"

Changes:

--- /work/SRC/openSUSE:Factory/cdemu-client/cdemu-client.changes
2014-07-17 17:31:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.cdemu-client.new/cdemu-client.changes   
2015-11-26 17:04:04.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 23 22:39:47 UTC 2015 - jeng...@inai.de
+
+- Update to new upstream release 3.0.1
+* build only fixes
+
+---

Old:

  cdemu-client-3.0.0.tar.bz2

New:

  cdemu-client-3.0.1.tar.bz2



Other differences:
--
++ cdemu-client.spec ++
--- /var/tmp/diff_new_pack.mvl35G/_old  2015-11-26 17:04:05.0 +0100
+++ /var/tmp/diff_new_pack.mvl35G/_new  2015-11-26 17:04:05.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package cdemu-client
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   cdemu-client
-Version:3.0.0
+Version:3.0.1
 Release:0
 Summary:Command-line client to control cdemu-daemon
 License:GPL-2.0+

++ cdemu-client-3.0.0.tar.bz2 -> cdemu-client-3.0.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cdemu-client-3.0.0/README 
new/cdemu-client-3.0.1/README
--- old/cdemu-client-3.0.0/README   2014-06-29 15:25:04.0 +0200
+++ new/cdemu-client-3.0.1/README   2015-11-21 15:10:29.0 +0100
@@ -1,5 +1,5 @@
 CDEmu client
-3.0.0
+3.0.1
 ~
 
 Table of Contents:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cdemu-client-3.0.0/cmake/FindIntlTool.cmake 
new/cdemu-client-3.0.1/cmake/FindIntlTool.cmake
--- old/cdemu-client-3.0.0/cmake/FindIntlTool.cmake 2014-06-29 
15:25:04.0 +0200
+++ new/cdemu-client-3.0.1/cmake/FindIntlTool.cmake 2015-11-21 
15:10:29.0 +0100
@@ -63,7 +63,7 @@
 set (gmo_files ${gmo_files} ${gmo_file})
 endforeach ()
 
-set (translations-target "${PROJECT_NAME} translations")
+set (translations-target "${PROJECT_NAME}-translations")
 add_custom_target (${translations-target} ALL DEPENDS ${gmo_files})
 endfunction ()
 
@@ -87,7 +87,7 @@
 )
 endif ()
 
-set (intltool-merge-target "intltool-merge ${out_filename}")
+set (intltool-merge-target "intltool-merge-${out_filename}")
 add_custom_target (${intltool-merge-target} ALL DEPENDS ${out_filename})
 endfunction ()
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cdemu-client-3.0.0/debian/changelog 
new/cdemu-client-3.0.1/debian/changelog
--- old/cdemu-client-3.0.0/debian/changelog 2014-06-29 15:25:04.0 
+0200
+++ new/cdemu-client-3.0.1/debian/changelog 2015-11-21 15:10:29.0 
+0100
@@ -1,3 +1,7 @@
+cdemu-client (3.0.1-1) debian; urgency=low
+  * Updated to 3.0.1
+ -- Rok Mandeljc   Sat, 21 Nov 2015 12:00:00 +0100
+
 cdemu-client (3.0.0-1) debian; urgency=low
   * Initial Release. Closes: #705409
  -- Henrik Stokseth   Sat, 05 Apr 2014 12:00:00 +0100
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/cdemu-client-3.0.0/src/cdemu 
new/cdemu-client-3.0.1/src/cdemu
--- old/cdemu-client-3.0.0/src/cdemu2014-06-29 15:25:04.0 +0200
+++ new/cdemu-client-3.0.1/src/cdemu2015-11-21 15:10:29.0 +0100
@@ -36,7 +36,7 @@
 
 # *** Globals ***
 app_name = "cdemu-client"
-app_version = "3.0.0"
+app_version = "3.0.1"
 supported_daemon_interface_version = [ 7, 0 ]
 
 # I18n




commit munin for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package munin for openSUSE:Factory checked 
in at 2015-11-26 17:04:12

Comparing /work/SRC/openSUSE:Factory/munin (Old)
 and  /work/SRC/openSUSE:Factory/.munin.new (New)


Package is "munin"

Changes:

--- /work/SRC/openSUSE:Factory/munin/munin.changes  2015-09-03 
18:09:49.0 +0200
+++ /work/SRC/openSUSE:Factory/.munin.new/munin.changes 2015-11-26 
17:04:13.0 +0100
@@ -1,0 +2,6 @@
+Tue Nov 24 12:11:20 UTC 2015 - w...@rosenauer.org
+
+- apply upstream change to work correctly for MySQL >= 5.5
+  (mysql55.patch
+
+---

New:

  mysql55.patch



Other differences:
--
++ munin.spec ++
--- /var/tmp/diff_new_pack.g9x8bI/_old  2015-11-26 17:04:14.0 +0100
+++ /var/tmp/diff_new_pack.g9x8bI/_new  2015-11-26 17:04:14.0 +0100
@@ -47,6 +47,7 @@
 Source13:   gsa-munin.zip
 # https://svn.koumbit.net/koumbit/trunk/munin-plugins/quota-usage
 Patch:  munin-plugin-quota_usage_warnings.patch
+Patch2: mysql55.patch
 BuildRequires:  html2text
 BuildRequires:  perl-HTML-Template
 BuildRequires:  perl-Log-Log4perl
@@ -151,6 +152,7 @@
 unzip %{SOURCE12}
 unzip %{SOURCE13}
 %patch
+%patch2 -p1
 
 %build
 %__make


++ mysql55.patch ++
>From 9f53020cc7aa5338b9983cab3c1f233ffd349576 Mon Sep 17 00:00:00 2001
From: y-ken 
Date: Sat, 22 Jun 2013 01:47:20 +0900
Subject: [PATCH 1/4] Add support for MySQL 5.5/5.6

The mysql plugin named "mysql_" have a problem. So It could not work
fine with MySQL 5.5 or 5.6.
I have make a patch for "INDIVIDUAL BUFFER POOL INFO" section as
skipped to work.

## all of symlinked mysql_ pluugin gets error like below.
```sh
$ /etc/munin/plugins/mysql_connections
Unknown section: INDIVIDUAL BUFFER POOL INFO at
/etc/munin/plugins/mysql_connections line 1098.
```

## related issue
https://github.com/kjellm/munin-mysql/commit/111293966ccd6e8df6c1347cb0f
9a8b4025c0266

diff --git a/plugins/node.d/mysql_.in b/plugins/node.d/mysql_.in
index 76c214a..3914e92 100644
--- a/plugins/node.d/mysql_.in
+++ b/plugins/node.d/mysql_.in
@@ -9,7 +9,7 @@ mysql_ - Munin plugin to display misc MySQL server status
 
 =head1 APPLICABLE SYSTEMS
 
-Any MySQL platform, tested by the author on MySQL 5.1.29 and 5.0.51
+Any MySQL platform, tested by the author on MySQL 5.6.12 and 5.5.32, 5.1.29, 
5.0.51
 
 =head1 CONFIGURATION
 
@@ -882,8 +882,11 @@ sub show {
if $graph_name =~ /innodb_/ && $data->{_innodb_disabled};
 
 for my $ds (@{$graph->{data_sources}}) {
-   printf "%s.value %s\n",
-   clean_fieldname($ds->{name}), $data->{$ds->{name}};
+my $value = exists $ds->{value}
+? $ds->{value}($data)
+: $data->{$ds->{name}};
+
+printf "%s.value %s\n", clean_fieldname($ds->{name}), defined($value) 
? $value : 'U';
 }
 
 return 0;
@@ -1071,17 +1074,18 @@ sub parse_innodb_status {
 
 my %section_map = (
 
-   'BUFFER POOL AND MEMORY'   => \_buffer_pool_and_memory,
-   'FILE I/O' => \_file_io,
+   'BUFFER POOL AND MEMORY'  => \_buffer_pool_and_memory,
+   'INDIVIDUAL BUFFER POOL INFO' => \,
+   'FILE I/O'=> \_file_io,
'INSERT BUFFER AND ADAPTIVE HASH INDEX'
=> \_insert_buffer_and_adaptive_hash_index,
-   'LATEST DETECTED DEADLOCK' => \,
-   'LATEST FOREIGN KEY ERROR' => \,
-   'LOG'  => \_log,
-   'ROW OPERATIONS'   => \,
-   'SEMAPHORES'   => \_semaphores,
-   'TRANSACTIONS' => \_transactions,
-   'BACKGROUND THREAD'=> \,
+   'LATEST DETECTED DEADLOCK'=> \,
+   'LATEST FOREIGN KEY ERROR'=> \,
+   'LOG' => \_log,
+   'ROW OPERATIONS'  => \,
+   'SEMAPHORES'  => \_semaphores,
+   'TRANSACTIONS'=> \_transactions,
+   'BACKGROUND THREAD'   => \,
 );
 
 skip_heading();
@@ -1213,12 +1217,26 @@ sub parse_file_io {
 sub parse_insert_buffer_and_adaptive_hash_index {
 parse_section(
sub {
-   m/\G(\d+) inserts, (\d+) merged recs, (\d+) merges\n/gc && do {
-   $data->{ib_ibuf_inserts}= $1;
-   $data->{ib_ibuf_merged_rec} = $2;
-   $data->{ib_ibuf_merges} = $3;
-   return 1;
-   };
+  # MySQL < 5.5
+  m/\G(\d+) inserts, (\d+) merged recs, (\d+) merges\n/gc && do {
+$data->{ib_ibuf_inserts}= $1;
+$data->{ib_ibuf_merged_rec} = $2;
+$data->{ib_ibuf_merges} = $3;
+return 1;
+  };
+  # MySQL >= 5.5
+  

commit mate-screensaver for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package mate-screensaver for 
openSUSE:Factory checked in at 2015-11-26 17:04:15

Comparing /work/SRC/openSUSE:Factory/mate-screensaver (Old)
 and  /work/SRC/openSUSE:Factory/.mate-screensaver.new (New)


Package is "mate-screensaver"

Changes:

--- /work/SRC/openSUSE:Factory/mate-screensaver/mate-screensaver.changes
2015-11-11 10:30:53.0 +0100
+++ /work/SRC/openSUSE:Factory/.mate-screensaver.new/mate-screensaver.changes   
2015-11-26 17:04:18.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 23 20:34:07 UTC 2015 - sor.ale...@meowr.ru
+
+- Use authentication directly via PAM.
+- Do not require xscreensaver-data but recommend.
+
+---



Other differences:
--
++ mate-screensaver.spec ++
--- /var/tmp/diff_new_pack.TfOd7v/_old  2015-11-26 17:04:19.0 +0100
+++ /var/tmp/diff_new_pack.TfOd7v/_new  2015-11-26 17:04:19.0 +0100
@@ -45,9 +45,8 @@
 BuildRequires:  pkgconfig(sm)
 BuildRequires:  pkgconfig(x11)
 BuildRequires:  pkgconfig(xext)
-Requires:   /sbin/unix2_chkpwd
-Requires:   xscreensaver-data
 Recommends: %{name}-lang
+Recommends: xscreensaver-data
 %glib2_gsettings_schema_requires
 %if 0%{?suse_version} > 1310
 BuildRequires:  pkgconfig(libsystemd)
@@ -79,10 +78,8 @@
   --libexecdir=%{_libexecdir}/%{name}\
   --with-xscreensaverdir=%{_sysconfdir}/xscreensaver \
   --with-pam-prefix=%{_sysconfdir}   \
-  --enable-authentication-scheme=helper  \
   --with-systemd \
   --without-console-kit  \
-  --with-passwd-helper=/sbin/unix2_chkpwd\
   --disable-docbook-docs
 make %{?_smp_mflags}
 




commit dice for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package dice for openSUSE:Factory checked in 
at 2015-11-26 17:03:51

Comparing /work/SRC/openSUSE:Factory/dice (Old)
 and  /work/SRC/openSUSE:Factory/.dice.new (New)


Package is "dice"

Changes:

--- /work/SRC/openSUSE:Factory/dice/dice.changes2015-11-08 
11:27:04.0 +0100
+++ /work/SRC/openSUSE:Factory/.dice.new/dice.changes   2015-11-26 
17:03:52.0 +0100
@@ -1,0 +2,45 @@
+Mon Nov 16 12:04:54 CET 2015 - m...@suse.de
+
+- Fixed docker result retrieval
+  
+  Don't pass and store big data via stdout channel through a docker
+  command. I received unstable results and broken pipes. Better store
+  the data as a file on a shared host/container volume
+  
+---
+Thu Nov 12 12:28:20 CET 2015 - m...@suse.de
+  
+- release version bump
+  
+---
+Thu Nov 12 12:27:50 CET 2015 - m...@suse.de
+  
+- Fixed 404 header check
+  
+  Don't fail on garbage (compressed) junks of data
+  
+---
+Thu Nov 12 12:02:58 CET 2015 - m...@suse.de
+  
+- release version bump
+  
+---
+Thu Nov 12 12:00:36 CET 2015 - m...@suse.de
+  
+- Pass KIWI_IGNORE_OLD_MOUNTS for dice build
+  
+---
+Thu Nov 12 11:15:23 CET 2015 - m...@suse.de
+  
+- Update spec template
+  
+  curl is a required component
+  
+---
+Thu Nov 12 11:05:46 CET 2015 - m...@suse.de
+  
+- Rename uri to repo_uri
+  
+  This caused a name conflict on the openuri side of ruby
+  
+---

Old:

  dice-0.7.4.gem

New:

  dice-0.7.7.gem



Other differences:
--
++ dice.spec ++
--- /var/tmp/diff_new_pack.E16guv/_old  2015-11-26 17:03:53.0 +0100
+++ /var/tmp/diff_new_pack.E16guv/_new  2015-11-26 17:03:53.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   dice
-Version:0.7.4
+Version:0.7.7
 Release:0
 %define mod_name dice
 %define mod_full_name %{mod_name}-%{version}
@@ -40,6 +40,7 @@
 
 # Disable autogenerating "Requires:" headers for bundled gems.
 %define __requires_exclude ^rubygem
+Requires:   curl
 Requires:   ruby >= 2.0
 Requires:   ruby-solv
 Url:http://www.suse.com

++ dice-0.7.4.gem -> dice-0.7.7.gem ++
Files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/build_system_base.rb new/lib/build_system_base.rb
--- old/lib/build_system_base.rb2015-10-30 10:53:12.0 +0100
+++ new/lib/build_system_base.rb2015-11-16 15:09:34.0 +0100
@@ -51,6 +51,23 @@
 @job ||= Job.new(self)
   end
 
+  def archive_job_result(job_result_dir, archive_filename)
+result_command = "tar -C #{job_result_dir} -c ."
+result = File.open(archive_filename, "w")
+begin
+  Command.run(
+job_builder_command(result_command),
+:stdout => result
+  )
+rescue Cheetah::ExecutionFailed => e
+  result.close
+  raise Dice::Errors::ResultRetrievalFailed.new(
+"Archiving result failed with: #{e.stderr}"
+  )
+end
+result.close
+  end
+
   def job_builder_command(action)
 command = [
   "ssh",
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/dice.rb new/lib/dice.rb
--- old/lib/dice.rb 2015-10-30 10:53:12.0 +0100
+++ new/lib/dice.rb 2015-11-16 15:09:34.0 +0100
@@ -15,7 +15,7 @@
 require "inifile"
 require "time"
 
-require_relative "uri"
+require_relative "repo_uri"
 require_relative "cleaner"
 require_relative "semaphore/semaphore"
 require_relative "dice_options"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lib/docker_build_system.rb 
new/lib/docker_build_system.rb
--- old/lib/docker_build_system.rb  2015-10-30 10:53:12.0 +0100
+++ new/lib/docker_build_system.rb  2015-11-16 15:09:34.0 +0100
@@ -54,6 +54,20 @@
 recipe.reset_working_dir
   end
 
+  def archive_job_result(job_result_dir, archive_filename)
+archive = File.basename(archive_filename)
+result_command = "tar -C #{job_result_dir} -cf /vagrant/.dice/#{archive} ."
+begin
+  Command.run(
+job_builder_command(result_command)
+  )
+rescue Cheetah::ExecutionFailed => e
+  raise Dice::Errors::ResultRetrievalFailed.new(
+

commit yubico-piv-tool for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package yubico-piv-tool for openSUSE:Factory 
checked in at 2015-11-26 17:04:30

Comparing /work/SRC/openSUSE:Factory/yubico-piv-tool (Old)
 and  /work/SRC/openSUSE:Factory/.yubico-piv-tool.new (New)


Package is "yubico-piv-tool"

Changes:

--- /work/SRC/openSUSE:Factory/yubico-piv-tool/yubico-piv-tool.changes  
2015-11-16 18:51:22.0 +0100
+++ /work/SRC/openSUSE:Factory/.yubico-piv-tool.new/yubico-piv-tool.changes 
2015-11-26 17:04:33.0 +0100
@@ -1,0 +2,6 @@
+Wed Nov 18 20:57:56 UTC 2015 - t.gru...@katodev.de
+
+- Version 1.1.2 (released 2015-11-13)
+  - Properly handle DER encoding in ECDSA signatures. 
+
+---

Old:

  yubico-piv-tool-1.1.1.tar.gz
  yubico-piv-tool-1.1.1.tar.gz.sig

New:

  yubico-piv-tool-1.1.2.tar.gz
  yubico-piv-tool-1.1.2.tar.gz.sig



Other differences:
--
++ yubico-piv-tool.spec ++
--- /var/tmp/diff_new_pack.6e2Ns0/_old  2015-11-26 17:04:34.0 +0100
+++ /var/tmp/diff_new_pack.6e2Ns0/_new  2015-11-26 17:04:34.0 +0100
@@ -18,7 +18,7 @@
 
 %define soname  1
 Name:   yubico-piv-tool
-Version:1.1.1
+Version:1.1.2
 Release:0
 Summary:Yubico YubiKey NEO CCID Manager
 License:BSD-2-Clause

++ yubico-piv-tool-1.1.1.tar.gz -> yubico-piv-tool-1.1.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yubico-piv-tool-1.1.1/ChangeLog 
new/yubico-piv-tool-1.1.2/ChangeLog
--- old/yubico-piv-tool-1.1.1/ChangeLog 2015-11-11 16:47:00.0 +0100
+++ new/yubico-piv-tool-1.1.2/ChangeLog 2015-11-13 15:30:35.0 +0100
@@ -1,3 +1,45 @@
+2015-11-13  Alessio Di Mauro 
+
+   * NEWS: Version 1.1.2.  Signed-off-by: Alessio Di Mauro 

+
+2015-11-12  Alessio Di Mauro 
+
+   * ykcs11/ykcs11.c: Remove debug print.
+
+2015-11-12  Alessio Di Mauro 
+
+   * ykcs11/utils.c, ykcs11/ykcs11.c: YKCS11: more elaborate solution
+   for stripping DER encoding from ECDSA signatures.  It is possible to 
receive different padding length for r and s,
+   where their length is [-1, 1] wrt the component lenght. Take this
+   into account.
+
+2015-11-12  Alessio Di Mauro 
+
+   * ykcs11/tests/ykcs11_tests.c: YKCS11: Do not call initialize for
+   the YKCS11 tests.  If initialize is called, the test requires a YubiKey 
with a working
+   PIV application in order to function.
+
+2015-11-12  Alessio Di Mauro 
+
+   * .gitignore, ykcs11/tests/test-suite.log,
+   ykcs11/tests/ykcs11_tests.log, ykcs11/tests/ykcs11_tests.trs: Ignore
+   more.
+
+2015-11-12  Alessio Di Mauro 
+
+   * .gitignore: Ignore more.
+
+2015-11-12  Alessio Di Mauro 
+
+   * configure.ac, ykcs11/Makefile.am, ykcs11/tests/Makefile.am,
+   ykcs11/tests/test-suite.log, ykcs11/tests/ykcs11_tests.c,
+   ykcs11/tests/ykcs11_tests.log, ykcs11/tests/ykcs11_tests.trs: 
+   YKCS11: add basic tests.  Signed-off-by: Alessio Di Mauro 

+
+2015-11-11  Alessio Di Mauro 
+
+   * NEWS, configure.ac: Bump version.
+
 2015-11-11  Klas Lindfors 
 
* lib/ykpiv.c: always reset the context to SCARD_INVALID_CONTEXT
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yubico-piv-tool-1.1.1/NEWS 
new/yubico-piv-tool-1.1.2/NEWS
--- old/yubico-piv-tool-1.1.1/NEWS  2015-11-11 18:30:40.0 +0100
+++ new/yubico-piv-tool-1.1.2/NEWS  2015-11-13 15:29:09.0 +0100
@@ -1,6 +1,12 @@
 yubico-piv-tool NEWS -- History of user-visible changes.-*- outline -*-
 
-* Version 1.1.1 (unreleased)
+* Version 1.1.2 (released 2015-11-13)
+
+** Properly handle DER encoding in ECDSA signatures.
+
+* Version 1.1.1 (released 2015-11-11)
+
+** Make sure SCardContext is properly acquired and released.
 
 * Version 1.1.0 (released 2015-11-06)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yubico-piv-tool-1.1.1/configure 
new/yubico-piv-tool-1.1.2/configure
--- old/yubico-piv-tool-1.1.1/configure 2015-11-11 18:31:05.0 +0100
+++ new/yubico-piv-tool-1.1.2/configure 2015-11-13 15:29:17.0 +0100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for yubico-piv-tool 1.1.1.
+# Generated by GNU Autoconf 2.69 for yubico-piv-tool 1.1.2.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.

commit rubygem-puppet for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package rubygem-puppet for openSUSE:Factory 
checked in at 2015-11-26 17:04:14

Comparing /work/SRC/openSUSE:Factory/rubygem-puppet (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-puppet.new (New)


Package is "rubygem-puppet"

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-puppet/rubygem-puppet.changes
2015-09-08 17:58:29.0 +0200
+++ /work/SRC/openSUSE:Factory/.rubygem-puppet.new/rubygem-puppet.changes   
2015-11-26 17:04:15.0 +0100
@@ -1,0 +2,7 @@
+Fri Nov 20 22:03:00 UTC 2015 - tampak...@opensuse.org
+
+- Update to 3.8.4
+  
https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-383
+  
https://docs.puppetlabs.com/puppet/3.8/reference/release_notes.html#puppet-384
+
+---

Old:

  puppet-3.8.2.gem

New:

  puppet-3.8.4.gem



Other differences:
--
++ rubygem-puppet.spec ++
--- /var/tmp/diff_new_pack.sD7C7E/_old  2015-11-26 17:04:16.0 +0100
+++ /var/tmp/diff_new_pack.sD7C7E/_new  2015-11-26 17:04:16.0 +0100
@@ -24,7 +24,7 @@
 #
 
 Name:   rubygem-puppet
-Version:3.8.2
+Version:3.8.4
 Release:0
 %define mod_name puppet
 %define mod_full_name %{mod_name}-%{version}
@@ -214,7 +214,7 @@
 %{?systemd_requires}
 %endif
 
-# Requires:  rubygem-puppet = 3.8.2
+# Requires:  rubygem-puppet = 3.8.4
 %description master
 Puppet lets you centrally manage every important aspect of your system
 using a cross-platform specification language that manages all the
@@ -298,7 +298,7 @@
 Provides:puppet-vim = %{version}-%{release}
 Obsoletes:   puppet-vim < %{version}-%{release}
 
-# Requires:  rubygem-puppet = 3.8.2
+# Requires:  rubygem-puppet = 3.8.4
 %description vim
 Vim ftdetect and syntax files for Puppet manifests
 
@@ -321,7 +321,7 @@
 Supplements: packageand(emacs:%{name})
 Provides:puppet-emacs = %{version}-%{release}
 
-# Requires:  rubygem-puppet = 3.8.2
+# Requires:  rubygem-puppet = 3.8.4
 %description emacs
 Emacs syntax files for Puppet manifests
 

++ puppet-3.8.2.gem -> puppet-3.8.4.gem ++
 3358 lines of diff (skipped)




commit tor for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package tor for openSUSE:Factory checked in 
at 2015-11-26 17:04:17

Comparing /work/SRC/openSUSE:Factory/tor (Old)
 and  /work/SRC/openSUSE:Factory/.tor.new (New)


Package is "tor"

Changes:

--- /work/SRC/openSUSE:Factory/tor/tor.changes  2015-10-20 00:05:14.0 
+0200
+++ /work/SRC/openSUSE:Factory/.tor.new/tor.changes 2015-11-26 
17:04:21.0 +0100
@@ -1,0 +2,15 @@
+Tue Nov 24 20:35:59 UTC 2015 - astie...@suse.com
+
+- 0.2.7.5:
+  * More secure identity key type for relays
+  * Improve cryptography performance
+  * Resolve several longstanding hidden-service performance issues
+  * Improve controller support for hidden services
+- Features removed:
+  * tor-fw-helper is no longer part of thie packaged, it was
+re-implemented as a separate project
+- Packaging changes:
+  * drop upstreamed patch
+tor-0.2.6.10-malformed-hostname-safe-logging.patch
+
+---

Old:

  tor-0.2.6.10-malformed-hostname-safe-logging.patch
  tor-0.2.6.10.tar.gz
  tor-0.2.6.10.tar.gz.asc

New:

  tor-0.2.7.5.tar.gz
  tor-0.2.7.5.tar.gz.asc



Other differences:
--
++ tor.spec ++
--- /var/tmp/diff_new_pack.xd5x6R/_old  2015-11-26 17:04:22.0 +0100
+++ /var/tmp/diff_new_pack.xd5x6R/_new  2015-11-26 17:04:22.0 +0100
@@ -18,13 +18,12 @@
 
 %define with_systemd 0%{?suse_version} > 1140
 %define with_systemd_notifications 0%{?suse_version} > 1310
-%define with_upnp 0%{?suse_version} >= 1220 && 0%{?suse_version} != 1315
 %define toruser %{name}
 %define torgroup %{name}
 %define home_dir %{_localstatedir}/lib/empty
 %bcond_with bufferevents
 Name:   tor
-Version:0.2.6.10
+Version:0.2.7.5
 Release:0
 Summary:Anonymizing overlay network for TCP (The onion router)
 License:BSD-3-Clause
@@ -38,24 +37,19 @@
 Source4:tor.tmpfiles
 Source5:tor.firewall
 Patch0: tor-0.2.5.x-logrotate.patch
-Patch1: tor-0.2.6.10-malformed-hostname-safe-logging.patch
-BuildRequires:  openssl-devel
+BuildRequires:  openssl-devel >= 1.0.0
 BuildRequires:  pwdutils
 BuildRequires:  python-base
 Requires:   logrotate
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq(post):  %fillup_prereq
-%if %{with_upnp}
-BuildRequires:  libminiupnpc-devel
-%endif
-#
 %if %{with bufferevents}
 BuildRequires:  pkgconfig(libevent) >= 2.0.13
 %endif # with bufferevents
 %if %{?suse_version} > 1210
 BuildRequires:  pkgconfig(libevent)
 %else
-BuildRequires:  libevent-devel
+BuildRequires:  libevent-devel >= 1.3e
 %endif
 %if 0%{with_systemd}
 BuildRequires:  pkgconfig(systemd)
@@ -93,15 +87,11 @@
 %prep
 %setup -q
 %patch0 -p1
-%patch1 -p1
 
 %build
 %configure \
--with-tor-user=%{toruser} \
--with-tor-group=%{torgroup} \
-%if %{with_upnp}
-   --enable-upnp \
-%endif
 %if %{with bufferevents}
--enable-bufferevents \
 %endif
@@ -195,9 +185,6 @@
 %{_bindir}/%{name}ify
 %{_bindir}/%{name}-gencert
 %{_bindir}/%{name}-resolve
-%if %{with_upnp}
-%{_bindir}/%{name}-fw-helper
-%endif
 %dir %{_datadir}/%{name}
 %{_datadir}/%{name}/geoip*
 %config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/%{name}

++ tor-0.2.6.10.tar.gz -> tor-0.2.7.5.tar.gz ++
 95729 lines of diff (skipped)




commit bsd-games for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package bsd-games for openSUSE:Factory 
checked in at 2015-11-26 17:04:27

Comparing /work/SRC/openSUSE:Factory/bsd-games (Old)
 and  /work/SRC/openSUSE:Factory/.bsd-games.new (New)


Package is "bsd-games"

Changes:

--- /work/SRC/openSUSE:Factory/bsd-games/bsd-games.changes  2014-12-03 
22:51:22.0 +0100
+++ /work/SRC/openSUSE:Factory/.bsd-games.new/bsd-games.changes 2015-11-26 
17:04:30.0 +0100
@@ -1,0 +2,7 @@
+Wed Nov 25 10:14:09 UTC 2015 - dims...@opensuse.org
+
+- Hack it up to get it to build:
+  + Drop cribbage mille robots
+- Do not build factor instead of building and then deleting it.
+
+---



Other differences:
--
++ bsd-games.spec ++
--- /var/tmp/diff_new_pack.U4NYma/_old  2015-11-26 17:04:31.0 +0100
+++ /var/tmp/diff_new_pack.U4NYma/_new  2015-11-26 17:04:31.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package bsd-games
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -76,7 +76,7 @@
 sed -i -e 's#/usr/share/dict/words#/var/lib/dict/words#' configure
 
 (echo %{buildroot}
-echo "fortune" # don't build fortune
+echo "fortune factor cribbage mille robots"# don't build fortune; 
factor is in coreutils, cribbage, robots  and mille fail
 echo
 echo "%{_bindir}"  # use bindir instead of 
/usr/games
 for i in {1..9}; do echo; done # 9 times default
@@ -91,10 +91,6 @@
 
 rm %{buildroot}%{_bindir}/dm
 
-# factor is contained also in coreutils, prefer the version there
-
-rm %{buildroot}%{_bindir}/factor
-
 rm -rf %{buildroot}%{_mandir}/man5
 rm -rf %{buildroot}%{_mandir}/man8
 
@@ -139,8 +135,8 @@
 %attr(660,games,games) %{_localstatedir}/games/atc_score
 %attr(660,games,games) %{_localstatedir}/games/battlestar.log
 %attr(660,games,games) %{_localstatedir}/games/cfscores
-%attr(660,games,games) %{_localstatedir}/games/criblog
-%attr(660,games,games) %{_localstatedir}/games/robots_roll
+#%attr(660,games,games) %{_localstatedir}/games/criblog
+#%attr(660,games,games) %{_localstatedir}/games/robots_roll
 %attr(660,games,games) %{_localstatedir}/games/saillog
 %attr(660,games,games) %{_localstatedir}/games/snake.log
 %attr(660,games,games) %{_localstatedir}/games/snakerawscores




commit rpmconf for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package rpmconf for openSUSE:Factory checked 
in at 2015-11-26 17:04:33

Comparing /work/SRC/openSUSE:Factory/rpmconf (Old)
 and  /work/SRC/openSUSE:Factory/.rpmconf.new (New)


Package is "rpmconf"

Changes:

--- /work/SRC/openSUSE:Factory/rpmconf/rpmconf.changes  2015-11-17 
14:23:27.0 +0100
+++ /work/SRC/openSUSE:Factory/.rpmconf.new/rpmconf.changes 2015-11-26 
17:04:36.0 +0100
@@ -1,0 +2,8 @@
+Wed Nov 25 20:45:35 UTC 2015 - sor.ale...@meowr.ru
+
+- Update to 1.0.14:
+  * Improve error message.
+  * Check for root privileges.
+  * Clarify man page.
+
+---

Old:

  rpmconf-1.0.13.tar.gz

New:

  rpmconf-1.0.14.tar.gz



Other differences:
--
++ rpmconf.spec ++
--- /var/tmp/diff_new_pack.kpIuAN/_old  2015-11-26 17:04:37.0 +0100
+++ /var/tmp/diff_new_pack.kpIuAN/_new  2015-11-26 17:04:37.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   rpmconf
-Version:1.0.13
+Version:1.0.14
 Release:0
 Summary:Tool to handle rpmnew and rpmsave files
 License:GPL-3.0+
@@ -59,7 +59,8 @@
   SPHINXBUILD=sphinx-build-%{py3_ver}
 
 %install
-python3 setup.py install --skip-build \
+python3 setup.py install \
+  --skip-build  \
   --root %{buildroot}   \
   --install-scripts %{_sbindir}
 

++ rpmconf-1.0.13.tar.gz -> rpmconf-1.0.14.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rpmconf-rpmconf-1.0.13-1/bin/rpmconf 
new/rpmconf-rpmconf-1.0.14-1/bin/rpmconf
--- old/rpmconf-rpmconf-1.0.13-1/bin/rpmconf2015-11-13 16:56:44.0 
+0100
+++ new/rpmconf-rpmconf-1.0.14-1/bin/rpmconf2015-11-24 11:01:18.0 
+0100
@@ -1,5 +1,5 @@
-#!/usr/bin/env python3
-#
+#!/usr/bin/python3
+# -*- coding: utf-8 -*-
 # vim: noai:ts=4:sw=4:expandtab
 #
 # Copyright (C) 2015 Igor Gnatenko 
@@ -19,7 +19,10 @@
 """ Main script which will end up in /usr/sbin/rpmconf """
 import argparse
 from rpmconf import rpmconf
+import errno
+import os
 import sys
+import time
 
 def main():
 """ Main entry point. """
@@ -57,7 +60,18 @@
 clean=args.clean, debug=args.debug,
 diff=args.diff, frontend=args.frontend,
 selinux=args.selinux)
-rconf.run()
+if os.geteuid() != 0:
+sys.stderr.write("Most features are not useful without root 
privileges!!!\n")
+time.sleep(5)
+
+try:
+rconf.run()
+except IOError as err:
+if err.errno in (errno.EACCES, errno.EPERM):
+sys.stderr.write("Error: You need root permissions to do this!\n")
+sys.exit(1)
+else:
+raise
 
 if __name__ == "__main__":
 main()
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rpmconf-rpmconf-1.0.13-1/docs/source/conf.py 
new/rpmconf-rpmconf-1.0.14-1/docs/source/conf.py
--- old/rpmconf-rpmconf-1.0.13-1/docs/source/conf.py2015-11-13 
16:56:44.0 +0100
+++ new/rpmconf-rpmconf-1.0.14-1/docs/source/conf.py2015-11-24 
11:01:18.0 +0100
@@ -1,4 +1,4 @@
-#!/usr/bin/env python3
+#!/usr/bin/python3
 # -*- coding: utf-8 -*-
 #
 # rpmconf documentation build configuration file, created by
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rpmconf-rpmconf-1.0.13-1/rel-eng/packages/rpmconf 
new/rpmconf-rpmconf-1.0.14-1/rel-eng/packages/rpmconf
--- old/rpmconf-rpmconf-1.0.13-1/rel-eng/packages/rpmconf   2015-11-13 
16:56:44.0 +0100
+++ new/rpmconf-rpmconf-1.0.14-1/rel-eng/packages/rpmconf   2015-11-24 
11:01:18.0 +0100
@@ -1 +1 @@
-1.0.13-1 ./
+1.0.14-1 ./
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rpmconf-rpmconf-1.0.13-1/rpmconf/rpmconf.py 
new/rpmconf-rpmconf-1.0.14-1/rpmconf/rpmconf.py
--- old/rpmconf-rpmconf-1.0.13-1/rpmconf/rpmconf.py 2015-11-13 
16:56:44.0 +0100
+++ new/rpmconf-rpmconf-1.0.14-1/rpmconf/rpmconf.py 2015-11-24 
11:01:18.0 +0100
@@ -1,5 +1,5 @@
-#!/usr/bin/env python3
-#
+#!/usr/bin/python3
+# -*- coding: utf-8 -*-
 # vim: noai:ts=4:sw=4:expandtab
 # pylint: disable=missing-docstring,too-many-arguments,too-many-branches
 #
@@ -243,7 +243,8 @@
 print(repr(merge_tool))
 subprocess.check_call([merge_tool, conf_file, other_file])
 else:
-self.logger.error("You did not selected any frontend for 
merge")
+self.logger.error("You did not selected any frontend for 
merge.\n" +
+   

commit libvpd2 for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package libvpd2 for openSUSE:Factory checked 
in at 2015-11-26 17:04:11

Comparing /work/SRC/openSUSE:Factory/libvpd2 (Old)
 and  /work/SRC/openSUSE:Factory/.libvpd2.new (New)


Package is "libvpd2"

Changes:

--- /work/SRC/openSUSE:Factory/libvpd2/libvpd2.changes  2015-08-05 
19:15:02.0 +0200
+++ /work/SRC/openSUSE:Factory/.libvpd2.new/libvpd2.changes 2015-11-26 
17:04:12.0 +0100
@@ -1,0 +2,10 @@
+Tue Nov 24 16:37:39 UTC 2015 - p.drou...@gmail.com
+
+- Update to version 2.2.5
+  * Fixed security issues like buffer overflow, memory allocation 
+validation
+  * Replaced popen with secured version
+  * Improved error handling
+- Update libvpd.async.patch
+
+---

Old:

  libvpd-2.2.4.tar.gz

New:

  libvpd-2.2.5.tar.gz



Other differences:
--
++ libvpd2.spec ++
--- /var/tmp/diff_new_pack.xwNgBk/_old  2015-11-26 17:04:13.0 +0100
+++ /var/tmp/diff_new_pack.xwNgBk/_new  2015-11-26 17:04:13.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   libvpd2
-Version:2.2.4
+Version:2.2.5
 Release:0
 Summary:VPD Database access library for lsvpd
 License:LGPL-2.1+
@@ -65,6 +65,7 @@
 
 %install
 %make_install
+rm -f %{buildroot}%{_libdir}/*.la
 
 %post -p /sbin/ldconfig
 
@@ -80,7 +81,6 @@
 %files devel
 %defattr(-,root,root)
 %doc COPYING README
-%exclude %{_libdir}/*.la
 %{_includedir}/*
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/*

++ libvpd-2.2.4.tar.gz -> libvpd-2.2.5.tar.gz ++
 2848 lines of diff (skipped)

++ libvpd.async.patch ++
--- /var/tmp/diff_new_pack.xwNgBk/_old  2015-11-26 17:04:13.0 +0100
+++ /var/tmp/diff_new_pack.xwNgBk/_new  2015-11-26 17:04:13.0 +0100
@@ -7,10 +7,10 @@
 ===
 --- libvpd-2.2.2.orig/src/vpddbenv.cpp
 +++ libvpd-2.2.2/src/vpddbenv.cpp
-@@ -77,6 +77,22 @@ namespace lsvpd
+@@ -81,6 +81,22 @@
goto CON_ERR;
}
-   
+ 
 +  {
 +  sqlite3_stmt *pstmt;
 +  const char *out;
@@ -34,14 +34,14 @@
 ===
 --- libvpd-2.2.2.orig/src/vpddbenv_c.c
 +++ libvpd-2.2.2/src/vpddbenv_c.c
-@@ -28,6 +28,9 @@
+@@ -29,6 +29,9 @@
  
  struct vpddbenv * new_vpddbenv( const char *dir, const char *file )
  {
 +  sqlite3_stmt *pstmt = NULL;
 +  const char *out;
 +  char sql[ QUERY_BUF_LENGTH ];
-   struct vpddbenv *ret = NULL;
+   struct vpddbenv *ret;
int rc = 0;

 @@ -55,6 +58,12 @@ struct vpddbenv * new_vpddbenv( const ch




commit libdmapsharing for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package libdmapsharing for openSUSE:Factory 
checked in at 2015-11-26 17:04:26

Comparing /work/SRC/openSUSE:Factory/libdmapsharing (Old)
 and  /work/SRC/openSUSE:Factory/.libdmapsharing.new (New)


Package is "libdmapsharing"

Changes:

--- /work/SRC/openSUSE:Factory/libdmapsharing/libdmapsharing.changes
2015-07-14 17:45:20.0 +0200
+++ /work/SRC/openSUSE:Factory/.libdmapsharing.new/libdmapsharing.changes   
2015-11-26 17:04:29.0 +0100
@@ -1,0 +2,7 @@
+Mon Nov 23 20:16:03 UTC 2015 - mplus...@suse.com
+
+- Update to 2.9.32
+  * Small fix for dmap_mdns_browser_start
+- Make building more verbose
+
+---

Old:

  libdmapsharing-2.9.31.tar.gz

New:

  libdmapsharing-2.9.32.tar.gz



Other differences:
--
++ libdmapsharing.spec ++
--- /var/tmp/diff_new_pack.xNDevD/_old  2015-11-26 17:04:30.0 +0100
+++ /var/tmp/diff_new_pack.xNDevD/_new  2015-11-26 17:04:30.0 +0100
@@ -18,7 +18,7 @@
 
 
 Name:   libdmapsharing
-Version:2.9.31
+Version:2.9.32
 Release:0
 Summary:Library implementing the DMAP family of protocols
 License:LGPL-2.1+
@@ -79,7 +79,7 @@
 
 %build
 %configure
-make %{?_smp_mflags}
+make %{?_smp_mflags} V=1
 
 %install
 make DESTDIR=%{buildroot} install %{?_smp_mflags}

++ libdmapsharing-2.9.31.tar.gz -> libdmapsharing-2.9.32.tar.gz ++
 4766 lines of diff (skipped)




commit netcdf for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package netcdf for openSUSE:Factory checked 
in at 2015-11-26 17:04:19

Comparing /work/SRC/openSUSE:Factory/netcdf (Old)
 and  /work/SRC/openSUSE:Factory/.netcdf.new (New)


Package is "netcdf"

Changes:

--- /work/SRC/openSUSE:Factory/netcdf/netcdf.changes2015-08-27 
08:57:02.0 +0200
+++ /work/SRC/openSUSE:Factory/.netcdf.new/netcdf.changes   2015-11-26 
17:04:23.0 +0100
@@ -1,0 +2,5 @@
+Sat Nov 21 20:05:32 UTC 2015 - sco...@free.fr
+
+- install netcdf_par.h which is skipped when mpicc in not detected 
+
+---



Other differences:
--
++ netcdf.spec ++
--- /var/tmp/diff_new_pack.Kb5A29/_old  2015-11-26 17:04:24.0 +0100
+++ /var/tmp/diff_new_pack.Kb5A29/_new  2015-11-26 17:04:24.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package netcdf
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,7 +16,6 @@
 #
 
 
-
 %if 0%{?sles_version}
 %define _mvapich2 1
 %endif
@@ -50,34 +49,34 @@
 BuildRequires:  gcc-fortran
 BuildRequires:  hdf-devel
 BuildRequires:  hdf5-devel >= 1.8.8
+BuildRequires:  libcurl-devel >= 7.18.0
 BuildRequires:  libhdf
 BuildRequires:  libhdf5
 BuildRequires:  libhdf5_hl
-BuildRequires:  libcurl-devel >= 7.18.0
 BuildRequires:  pkg-config
 BuildRequires:  zlib-devel >= 1.2.5
 %ifarch %ix86 x86_64 ppc ppc64 s390x armv7l
 BuildRequires:  valgrind
 %endif
 %if 0%{?_openmpi}
-BuildRequires:  openmpi-devel
 BuildRequires:  hdf-openmpi-devel
 BuildRequires:  hdf5-openmpi-devel
-BuildRequires:  parallel-netcdf-openmpi-devel
 BuildRequires:  libhdf-openmpi
 BuildRequires:  libhdf5-openmpi
 BuildRequires:  libhdf5_hl-openmpi
 BuildRequires:  libpnetcdf-openmpi
+BuildRequires:  openmpi-devel
+BuildRequires:  parallel-netcdf-openmpi-devel
 %endif
 %if 0%{?_mvapich2}
-BuildRequires:  mvapich2-devel
 BuildRequires:  hdf-mvapich2-devel
 BuildRequires:  hdf5-mvapich2-devel
-BuildRequires:  parallel-netcdf-mvapich2-devel
 BuildRequires:  libhdf-mvapich2
 BuildRequires:  libhdf5-mvapich2
 BuildRequires:  libhdf5_hl-mvapich2
 BuildRequires:  libpnetcdf-mvapich2
+BuildRequires:  mvapich2-devel
+BuildRequires:  parallel-netcdf-mvapich2-devel
 %endif
 Requires:   %{libname}%{sonum} = %{version}
 
@@ -366,8 +365,8 @@
 Requires:   hdf-devel
 Requires:   hdf5-devel >= 1.8.8
 Requires:   libcurl-devel >= 7.18.0
-Requires:   zlib-devel >= 1.2.5
 Requires:   pkgconfig
+Requires:   zlib-devel >= 1.2.5
 
 %description devel
 NetCDF is a set of software libraries and self-describing, 
@@ -408,11 +407,11 @@
 Requires:   %{name}-devel-data = %{version}
 Requires:   hdf-openmpi-devel
 Requires:   hdf5-openmpi-devel >= 1.8.8
-Requires:   parallel-netcdf-openmpi-devel
 Requires:   libcurl-devel >= 7.18.0
-Requires:   zlib-devel >= 1.2.5
 Requires:   openmpi-devel
+Requires:   parallel-netcdf-openmpi-devel
 Requires:   pkgconfig
+Requires:   zlib-devel >= 1.2.5
 
 %description openmpi-devel
 NetCDF is a set of software libraries and self-describing, 
@@ -454,11 +453,11 @@
 Requires:   %{name}-devel-data = %{version}
 Requires:   hdf-mvapich2-devel
 Requires:   hdf5-mvapich2-devel >= 1.8.8
-Requires:   parallel-netcdf-mvapich2-devel
 Requires:   libcurl-devel >= 7.18.0
-Requires:   zlib-devel >= 1.2.5
 Requires:   mvapich2-devel
+Requires:   parallel-netcdf-mvapich2-devel
 Requires:   pkgconfig
+Requires:   zlib-devel >= 1.2.5
 
 %description mvapich2-devel
 NetCDF is a set of software libraries and self-describing, 
@@ -496,11 +495,11 @@
 %package devel-static
 Summary:Static development files for %{name}
 Group:  Development/Libraries/C and C++
+Requires:   %{name}-devel = %{version}
 Requires:   hdf-devel
 Requires:   hdf5-devel >= 1.8.8
 Requires:   libcurl-devel >= 7.18.0
 Requires:   zlib-devel >= 1.2.5
-Requires:   %{name}-devel = %{version}
 
 %description devel-static
 NetCDF is a set of software libraries and self-describing, 
@@ -650,7 +649,6 @@
 popd
 done
 
-
 %install
 for build_dir in build; do
 # for build_dir in %_mpi build; do
@@ -661,6 +659,9 @@
 install -m644 %{S:1} %{buildroot}%{_mandir}/man1
 rm -f %{buildroot}%{_libdir}/*.la
 
+# install netcdf_par.h which is skipped when mpicc in not detected
+install -m644 include/netcdf_par.h %{buildroot}%{_includedir}/netcdf_par.h
+
 # rpm macro for version checking
 mkdir -p 

commit hawk for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package hawk for openSUSE:Factory checked in 
at 2015-11-26 17:04:09

Comparing /work/SRC/openSUSE:Factory/hawk (Old)
 and  /work/SRC/openSUSE:Factory/.hawk.new (New)


Package is "hawk"

Changes:

--- /work/SRC/openSUSE:Factory/hawk/hawk.changes2015-11-10 
10:03:43.0 +0100
+++ /work/SRC/openSUSE:Factory/.hawk.new/hawk.changes   2015-11-26 
17:04:11.0 +0100
@@ -1,0 +2,10 @@
+Tue Nov 17 12:41:37 UTC 2015 - kgronl...@suse.com
+
+- Disable rubygem bundling 
+
+---
+Mon Nov 16 17:02:17 UTC 2015 - kgronl...@suse.com
+
+- Clean up package description (bsc#952794) 
+
+---



Other differences:
--
++ hawk.spec ++
--- /var/tmp/diff_new_pack.pwjuj3/_old  2015-11-26 17:04:12.0 +0100
+++ /var/tmp/diff_new_pack.pwjuj3/_new  2015-11-26 17:04:12.0 +0100
@@ -28,9 +28,9 @@
 %definepkg_group   System Environment/Daemons
 %endif
 
-%if 0%{?suse_version} && !0%{?is_opensuse}
-%define bundle_gems1
-%endif
+# %%if 0%%{?suse_version} && !0%%{?is_opensuse}
+# %%define bundle_gems 1
+# %%endif
 
 %definegname   haclient
 %defineuname   hacluster
@@ -147,8 +147,6 @@
 A web-based GUI for managing and monitoring the Pacemaker
 High-Availability cluster resource manager.
 
-Authors: Tim Serong 
-
 
 %package templates
 Summary:Hawk Setup Wizard Templates
@@ -157,8 +155,6 @@
 %description templates
 Template files for Hawk's cluster setup wizard.
 
-Authors: Tim Serong 
-
 
 %prep
 %setup




commit compiz-manager for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package compiz-manager for openSUSE:Factory 
checked in at 2015-11-26 17:03:54

Comparing /work/SRC/openSUSE:Factory/compiz-manager (Old)
 and  /work/SRC/openSUSE:Factory/.compiz-manager.new (New)


Package is "compiz-manager"

Changes:

--- /work/SRC/openSUSE:Factory/compiz-manager/compiz-manager.changes
2015-11-12 19:40:54.0 +0100
+++ /work/SRC/openSUSE:Factory/.compiz-manager.new/compiz-manager.changes   
2015-11-26 17:03:55.0 +0100
@@ -1,0 +2,8 @@
+Fri Nov 20 08:32:20 UTC 2015 - sor.ale...@meowr.ru
+
+- Fix config.skel: was configured for Compiz 0.9.x.
+- Remove Compiz 0.9.x plugins from compiz-manager-setup.patch.
+- Enhance compiz-manager-detect-multiple-graphic-cards.patch:
+  original regular expressions are faulty.
+
+---



Other differences:
--
++ compiz-manager.spec ++
--- /var/tmp/diff_new_pack.QCsUXc/_old  2015-11-26 17:03:56.0 +0100
+++ /var/tmp/diff_new_pack.QCsUXc/_new  2015-11-26 17:03:56.0 +0100
@@ -26,7 +26,7 @@
 Source: %{name}-%{version}.tar.bz2
 Source2:Compiz.desktop
 Source3:config.skel
-# PATCH-FEATURE-OPENSUSE compiz-manager-setup.patch dims...@opensuse.org -- 
Configure compiz-manager to fit the openSUSE ecosystem.
+# PATCH-FEATURE-OPENSUSE compiz-manager-setup.patch dims...@opensuse.org -- 
Configure compiz-manager to fit the openSUSE.
 Patch0: compiz-manager-setup.patch
 # PATCH-FIX-UPSTREAM compiz-manager-detect-multiple-graphic-cards.patch 
boo#440273 rodr...@novell.com -- Detect more than 1 graphic card.
 Patch1: compiz-manager-detect-multiple-graphic-cards.patch
@@ -42,7 +42,7 @@
 Patch6: compiz-manager-sbin-lspci.patch
 # PATCH-FIX-UPSTREAM compiz-manager-sm-client-id.patch dims...@opensuse.org -- 
Properly register compiz with gnome-session, avoiding a 10 second timeout.
 Patch7: compiz-manager-sm-client-id.patch
-# PATCH-FEATURE-OPENSUSE compiz-manager-nouveau.patch dims...@opensuse.org -- 
Nouveau is sufficient to handle Compiz.
+# PATCH-FEATURE-OPENSUSE compiz-manager-nouveau.patch dims...@opensuse.org -- 
Nouveau can be sufficient to handle Compiz.
 Patch8: compiz-manager-nouveau.patch
 BuildRequires:  update-desktop-files
 Requires:   compiz < 0.9
@@ -56,7 +56,7 @@
 %prep
 %setup -q
 %patch0 -p1
-%patch1
+%patch1 -p1
 %patch2 -p1
 %patch3
 %patch4 -p1

++ compiz-manager-detect-multiple-graphic-cards.patch ++
--- /var/tmp/diff_new_pack.QCsUXc/_old  2015-11-26 17:03:56.0 +0100
+++ /var/tmp/diff_new_pack.QCsUXc/_new  2015-11-26 17:03:56.0 +0100
@@ -1,24 +1,28 @@
-Index: compiz-manager
-===
 compiz-manager.orig
-+++ compiz-manager
-@@ -237,13 +237,15 @@ check_texture_size()
+--- a/compiz-manager
 b/compiz-manager
+@@ -240,15 +240,17 @@ check_nvidia()
+ # Check if the max texture size is large enough compared to the resolution
+ check_texture_size()
  {
-   TEXTURE_LIMIT=$(glxinfo -l | grep GL_MAX_TEXTURE_SIZE | sed 
's/.*=[^0-9]//g')
-   RESOLUTION=$(xdpyinfo  | grep -i dimensions: | sed 
's/[^0-9]*pixels.*(.*).*//' | sed 's/[^0-9x]*//')
+-  TEXTURE_LIMIT=$(glxinfo -l | grep GL_MAX_TEXTURE_SIZE | sed 
's/.*=[^0-9]//g')
+-  RESOLUTION=$(xdpyinfo  | grep -i dimensions: | sed 
's/[^0-9]*pixels.*(.*).*//' | sed 's/[^0-9x]*//')
 -  VRES=$(echo $RESOLUTION | sed 's/.*x//')
 -  HRES=$(echo $RESOLUTION | sed 's/x.*//')
 -  verbose "Comparing resolution ($RESOLUTION) to maximum 3D texture size 
($TEXTURE_LIMIT): ";
 -  if [ $VRES -gt $TEXTURE_LIMIT ] || [ $HRES -gt $TEXTURE_LIMIT ]; then
-+  for res in $RESOLUTION; do
-+  VRES=$(echo $res | sed 's/.*x//')
-+  HRES=$(echo $res | sed 's/x.*//')
-+  verbose "Comparing resolution ($res) to maximum 3D texture size 
($TEXTURE_LIMIT): ";
-+  if [ $VRES -gt $TEXTURE_LIMIT ] || [ $HRES -gt $TEXTURE_LIMIT ]; 
then
-   verbose "Failed.\n"
-   return 1;
+-  verbose "Failed.\n"
+-  return 1;
 -  fi
-+  fi
++  TEXTURE_LIMIT=$(glxinfo -l | sed -re '/GL_MAX_TEXTURE_SIZE/!d;s/^.*[ 
\t]([[:digit:]]+)$/\1/;q')
++  RESOLUTION=$(xdpyinfo | sed -re '/dimensions:/!d;s/^.*[ 
\t]([[:digit:]x]+) pixels.*$/\1/')
++  for res in $RESOLUTION; do
++  HRES=$(echo "$RESOLUTION" | sed -re 's/^(.*)x.*$/\1/')
++  VRES=$(echo "$RESOLUTION" | sed -re 's/^.*x(.*)$/\1/')
++  verbose "Comparing resolution ($res) to maximum 3D texture size 
($TEXTURE_LIMIT): ";
++  if [ "$VRES" -gt "$TEXTURE_LIMIT" ] || [ "$HRES" -gt 

commit vhba-kmp for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package vhba-kmp for openSUSE:Factory 
checked in at 2015-11-26 17:04:00

Comparing /work/SRC/openSUSE:Factory/vhba-kmp (Old)
 and  /work/SRC/openSUSE:Factory/.vhba-kmp.new (New)


Package is "vhba-kmp"

Changes:

--- /work/SRC/openSUSE:Factory/vhba-kmp/vhba-kmp.changes2014-10-05 
20:31:54.0 +0200
+++ /work/SRC/openSUSE:Factory/.vhba-kmp.new/vhba-kmp.changes   2015-11-26 
17:04:02.0 +0100
@@ -1,0 +2,5 @@
+Mon Nov 23 22:32:50 UTC 2015 - jeng...@inai.de
+
+- Add vhba-devname.diff
+
+---

New:

  vhba-devname.diff



Other differences:
--
++ vhba-kmp.spec ++
--- /var/tmp/diff_new_pack.z9fzt0/_old  2015-11-26 17:04:02.0 +0100
+++ /var/tmp/diff_new_pack.z9fzt0/_new  2015-11-26 17:04:02.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package vhba-kmp
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -28,6 +28,7 @@
 Source: http://downloads.sf.net/cdemu/vhba-module-%version.tar.bz2
 Source2:%name-preamble
 Patch1: vhba-no-werror.diff
+Patch2: vhba-devname.diff
 BuildRequires:  kernel-syms >= 2.6.20
 BuildRequires:  modutils
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -55,7 +56,7 @@
 %prep
 echo %flavors_to_build
 %setup -qn vhba-module-%version
-%patch -P 1 -p1
+%patch -P 1 -P 2 -p1
 
 %build
 for flavor in %flavors_to_build; do

++ vhba-devname.diff ++
From: Jan Engelhardt 
Date: 2015-11-23 23:33:05.117741396 +0100

vhba: add devname alias

depmod scans the devname aliases and populates
/lib/modules/X/modules.devname, which udev uses to prepopulate /dev
so that, in turn, a program can open a dev node and thereby cause
autoloading.

---
 vhba.c |1 +
 1 file changed, 1 insertion(+)

Index: vhba-module-20140928/vhba.c
===
--- vhba-module-20140928.orig/vhba.c
+++ vhba-module-20140928/vhba.c
@@ -1069,3 +1069,4 @@ static void __exit vhba_exit(void)
 module_init(vhba_init);
 module_exit(vhba_exit);
 
+MODULE_ALIAS("devname:vhba");



commit perl-IO-Interface for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package perl-IO-Interface for 
openSUSE:Factory checked in at 2015-11-26 17:04:20

Comparing /work/SRC/openSUSE:Factory/perl-IO-Interface (Old)
 and  /work/SRC/openSUSE:Factory/.perl-IO-Interface.new (New)


Package is "perl-IO-Interface"

Changes:

--- /work/SRC/openSUSE:Factory/perl-IO-Interface/perl-IO-Interface.changes  
2015-04-25 09:54:27.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-IO-Interface.new/perl-IO-Interface.changes 
2015-11-26 17:04:25.0 +0100
@@ -1,0 +2,5 @@
+Wed Nov 25 06:29:27 UTC 2015 - co...@suse.com
+
+- regenerate to fix Module::Build dep on leap
+
+---

New:

  cpanspec.yml



Other differences:
--
++ perl-IO-Interface.spec ++
--- /var/tmp/diff_new_pack.eDZBnj/_old  2015-11-26 17:04:25.0 +0100
+++ /var/tmp/diff_new_pack.eDZBnj/_new  2015-11-26 17:04:25.0 +0100
@@ -24,12 +24,13 @@
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/IO-Interface/
-Source: 
http://www.cpan.org/authors/id/L/LD/LDS/%{cpan_name}-%{version}.tar.gz
+Source0:
http://www.cpan.org/authors/id/L/LD/LDS/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(ExtUtils::CBuilder)
-BuildRequires:  perl(Module::Build) >= 0.42
+BuildRequires:  perl(Module::Build) >= 0.42
 %{perl_requires}
 
 %description
@@ -38,8 +39,8 @@
 your system. In addition to the object-oriented access methods, you can use
 a function-oriented style.
 
-THIS API IS DEPRECATED. Please see the IO::Interface::Simple manpage for
-the preferred way to get and set interface configuration information.
+THIS API IS DEPRECATED. Please see IO::Interface::Simple for the preferred
+way to get and set interface configuration information.
 
 %prep
 %setup -q -n %{cpan_name}-%{version}

++ cpanspec.yml ++
---
#description_paragraphs: 3
#no_testing: broken upstream
#sources:
#  - source1
#  - source2
#patches:
#  foo.patch: -p1
#  bar.patch:
#preamble: |-
# BuildRequires:  gcc-c++
#post_prep: |-
# hunspell=`pkg-config --libs hunspell | sed -e 's,-l,,; s,  *,,g'`
# sed -i -e "s,hunspell-X,$hunspell," t/00-prereq.t Makefile.PL 
#post_install: |-
# sed on %{name}.files
#license: SUSE-NonFree
#skip_noarch: 1
#custom_build: |-
#./Build build flags=%{?_smp_mflags} --myflag
#custom_test: |-
#startserver && make test
#ignore_requires: Bizarre::Module



commit python3-psutil for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package python3-psutil for openSUSE:Factory 
checked in at 2015-11-26 17:04:24

Comparing /work/SRC/openSUSE:Factory/python3-psutil (Old)
 and  /work/SRC/openSUSE:Factory/.python3-psutil.new (New)


Package is "python3-psutil"

Changes:

--- /work/SRC/openSUSE:Factory/python3-psutil/python3-psutil.changes
2015-10-20 00:06:54.0 +0200
+++ /work/SRC/openSUSE:Factory/.python3-psutil.new/python3-psutil.changes   
2015-11-26 17:04:28.0 +0100
@@ -1,0 +2,10 @@
+Wed Nov 25 07:08:56 UTC 2015 - a...@gmx.de
+
+- update to version 3.3.0:
+  * #558: [Linux] exposed psutil.PROCFS_PATH constant to change the
+default location of /proc filesystem.
+  * #615: [OpenBSD] added OpenBSD support. (contributed by Landry
+Breuil)
+  * #692: [UNIX] Process.name() is no longer cached as it may change.
+
+---

Old:

  psutil-3.2.2.tar.gz

New:

  psutil-3.3.0.tar.gz



Other differences:
--
++ python3-psutil.spec ++
--- /var/tmp/diff_new_pack.xgKnJ7/_old  2015-11-26 17:04:29.0 +0100
+++ /var/tmp/diff_new_pack.xgKnJ7/_new  2015-11-26 17:04:29.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   python3-psutil
-Version:3.2.2
+Version:3.3.0
 Release:0
 Summary:A process utilities module for Python
 License:BSD-3-Clause

++ psutil-3.2.2.tar.gz -> psutil-3.3.0.tar.gz ++
 8002 lines of diff (skipped)




commit yubikey-piv-manager for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package yubikey-piv-manager for 
openSUSE:Factory checked in at 2015-11-26 17:04:32

Comparing /work/SRC/openSUSE:Factory/yubikey-piv-manager (Old)
 and  /work/SRC/openSUSE:Factory/.yubikey-piv-manager.new (New)


Package is "yubikey-piv-manager"

Changes:

--- /work/SRC/openSUSE:Factory/yubikey-piv-manager/yubikey-piv-manager.changes  
2015-11-16 18:51:27.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.yubikey-piv-manager.new/yubikey-piv-manager.changes 
2015-11-26 17:04:34.0 +0100
@@ -1,0 +2,6 @@
+Wed Nov 18 21:32:27 UTC 2015 - t.gru...@katodev.de
+
+- Version 1.1.1 (released 2015-11-16)
+  - Better handling of intermittent device disconnects.
+
+---

Old:

  yubikey-piv-manager-1.1.0.tar.gz
  yubikey-piv-manager-1.1.0.tar.gz.sig

New:

  yubikey-piv-manager-1.1.1.tar.gz
  yubikey-piv-manager-1.1.1.tar.gz.sig



Other differences:
--
++ yubikey-piv-manager.spec ++
--- /var/tmp/diff_new_pack.QpHVca/_old  2015-11-26 17:04:35.0 +0100
+++ /var/tmp/diff_new_pack.QpHVca/_new  2015-11-26 17:04:35.0 +0100
@@ -18,7 +18,7 @@
 
 %define bname   pivman
 Name:   yubikey-piv-manager
-Version:1.1.0
+Version:1.1.1
 Release:0
 Summary:YubiKey PIV Manager GUI
 License:GPL-3.0+

++ yubikey-piv-manager-1.1.0.tar.gz -> yubikey-piv-manager-1.1.1.tar.gz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yubikey-piv-manager-1.1.0/ChangeLog 
new/yubikey-piv-manager-1.1.1/ChangeLog
--- old/yubikey-piv-manager-1.1.0/ChangeLog 2015-11-12 10:39:59.0 
+0100
+++ new/yubikey-piv-manager-1.1.1/ChangeLog 2015-11-16 09:17:54.0 
+0100
@@ -1,3 +1,31 @@
+2015-11-16  Dain Nilsson 
+
+   * NEWS, pivman/__init__.py: Update version and NEWS for release.
+
+2015-11-13  Dain Nilsson 
+
+   * NEWS: Updated NEWS.
+
+2015-11-13  Dain Nilsson 
+
+   * pivman/controller.py, pivman/piv.py, pivman/view/cert.py,
+   pivman/view/generate_dialog.py, pivman/view/init_dialog.py,
+   pivman/view/set_key_dialog.py, pivman/view/set_pin_dialog.py: 
+   Attempt to reconnect to device if lost before using.
+
+2015-11-12  Dain Nilsson 
+
+   * README: Updated executable build instructions in README.
+
+2015-11-12  Dain Nilsson 
+
+   * resources/osx-installer.pkgproj, resources/win-installer.nsi: 
+   Updated Win/OSX installers.
+
+2015-11-12  Dain Nilsson 
+
+   * NEWS, pivman/__init__.py: Bumped version post release.
+
 2015-11-12  Dain Nilsson 
 
* NEWS, pivman/__init__.py: Prepare release.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yubikey-piv-manager-1.1.0/NEWS 
new/yubikey-piv-manager-1.1.1/NEWS
--- old/yubikey-piv-manager-1.1.0/NEWS  2015-11-12 10:32:19.0 +0100
+++ new/yubikey-piv-manager-1.1.1/NEWS  2015-11-16 09:17:48.0 +0100
@@ -1,3 +1,6 @@
+* Version 1.1.1 (released 2015-11-16)
+ ** Better handling of intermittent device disconnects.
+
 * Version 1.1.0 (released 2015-11-12)
  ** Added support for ECC P-384 when supported by the device.
  ** Added usage policy when supported by the device.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yubikey-piv-manager-1.1.0/PKG-INFO 
new/yubikey-piv-manager-1.1.1/PKG-INFO
--- old/yubikey-piv-manager-1.1.0/PKG-INFO  2015-11-12 10:39:59.0 
+0100
+++ new/yubikey-piv-manager-1.1.1/PKG-INFO  2015-11-16 09:17:55.0 
+0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: yubikey-piv-manager
-Version: 1.1.0
+Version: 1.1.1
 Summary: Tool for configuring your PIV-enabled YubiKey.
 Home-page: https://github.com/Yubico/yubikey-piv-manager
 Author: Yubico Open Source Maintainers
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/yubikey-piv-manager-1.1.0/README 
new/yubikey-piv-manager-1.1.1/README
--- old/yubikey-piv-manager-1.1.0/README2015-09-22 13:17:09.0 
+0200
+++ new/yubikey-piv-manager-1.1.1/README2015-11-12 16:41:03.0 
+0100
@@ -39,11 +39,11 @@
 installed (32 or 64-bit versions depending on the architecture of the binary
 your are building).
 
-To sign the executable, copy the pfx file to pivman.pfx and place it in the
-root of the release directory. You will need signtool.exe (from the Windows
-SDK) either copied into the root as well or in a location in your PATH.
+To sign the executable you will need signtool.exe (from the 

commit libpgeasy for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package libpgeasy for openSUSE:Factory 
checked in at 2015-11-26 17:03:57

Comparing /work/SRC/openSUSE:Factory/libpgeasy (Old)
 and  /work/SRC/openSUSE:Factory/.libpgeasy.new (New)


Package is "libpgeasy"

Changes:

--- /work/SRC/openSUSE:Factory/libpgeasy/libpgeasy.changes  2011-09-23 
02:09:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.libpgeasy.new/libpgeasy.changes 2015-11-26 
17:03:58.0 +0100
@@ -1,0 +2,8 @@
+Fri Nov 20 09:53:40 UTC 2015 - mplus...@suse.com
+
+- Cleanup spec file with spec-cleaner
+- Split devel package and library
+- Remove old provides
+- Do not ship .la file
+
+---



Other differences:
--
++ libpgeasy.spec ++
--- /var/tmp/diff_new_pack.2GjTSM/_old  2015-11-26 17:03:59.0 +0100
+++ /var/tmp/diff_new_pack.2GjTSM/_new  2015-11-26 17:03:59.0 +0100
@@ -1,7 +1,7 @@
 #
-# spec file for package libpgeasy (Version 3.0.4)
+# spec file for package libpgeasy
 #
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,63 +15,73 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
+%definelname %{name}3
 Name:   libpgeasy
-BuildRequires:  krb5-devel postgresql-devel
-Url:http://gborg.postgresql.org/project/pgeasy
-Summary:Simplified C Client Interface for PostgreSQL
 Version:3.0.4
-Release:181
+Release:0
+Summary:Simplified C Client Interface for PostgreSQL
 License:BSD-3-Clause
 Group:  Productivity/Databases/Clients
-Source0:%name-%version.tar.bz2
+Url:http://gborg.postgresql.org/project/pgeasy
+Source0:%{name}-%{version}.tar.bz2
+BuildRequires:  krb5-devel
+BuildRequires:  postgresql-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Provides:   postgresql-libs:%_libdir/libpgeasy.so.2.2 pgeasy
 
 %description
 LIBPGEASY is a simplified C interface that hides some of the complexity
 of LIBPQ.
 
+%package -n %{lname}
+Summary:Simplified C Client Interface for PostgreSQL
+Group:  System/Libraries
+Provides:   %{name} = %{version}
+Obsoletes:  %{name} = %{version}
 
+%description -n %{lname}
+LIBPGEASY is a simplified C interface that hides some of the complexity
+of LIBPQ.
+
+%package devel
+Summary:Development files for Simplified C Client Interface for 
PostgreSQL
+Group:  Development/Libraries/C and C++
+Requires:   %{lname} = %{version}
+
+%description devel
+LIBPGEASY is a simplified C interface that hides some of the complexity
+of LIBPQ.
 
-Authors:
-
-Andrew Yu 
-Jolly Chen 
-Bruce Momjian 
-Thomas G. Lockhart 
-Tom Lane 
-The Hermit Hacker 
-etc.
+This subpackage contains the headers for libcec.
 
 %prep
 %setup -q
 
 %build
-export CFLAGS="%optflags"
 %configure \
-   --with-pqinclude=%_includedir/pgsql \
-   --with-pqlib=%_libdir \
+   --with-pqinclude=%{_includedir}/pgsql \
+   --with-pqlib=%{_libdir} \
--disable-static \
--with-pic
-make %{?jobs:-j%jobs}
+make %{?_smp_mflags}
 
 %install
-make install DESTDIR=%buildroot
+make DESTDIR=%{buildroot} install %{?_smp_mflags}
+find %{buildroot} -type f -name "*.la" -delete -print
 
-%clean
-rm -rf %buildroot
+%post -n %{lname} -p /sbin/ldconfig
 
-%post -p /sbin/ldconfig
+%postun -n %{lname} -p /sbin/ldconfig
 
-%postun -p /sbin/ldconfig
+%files -n %{lname}
+%defattr(-,root,root,-)
+%doc CHANGES README
+%{_libdir}/libpgeasy.so.3*
 
-%files
+%files devel
 %defattr(-,root,root,-)
 %doc CHANGES README docs/*.html examples
-%_includedir/libpgeasy.h
-%_libdir/lib*
+%{_libdir}/libpgeasy.so
+%{_includedir}/libpgeasy.h
 
 %changelog




commit python3-Markdown for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package python3-Markdown for 
openSUSE:Factory checked in at 2015-11-26 17:04:23

Comparing /work/SRC/openSUSE:Factory/python3-Markdown (Old)
 and  /work/SRC/openSUSE:Factory/.python3-Markdown.new (New)


Package is "python3-Markdown"

Changes:

--- /work/SRC/openSUSE:Factory/python3-Markdown/python3-Markdown.changes
2015-11-22 11:00:00.0 +0100
+++ /work/SRC/openSUSE:Factory/.python3-Markdown.new/python3-Markdown.changes   
2015-11-26 17:04:27.0 +0100
@@ -1,0 +2,8 @@
+Wed Nov 25 07:09:59 UTC 2015 - a...@gmx.de
+
+- update to version 2.6.5:
+  * Switch Travis to new infrastructure for faster build.
+  * Fix handling of characters after backtick in tables. …
+  * Add a failing testcase for issue #440.
+
+---

Old:

  Markdown-2.6.4.tar.gz

New:

  Markdown-2.6.5.tar.gz



Other differences:
--
++ python3-Markdown.spec ++
--- /var/tmp/diff_new_pack.4xdwfw/_old  2015-11-26 17:04:28.0 +0100
+++ /var/tmp/diff_new_pack.4xdwfw/_new  2015-11-26 17:04:28.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   python3-Markdown
-Version:2.6.4
+Version:2.6.5
 Release:0
 Summary:Python implementation of Markdown
 License:BSD-3-Clause

++ Markdown-2.6.4.tar.gz -> Markdown-2.6.5.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Markdown-2.6.4/PKG-INFO new/Markdown-2.6.5/PKG-INFO
--- old/Markdown-2.6.4/PKG-INFO 2015-11-06 23:43:43.0 +0100
+++ new/Markdown-2.6.5/PKG-INFO 2015-11-25 01:08:48.0 +0100
@@ -1,12 +1,12 @@
 Metadata-Version: 1.1
 Name: Markdown
-Version: 2.6.4
+Version: 2.6.5
 Summary: Python implementation of Markdown.
 Home-page: https://pythonhosted.org/Markdown/
 Author: Waylan Limberg
 Author-email: waylan.limberg [at] icloud.com
 License: BSD License
-Download-URL: 
http://pypi.python.org/packages/source/M/Markdown/Markdown-2.6.4.tar.gz
+Download-URL: 
http://pypi.python.org/packages/source/M/Markdown/Markdown-2.6.5.tar.gz
 Description: 
 This is a Python implementation of John Gruber's Markdown_.
 It is almost completely compliant with the reference implementation,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Markdown-2.6.4/markdown/__version__.py 
new/Markdown-2.6.5/markdown/__version__.py
--- old/Markdown-2.6.4/markdown/__version__.py  2015-11-06 23:40:31.0 
+0100
+++ new/Markdown-2.6.5/markdown/__version__.py  2015-11-25 01:00:04.0 
+0100
@@ -5,7 +5,7 @@
 # (major, minor, micro, alpha/beta/rc/final, #)
 # (1, 1, 2, 'alpha', 0) => "1.1.2.dev"
 # (1, 2, 0, 'beta', 2) => "1.2b2"
-version_info = (2, 6, 4, 'final', 0)
+version_info = (2, 6, 5, 'final', 0)
 
 
 def _get_version():
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Markdown-2.6.4/markdown/extensions/tables.py 
new/Markdown-2.6.5/markdown/extensions/tables.py
--- old/Markdown-2.6.4/markdown/extensions/tables.py2015-10-27 
00:45:57.0 +0100
+++ new/Markdown-2.6.5/markdown/extensions/tables.py2015-11-18 
02:02:12.0 +0100
@@ -119,7 +119,7 @@
 groups = match.groups()
 delim = groups[1]  # the code block delimeter (ie 1 or 
more backticks)
 row_contents = groups[2]  # the text contained inside the 
code block
-i += match.start(4)  # jump pointer to the beginning of 
the rest of the text (group #4)
+i += match.start(4) - 1  # jump pointer to the beginning 
of the rest of the text (group #4)
 element = delim + row_contents + delim  # reinstert 
backticks
 current += element
 i += 1
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Markdown-2.6.4/tests/extensions/extra/tables.html 
new/Markdown-2.6.5/tests/extensions/extra/tables.html
--- old/Markdown-2.6.4/tests/extensions/extra/tables.html   2015-11-06 
23:29:30.0 +0100
+++ new/Markdown-2.6.5/tests/extensions/extra/tables.html   2015-11-18 
02:02:12.0 +0100
@@ -235,4 +235,19 @@
 more words
 
 
+
+A test for issue #440:
+
+
+
+foo
+bar
+
+
+
+
+foo
+(bar) and baz.
+
+
 
\ No newline at end of file
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Markdown-2.6.4/tests/extensions/extra/tables.txt 
new/Markdown-2.6.5/tests/extensions/extra/tables.txt
--- old/Markdown-2.6.4/tests/extensions/extra/tables.txt2015-10-27 
00:45:57.0 +0100
+++ 

commit perl-PPIx-Regexp for openSUSE:Factory

2015-11-26 Thread h_root


binlteUaXJZMg.bin
Description: Binary data


commit serd for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package serd for openSUSE:Factory checked in 
at 2015-11-26 17:04:36

Comparing /work/SRC/openSUSE:Factory/serd (Old)
 and  /work/SRC/openSUSE:Factory/.serd.new (New)


Package is "serd"

Changes:

--- /work/SRC/openSUSE:Factory/serd/serd.changes2015-03-25 
10:01:13.0 +0100
+++ /work/SRC/openSUSE:Factory/.serd.new/serd.changes   2015-11-26 
17:04:39.0 +0100
@@ -1,0 +2,17 @@
+Tue Nov 24 18:45:34 UTC 2015 - p.drou...@gmail.com
+
+- Update to version 0.22.0
+  * Remove dependence on fmax() to avoid portability issues
+  * Fix serd_reader_read_file() for URIs with escaped characters (spaces)
+  * Add serd_reader_set_strict() and -l (lax) option to serdi to tolerate
+parsing URIs with escaped characters
+  * Fix reading statements ending with a blank then dot with no space
+  * Fix clash resolution when a blank node ID prefix is set
+  * Fix serializing fractional decimals that would round up
+  * Add support for Turtle named inline nodes extension
+  * Report errors for invalid IRI characters and missing terminators
+  * Show serdi errors in standard format
+  * Fix warnings when building with ISO C++ compilers
+  * Upgrade to waf 1.8.14
+
+---

Old:

  serd-0.20.0.tar.bz2

New:

  serd-0.22.0.tar.bz2



Other differences:
--
++ serd.spec ++
--- /var/tmp/diff_new_pack.u4mu6s/_old  2015-11-26 17:04:40.0 +0100
+++ /var/tmp/diff_new_pack.u4mu6s/_new  2015-11-26 17:04:40.0 +0100
@@ -19,7 +19,7 @@
 %define soname 0
 
 Name:   serd
-Version:0.20.0
+Version:0.22.0
 Release:0
 Summary:A lightweight C library for RDF syntax
 License:ISC
@@ -92,7 +92,7 @@
 %{_libdir}/libserd-0.so
 %{_includedir}/serd-0/
 %{_libdir}/pkgconfig/serd-0.pc
-%{_defaultdocdir}/serd-0/
-%{_mandir}/man3/*
+#%{_defaultdocdir}/serd-0/
+#%{_mandir}/man3/*
 
 %changelog

++ serd-0.20.0.tar.bz2 -> serd-0.22.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/serd-0.20.0/COPYING new/serd-0.22.0/COPYING
--- old/serd-0.20.0/COPYING 2014-08-08 07:47:20.0 +0200
+++ new/serd-0.22.0/COPYING 2015-10-07 03:59:57.0 +0200
@@ -1,4 +1,4 @@
-Copyright 2011-2014 David Robillard 
+Copyright 2011-2015 David Robillard 
 
 Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/serd-0.20.0/INSTALL new/serd-0.22.0/INSTALL
--- old/serd-0.20.0/INSTALL 2012-07-09 05:43:14.0 +0200
+++ new/serd-0.22.0/INSTALL 2015-10-07 04:13:53.0 +0200
@@ -8,11 +8,7 @@
 
 ./waf configure
 ./waf
-./waf install
-
-You may need to become root for the install stage, for example:
-
-sudo ./waf install
+./waf install # or sudo ./waf install
 
 Configuration Options
 -
@@ -40,12 +36,20 @@
  * CPPFLAGS:  C preprocessor options
  * LINKFLAGS: Linker options
 
-Installation Directories
-
+Library Versioning
+--
+
+This library uses semantic versioning .
 
-The --prefix option (or the PREFIX environment variable) can be used to change
-the prefix which all files are installed under.  There are also several options
-allowing for more fine-tuned control, see the --help output for details.
+Several major versions can be installed in parallel.  The shared library name,
+include directory, and pkg-config file are suffixed with the major version
+number.  For example, a library named "foo" at version 1.x.y might install:
+
+/usr/include/foo-1/foo/foo.h
+/usr/lib/foo-1.so.1.x.y
+/usr/lib/pkgconfig/foo-1.pc
+
+Dependencies can check for the package "foo-1" with pkg-config.
 
 Packaging
 -
@@ -57,3 +61,6 @@
 ./waf configure --prefix=/usr
 ./waf
 ./waf install --destdir=/tmp/package
+
+Packages should allow parallel installation of several major versions.  For
+example, the above would be packaged as "foo-1".
\ No newline at end of file
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/serd-0.20.0/NEWS new/serd-0.22.0/NEWS
--- old/serd-0.20.0/NEWS2014-08-09 00:03:44.0 +0200
+++ new/serd-0.22.0/NEWS2015-10-08 21:34:20.0 +0200
@@ -1,3 +1,20 @@
+serd (0.22.0) stable;
+
+  * Remove dependence on fmax() to avoid portability issues
+  * Fix serd_reader_read_file() for URIs with escaped characters (spaces)
+  * Add 

commit plplot for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package plplot for openSUSE:Factory checked 
in at 2015-11-26 17:04:34

Comparing /work/SRC/openSUSE:Factory/plplot (Old)
 and  /work/SRC/openSUSE:Factory/.plplot.new (New)


Package is "plplot"

Changes:

--- /work/SRC/openSUSE:Factory/plplot/plplot.changes2015-08-19 
09:29:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.plplot.new/plplot.changes   2015-11-26 
17:04:37.0 +0100
@@ -1,0 +2,6 @@
+Wed Nov 25 22:23:07 UTC 2015 - p.drou...@gmail.com
+
+- Remove pkgconfig(libagg) requirement; the package doesn't build
+  against it anyway
+
+---



Other differences:
--
++ plplot.spec ++
--- /var/tmp/diff_new_pack.a24Kuq/_old  2015-11-26 17:04:39.0 +0100
+++ /var/tmp/diff_new_pack.a24Kuq/_new  2015-11-26 17:04:39.0 +0100
@@ -62,7 +62,6 @@
 BuildRequires:  perl(XML::DOM)
 BuildRequires:  pkgconfig(freetype2)
 BuildRequires:  pkgconfig(gnome-python-2.0)
-BuildRequires:  pkgconfig(libagg)
 BuildRequires:  pkgconfig(libgnomeprintui-2.2)
 BuildRequires:  pkgconfig(libgnomeui-2.0)
 BuildRequires:  pkgconfig(lua)




commit perl-CPAN-Perl-Releases for openSUSE:Factory

2015-11-26 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Perl-Releases for 
openSUSE:Factory checked in at 2015-11-26 17:04:21

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Perl-Releases (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Perl-Releases.new (New)


Package is "perl-CPAN-Perl-Releases"

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-CPAN-Perl-Releases/perl-CPAN-Perl-Releases.changes
  2015-11-17 14:23:30.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-CPAN-Perl-Releases.new/perl-CPAN-Perl-Releases.changes
 2015-11-26 17:04:25.0 +0100
@@ -1,0 +2,6 @@
+Tue Nov 24 09:20:25 UTC 2015 - co...@suse.com
+
+- updated to 2.46
+   see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
+
+---

Old:

  CPAN-Perl-Releases-2.44.tar.gz

New:

  CPAN-Perl-Releases-2.46.tar.gz



Other differences:
--
++ perl-CPAN-Perl-Releases.spec ++
--- /var/tmp/diff_new_pack.zDCAmV/_old  2015-11-26 17:04:26.0 +0100
+++ /var/tmp/diff_new_pack.zDCAmV/_new  2015-11-26 17:04:26.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Perl-Releases
-Version:2.44
+Version:2.46
 Release:0
 %define cpan_name CPAN-Perl-Releases
 Summary:Mapping Perl releases on CPAN to the location of the tarballs

++ CPAN-Perl-Releases-2.44.tar.gz -> CPAN-Perl-Releases-2.46.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.44/Changes 
new/CPAN-Perl-Releases-2.46/Changes
--- old/CPAN-Perl-Releases-2.44/Changes 2015-11-15 16:42:57.0 +0100
+++ new/CPAN-Perl-Releases-2.46/Changes 2015-11-20 19:56:47.0 +0100
@@ -1,8 +1,18 @@
 ==
-Changes from 2010-11-16 00:00:00 + to present.
+Changes from 2010-11-21 00:00:00 + to present.
 ==
 
 -
+version 2.46 at 2015-11-20 18:34:53 +
+-
+
+  Change: 713b83cfe8d84e4fbc52d0d796e1f1da36b4c734
+  Author: Chris 'BinGOs' Williams 
+  Date : 2015-11-20 18:34:53 +
+
+Updated for v5.23.5 
+
+-
 version 2.44 at 2015-11-15 15:42:16 +
 -
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.44/META.json 
new/CPAN-Perl-Releases-2.46/META.json
--- old/CPAN-Perl-Releases-2.44/META.json   2015-11-15 16:42:57.0 
+0100
+++ new/CPAN-Perl-Releases-2.46/META.json   2015-11-20 19:56:47.0 
+0100
@@ -54,6 +54,6 @@
  "web" : "https://github.com/bingos/cpan-perl-releases;
   }
},
-   "version" : "2.44"
+   "version" : "2.46"
 }
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.44/META.yml 
new/CPAN-Perl-Releases-2.46/META.yml
--- old/CPAN-Perl-Releases-2.44/META.yml2015-11-15 16:42:57.0 
+0100
+++ new/CPAN-Perl-Releases-2.46/META.yml2015-11-20 19:56:47.0 
+0100
@@ -21,4 +21,4 @@
 resources:
   homepage: https://github.com/bingos/cpan-perl-releases
   repository: https://github.com/bingos/cpan-perl-releases.git
-version: '2.44'
+version: '2.46'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.44/Makefile.PL 
new/CPAN-Perl-Releases-2.46/Makefile.PL
--- old/CPAN-Perl-Releases-2.44/Makefile.PL 2015-11-15 16:42:57.0 
+0100
+++ new/CPAN-Perl-Releases-2.46/Makefile.PL 2015-11-20 19:56:47.0 
+0100
@@ -26,7 +26,7 @@
 "IPC::Open3" => 0,
 "Test::More" => "0.47"
   },
-  "VERSION" => "2.44",
+  "VERSION" => "2.46",
   "test" => {
 "TESTS" => "t/*.t"
   }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.44/README 
new/CPAN-Perl-Releases-2.46/README
--- old/CPAN-Perl-Releases-2.44/README  2015-11-15 16:42:57.0 +0100
+++ new/CPAN-Perl-Releases-2.46/README  2015-11-20 19:56:47.0 +0100
@@ -5,7 +5,7 @@
 
 VERSION
 
-version 2.44
+version 2.46
 
 SYNOPSIS
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.44/dist.ini 
new/CPAN-Perl-Releases-2.46/dist.ini
--- old/CPAN-Perl-Releases-2.44/dist.ini2015-11-15 16:42:57.0 
+0100
+++ new/CPAN-Perl-Releases-2.46/dist.ini2015-11-20 19:56:47.0 
+0100
@@ -1,5 +1,5 @@
 name = CPAN-Perl-Releases
-version = 2.44
+version = 2.46
 author = Chris